<?php
$fargs = array(
    'post_type'         => 'folio',
    'post_status'       => 'publish',
    'posts_per_page'    => $portfolio_item,
    'orderby'           => $order_by,
    'order'             => $order
);

$folio = new WP_Query($fargs);
if($folio->have_posts()):
    ?>
    <?php if($folio_is_filter == 'yes'): ?>
    <div class="row">
        <div class="col-lg-12">
            <?php 
                $filter_cat = array(
                    'orderby'       => 'ID',
                    'order'         => 'DESC', 
                    'hide_empty'    => 1,
                    'hierarchical'  => 1,
                    'taxonomy'      => 'folio_cat'
                );
                $categories = get_categories( $filter_cat );
                if(is_array($categories) && !empty($categories))
                {
                    echo '<ul class="shaf_filter">';
                        echo '<li class="active filter" data-group="all">'.  esc_html__('All', 'nsstheme').'</li>';
                        foreach($categories as $cat)
                        {
                            echo '<li class="filter" data-group="'.esc_attr($cat->slug).'">'.esc_html($cat->name).'</li>';
                        }
                    echo '</ul>';
                }
            ?>
        </div>
    </div>
    <?php endif; ?>
    <div class="row" id="shafull_container">
        <?php
            $width  = '353';
            $height = '348';

            $col = 'col-lg-4 col-md-6';

            $lg_img = array(2, 4, 5, 8);
            $lg_col = array(7, 15, 23, 30);
            $i = 1;
            $gapingClass = '';
            if($folio_is_gaping == 'yes'){
                $gapingClass = 'mb_30';
            }else{
                $gapingClass = 'noPadding';
            }

            while($folio->have_posts()):
                $folio->the_post();

                $data_groups = '["all", ';
                $terms = get_the_terms(get_the_ID(), 'folio_cat');
                $cats = '';
                $classes = '';
                if (is_array($terms) && count($terms) > 0) 
                {
                    $p = 1;
                    $c = count($terms);
                    foreach ($terms as $term) 
                    {
                        if($p == $c)
                        {
                            $cats .= '<a href="'.  get_category_link($term->term_id).'">'.$term->name.'</a>';
                            $data_groups .= '"'.$term->slug.'"';
                        }
                        else
                        {
                            $cats .= '<a href="'.  get_category_link($term->term_id).'">'.$term->name.'</a> - ';
                            $data_groups .= '"'.$term->slug.'", ';
                        }
                        $classes .= $term->slug.' ';
                        $p++;
                    }
                }
                $data_groups .= ']';

                $height = (in_array($i, $lg_img) ? 478 : 348);
                
                if(in_array($i, $lg_col)){
                    $col = 'col-lg-8 col-md-6';
                }
                
                ?>
                <div class="<?php echo esc_attr($col); ?> shaf_item <?php echo esc_attr($gapingClass); ?>" data-groups="<?php echo esc_attr($data_groups); ?>">
                    <div class="folio-item-1">
                        <img src="<?php echo esc_url(habu_post_thumbnail(get_the_ID(), $width, $height)) ?>" alt="<?php echo get_the_title(); ?>">
                        <?php if($read_more_label || $icons  != ''): ?>
                            <a href="<?php echo get_the_permalink(); ?>"><?php echo esc_html($read_more_label); ?>
                                <?php if($icons != ''): ?>
                                    <i class="<?php echo esc_attr($icons); ?>"></i>
                                <?php endif; ?>
                            </a>
                        <?php endif; ?>
                    </div>
                </div>
                <?php
                $i++;
            endwhile;
        ?>
        <div class="col-sm-1 shaf_sizer"></div>
    </div>
    <?php
endif;
wp_reset_postdata();