<?php
$querys = array(
    'post_type'         => 'post',
    'post_status'       => 'publish',
    'posts_per_page'    => -1,
    'orderby'           => $post_order_by,
    'order'             => $post_order
);

$qp = new WP_Query($querys);
if($qp->have_posts()):
    ?><div class="post_wrap"
            data-item="<?php echo esc_attr($post_item); ?>" 
        >
        <div class="post-slider owl-carousel">
            <?php 
                $i = 1;
                while($qp->have_posts()):
                    $qp->the_post();
                    $category = '';
                    $terms = get_the_terms(get_the_ID(), 'category');
                    if(is_array($terms) && count($terms) > 0):
                        $p = 1;
                        $c = count($terms);
                        foreach ($terms as $term):
                            if($p == $c):
                                $category .= '<a class="cats" href="'.get_category_link($term->term_id).'">'.$term->name.'</a>';
                            else:
                                $category .= '<a class="cats" href="'.get_category_link($term->term_id).'">'.$term->name.'</a>  ';
                            endif;
                            $p++;
                        endforeach;
                    endif;
                    
                    $audio_src = '';
                    $video_src = '';
                    $gallery_images = '';
                    if(defined('FW')){
                        $audio_src = fw_get_db_post_option(get_the_ID(), 'audio_src', '');
                        $video_src = fw_get_db_post_option(get_the_ID(), 'video_src', '');
                        $gallery_images = fw_get_db_post_option(get_the_ID(), 'gallery_images', array());
                    }
                    ?>
                    <div class="blog-post clearfix">
                        <?php if(get_post_format() == 'gallery' && !empty($gallery_images)): ?>
                                <div class="carousel slide postCarousel" id="pc_<?php echo get_the_ID(); ?>" data-ride="carousel">
                                    <div class="carousel-inner">
                                        <?php 
                                            $i = 1; 
                                            foreach($gallery_images as $gal):
                                                ?>
                                                <div class="carousel-item <?php if($i == 1){ echo 'active'; } ?>">
                                                    <img src="<?php echo esc_url(habu_attachment_url($gal['attachment_id'], 350, 300)) ?>" alt="<?php the_title_attribute(); ?>">
                                                </div>
                                                <?php
                                                $i++;
                                            endforeach;
                                        ?>
                                    </div>
                                    <a class="left carousel-control" href="#pc_<?php echo get_the_ID(); ?>" role="button" data-slide="prev">
                                        <i class="nss-long-arrow-left1"></i>
                                    </a>
                                    <a class="right carousel-control" href="#pc_<?php echo get_the_ID(); ?>" role="button" data-slide="next">
                                        <i class="nss-long-arrow-right1"></i>
                                    </a>
                                </div>   
                            <?php else: ?>
                                <?php if(has_post_thumbnail()): ?>
                                    <div class="post_thumb">
                                        <img src="<?php echo habu_post_thumbnail(get_the_ID(), 353, 304); ?>" alt="<?php echo get_the_title(); ?>">
                                        <?php if(get_post_format() == 'audio' && $audio_src != ''): ?>
                                             <a href="<?php echo esc_attr($audio_src); ?>" class="popup-video"><i class="nss-volume-up2"></i></a>
                                        <?php elseif(get_post_format() == 'video' && $video_src != ''): ?>
                                            <a href="<?php echo esc_attr($video_src); ?>" class="popup-video"><i class="nss-play2"></i></a>
                                        <?php endif; ?>
                                    </div>
                                <?php else: ?>
                                    <div class="post_thumb">
                                        <img src="<?php echo habu_post_thumbnail(get_the_ID(), 353, 304); ?>" alt="<?php echo get_the_title(); ?>">
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        <div class="post_content">
                            <?php echo wp_kses_post($category); ?>
                            <h3><a href="<?php echo get_the_permalink(); ?>"><?php echo get_the_title(); ?></a></h3>
                            <p>
                                <?php
                                    echo substr(wp_strip_all_tags(get_the_content()), 0, $post_desc_lenght).'.';
                                ?>
                            </p>
                            <div class="bp_meta clearfix">
                                <span class="date"><?php echo get_the_time('M d, Y'); ?></span>
                                <?php if($read_more_label || $icons  != ''): ?>
                                    <a href="<?php echo get_the_permalink(); ?>">
                                        <?php if($icons != ''): ?>
                                            <i class="<?php echo esc_attr($icons); ?>"></i>
                                        <?php endif; ?>
                                        <?php echo esc_html($read_more_label); ?>
                                        </a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                <?php
                $i++;
                endwhile;
            ?>
        </div>
    </div>
    <?php
endif;
wp_reset_query();
