<?php
/**
 * Creates widget with Ads Widgets
 */
class NSS_Ads_Widgets extends WP_Widget
{
    function __construct() 
    {
        $widget_opt = array(
            'classname'     => 'habu-ads',
            'description'   => 'Habu Advertise Widgets'
        );
        
        parent::__construct('habu-ads', esc_html__('Habu Advertise Widgets', 'nsstheme'), $widget_opt);
    }

	function widget( $args, $instance ){
        echo $args['before_widget'];
        
        $logos = (isset($instance['logos']) && $instance['logos'] != '') ? $instance['logos'] : '';
        $ads_url = (isset($instance['ads_url']) && $instance['ads_url'] != '') ? $instance['ads_url'] : '#';
        $title = (isset($instance['title']) && $instance['title'] != '') ? $instance['title'] : '';
        
        ?>
        <div class="ads_widget">
            <?php if($logos != ''): ?>
                <a href="<?php echo esc_url($ads_url) ?>">
                    <img src="<?php echo esc_url($logos); ?>" alt="<?php bloginfo('name'); ?>"/>
                    <?php if($title != ''): ?>
                    <div class="ad_con">
                        <h4><?php echo wp_kses_post($title); ?></h4>
                    </div>
                    <?php endif; ?>
                </a>
            <?php endif; ?>
        </div>
        <?php
        echo $args['after_widget'];
    }
    
    function update ( $new_instance, $old_instance) {
        return $new_instance;
    }
    
    function form($instance){
        $logos = (isset($instance['logos']) && $instance['logos'] != '') ? $instance['logos'] : '';
        $ads_url    = (isset($instance['ads_url'])) ? $instance['ads_url'] : '#';
        $title = (isset($instance['title'])) ? $instance['title'] : esc_html__( 'Banner Advert', 'nsstheme' );
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'logos' )); ?>"><?php esc_html_e( 'Ads Image:', 'nsstheme' ); ?></label>
            <input class="widefat logourls" id="<?php echo esc_attr($this->get_field_id( 'logos' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'logos' )); ?>" type="text" value="<?php echo esc_attr( $logos ); ?>" /><br/>
            <a href="javascript:void(0);" class="fl_uplogos button">Upload</a>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'ads_url' )); ?>"><?php _e( 'Ads Url:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'ads_url' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'ads_url' )); ?>" type="text" value="<?php echo esc_attr( $ads_url ); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Ads Title:', 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
        </p>
        <?php
    }
}
