<?php
/**
 * Creates widget with Contact Widgets
 */

class NSS_Contact_Widgets extends WP_Widget
{
    function __construct() 
    {
        $widget_opt = array(
            'classname'     => 'habu_contact_widget',
            'description'   => 'Habu Contact Widgets'
        );
        
        parent::__construct('habu_contact_widget', esc_html__('Habu Contact Widgets', 'nsstheme'), $widget_opt);
    }
    
    function widget( $args, $instance ){
        $title = (isset($instance['title'])) ? $instance['title'] : '';
        $description = (isset($instance['description'])) ? $instance['description'] : '';

        echo wp_kses_post($args['before_widget']);
        if($title != ''): ?>
            <h3 class="widget-title"><?php echo wp_kses_post($title); ?></h3>
        <?php endif;
        
        ?>
        <?php if($description != ''): ?>
            <p>
                <?php echo wp_kses($description, array('br' => array())); ?>
            </p>
        <?php endif; ?> 
        <?php
        echo wp_kses_post($args['after_widget']);
    }
    
    function update ( $new_instance, $old_instance) {
        return $new_instance;
    }
    
    function form($instance){
        $title = (isset($instance['title'])) ? $instance['title'] : esc_html__( 'Contact Us', 'nsstheme' );
        $description = (isset($instance['description'])) ? $instance['description'] : '';

        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:', 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'description' )); ?>"><?php esc_html_e( 'Contact Info:' , 'nsstheme' ); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id( 'description' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'description' )); ?>"><?php echo esc_html( $description); ?></textarea>
        </p>
    <?php
    }
}