<?php
/**
 * Creates widget with Maichimp
 */

class NSS_Mailchimp_Widgets extends WP_Widget
{
    function __construct() 
    {
        $widget_opt = array(
            'classname'     => 'habu-mailchimp',
            'description'   => 'Habu Mailchimp Widgets'
        );
        
        parent::__construct('habu-mailchimp', esc_html__('Habu Mailchimp Widgets', 'nsstheme'), $widget_opt);
    }
    
    function widget( $args, $instance )
    {
        $description = (isset($instance['description'])) ? $instance['description'] : '';
        $mailchimp = (isset($instance['mailchimp'])) ? $instance['mailchimp'] : '';
        $fac = (isset($instance['fac'])) ? $instance['fac'] : '';
        $twi = (isset($instance['twi'])) ? $instance['twi'] : '';
        $dri = (isset($instance['dri'])) ? $instance['dri'] : '';
        $pin = (isset($instance['pin'])) ? $instance['pin'] : '';
        $lin = (isset($instance['lin'])) ? $instance['lin'] : '';
        $you = (isset($instance['you'])) ? $instance['you'] : '';
        $sna = (isset($instance['sna'])) ? $instance['sna'] : '';
        $red = (isset($instance['red'])) ? $instance['red'] : '';
        $tum = (isset($instance['tum'])) ? $instance['tum'] : '';
        $xing = (isset($instance['xing'])) ? $instance['xing'] : '';
        $beh = (isset($instance['beh'])) ? $instance['beh'] : '';
        $ins = (isset($instance['ins'])) ? $instance['ins'] : '';
        
        echo wp_kses_post($args['before_widget']);
        if ( !empty( $instance[ 'title' ] ) ) {
            echo wp_kses_post($args[ 'before_title' ]) . apply_filters( 'widget_title', $instance[ 'title' ] ) . $args[ 'after_title' ];
        }
        if($description != ''){
            ?><p><?php echo wp_kses_post($description); ?></p><?php
        }
        if( !empty($mailchimp) ){
                echo do_shortcode( $mailchimp ); 
        }
        ?>
        <div class="wid-social">
            <?php if($fac != ''): ?>
            <a class="fac" href="<?php echo esc_url($fac) ?>"><i class="nss-facebook-f"></i></a>
            <?php endif; ?>
            <?php if($twi != ''): ?>
            <a class="twi" href="<?php echo esc_url($twi) ?>"><i class="nss-twitter"></i></a>
            <?php endif; ?>
            <?php if($ins != ''): ?>
            <a class="ins" href="<?php echo esc_url($ins) ?>"><i class="nss-instagram"></i></a>
            <?php endif; ?>
            <?php if($you != ''): ?>
            <a class="you" href="<?php echo esc_url($you) ?>"><i class="nss-youtube"></i></a>
            <?php endif; ?>
            <?php if($sna != ''): ?>
            <a class="sna" href="<?php echo esc_url($sna) ?>"><i class="nss-snapchat1"></i></a>
            <?php endif; ?>
            <?php if($dri != ''): ?>
            <a class="dri" href="<?php echo esc_url($dri) ?>"><i class="nss-dribbble"></i></a>
            <?php endif; ?>
            <?php if($pin != ''): ?>
            <a class="pin" href="<?php echo esc_url($pin) ?>"><i class="nss-pinterest-p"></i></a>
            <?php endif; ?>
            <?php if($lin != ''): ?>
            <a class="lin" href="<?php echo esc_url($lin) ?>"><i class="nss-linkedin-in"></i></a>
            <?php endif; ?>
            <?php if($red != ''): ?>
            <a class="red" href="<?php echo esc_url($red) ?>"><i class="nss-reddit-alien"></i></a>
            <?php endif; ?>
            <?php if($tum != ''): ?>
            <a class="tum" href="<?php echo esc_url($tum) ?>"><i class="nss-tumblr"></i></a>
            <?php endif; ?>
            <?php if($xing != ''): ?>
            <a class="xing" href="<?php echo esc_url($xing) ?>"><i class="nss-xing"></i></a>
            <?php endif; ?>
            <?php if($beh != ''): ?>
            <a class="beh" href="<?php echo esc_url($beh) ?>"><i class="nss-behance"></i></a>
            <?php endif; ?>
        </div>    
        <?php
        echo wp_kses_post($args['after_widget']);
    }
    
    
    function update ( $new_instance, $old_instance ) 
    {
        return $new_instance;
    }
    
    function form($instance)
    {
        $title = (isset($instance['title'])) ? $instance['title'] : '';
        $description = (isset($instance['description'])) ? $instance['description'] : '';
        $mailchimp = (isset($instance['mailchimp'])) ? $instance['mailchimp'] : '';
        $fac = (isset($instance['fac'])) ? $instance['fac'] : '';
        $twi = (isset($instance['twi'])) ? $instance['twi'] : '';
        $lin = (isset($instance['lin'])) ? $instance['lin'] : '';
        $you = (isset($instance['you'])) ? $instance['you'] : '';
        $sna = (isset($instance['sna'])) ? $instance['sna'] : '';
        $red = (isset($instance['red'])) ? $instance['red'] : '';
        $xing = (isset($instance['xing'])) ? $instance['xing'] : '';
        $dri = (isset($instance['dri'])) ? $instance['dri'] : '';
        $beh = (isset($instance['beh'])) ? $instance['beh'] : '';
        $ins = (isset($instance['ins'])) ? $instance['ins'] : '';
        $pin = (isset($instance['pin'])) ? $instance['pin'] : '';
        $tum = (isset($instance['tum'])) ? $instance['tum'] : '';
        
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php _e( 'Title:', 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
	   </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'description' )); ?>"><?php _e( 'Description:', 'nsstheme' ); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id( 'description' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'description' )); ?>"><?php echo esc_html( $description); ?></textarea>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'mailchimp' )); ?>"><?php _e( 'Mailchimp Id:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'mailchimp' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'mailchimp' )); ?>" type="text" value="<?php echo esc_attr( $mailchimp ); ?>" />
    </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'fac' )); ?>"><?php _e( 'Facebook:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'fac' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'fac' )); ?>" type="text" value="<?php echo esc_attr( $fac ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'twi' )); ?>"><?php _e( 'Twitter:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'twi' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'twi' )); ?>" type="text" value="<?php echo esc_attr( $twi ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'beh' )); ?>"><?php _e( 'Behance:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'beh' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'beh' )); ?>" type="text" value="<?php echo esc_attr( $beh ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'ins' )); ?>"><?php _e( 'Instagram:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'ins' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'ins' )); ?>" type="text" value="<?php echo esc_attr( $ins ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'lin' )); ?>"><?php _e( 'Linkedin:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'lin' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'lin' )); ?>" type="text" value="<?php echo esc_attr( $lin ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'you' )); ?>"><?php _e( 'Youtube:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'you' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'you' )); ?>" type="text" value="<?php echo esc_attr( $you ); ?>" />
    </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'sna' )); ?>"><?php _e( 'Snapchat:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'sna' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'sna' )); ?>" type="text" value="<?php echo esc_attr( $sna ); ?>" />
    </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'red' )); ?>"><?php _e( 'Reddit:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'red' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'red' )); ?>" type="text" value="<?php echo esc_attr( $red ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'pin' )); ?>"><?php _e( 'Pinterest:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'pin' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'pin' )); ?>" type="text" value="<?php echo esc_attr( $pin ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'tum' )); ?>"><?php _e( 'Tumblr:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'tum' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'tum' )); ?>" type="text" value="<?php echo esc_attr( $tum ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'xing' )); ?>"><?php _e( 'Xing:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'xing' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'xing' )); ?>" type="text" value="<?php echo esc_attr( $xing ); ?>" />
	</p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'dri' )); ?>"><?php _e( 'Dribbble:' , 'nsstheme' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'dri' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'dri' )); ?>" type="text" value="<?php echo esc_attr( $dri ); ?>" />
	</p>
        
        <?php
    }
}