<?php
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

/**
 * A Font Icon select box.
 *
 * @property array $icons   A list of font-icon classes. [ 'class-name' => 'nicename', ... ]
 *                          Default Font Awesome icons. @see Control_Icon::get_icons().
 * @property array $include list of classes to include form the $icons property
 * @property array $exclude list of classes to exclude form the $icons property
 *
 * @since 1.0.0
 */

class NSS_Icon_Controler extends Elementor\Base_Data_Control {

    public function get_type() {
        return 'icon';
    }

    /**
     * Get icons list
     *
     * @return array
     */
    public static function get_icons() {

        $icons = array(

            'flaticon-bug' => 'flaticon-bug',
            'flaticon-businessman' => 'flaticon-businessman',
            'flaticon-calendar' => 'flaticon-calendar',
            'flaticon-checked' => 'flaticon-checked',
            'flaticon-coding-language' => 'flaticon-coding-language',
            'flaticon-computer' => 'flaticon-computer',
            'flaticon-change' => 'flaticon-change',
            'flaticon-advertising' => 'flaticon-advertising',
            'flaticon-computer-1' => 'flaticon-computer-1',
            'flaticon-design-thinking' => 'flaticon-design-thinking',
            'flaticon-design' => 'flaticon-design',
            'flaticon-headphones' => 'flaticon-headphones',
            'flaticon-invoice' => 'flaticon-invoice',
            'flaticon-email' => 'flaticon-email',
            'flaticon-writing' => 'flaticon-writing',
            'flaticon-video-call' => 'flaticon-video-call',
            'flaticon-cloud' => 'flaticon-cloud',
            'flaticon-performance' => 'flaticon-performance',
            'flaticon-add' => 'flaticon-add',
            'flaticon-quotation' => 'flaticon-quotation',
            'flaticon-web-settings' => 'flaticon-web-settings',
            'flaticon-setting' => 'flaticon-setting',
            'flaticon-rocket' => 'flaticon-rocket',
            'flaticon-star' => 'flaticon-star',
            'flaticon-statistics' => 'flaticon-statistics',
            'flaticon-verified' => 'flaticon-down-arrow-1',
            'flaticon-down-arrow-1' => 'flaticon-down-arrow-1',
            'flaticon-play' => 'flaticon-play',

            'nss-abacus' => 'nss-abacus',
            'nss-acorn' => 'nss-acorn',
            'nss-ad' => 'nss-ad',
            'nss-address-book' => 'nss-address-book',
            'nss-address-card' => 'nss-address-card',
            'nss-adjust' => 'nss-adjust',
            'nss-air-freshener' => 'nss-air-freshener',
            'nss-alarm-clock' => 'nss-alarm-clock',
            'nss-alicorn' => 'nss-alicorn',
            'nss-align-center' => 'nss-align-center',
            'nss-align-justify' => 'nss-align-justify',
            'nss-align-left' => 'nss-align-left',
            'nss-align-right' => 'nss-align-right',
            'nss-allergies' => 'nss-allergies',
            'nss-ambulance' => 'nss-ambulance',
            'nss-american-sign-language-interpreting' => 'nss-american-sign-language-interpreting',
            'nss-analytics' => 'nss-analytics',
            'nss-anchor' => 'nss-anchor',
            'nss-angel' => 'nss-angel',
            'nss-angle-double-down' => 'nss-angle-double-down',
            'nss-angle-double-left' => 'nss-angle-double-left',
            'nss-angle-double-right' => 'nss-angle-double-right',
            'nss-angle-double-up' => 'nss-angle-double-up',
            'nss-angle-down' => 'nss-angle-down',
            'nss-angle-left' => 'nss-angle-left',
            'nss-angle-right' => 'nss-angle-right',
            'nss-angle-up' => 'nss-angle-up',
            'nss-angry' => 'nss-angry',
            'nss-ankh' => 'nss-ankh',
            'nss-apple-alt' => 'nss-apple-alt',
            'nss-apple-crate' => 'nss-apple-crate',
            'nss-archive' => 'nss-archive',
            'nss-archway' => 'nss-archway',
            'nss-arrow-alt-circle-down' => 'nss-arrow-alt-circle-down',
            'nss-arrow-alt-circle-left' => 'nss-arrow-alt-circle-left',
            'nss-arrow-alt-circle-right' => 'nss-arrow-alt-circle-right',
            'nss-arrow-alt-circle-up' => 'nss-arrow-alt-circle-up',
            'nss-arrow-alt-down' => 'nss-arrow-alt-down',
            'nss-arrow-alt-from-bottom' => 'nss-arrow-alt-from-bottom',
            'nss-arrow-alt-from-left' => 'nss-arrow-alt-from-left',
            'nss-arrow-alt-from-right' => 'nss-arrow-alt-from-right',
            'nss-arrow-alt-from-top' => 'nss-arrow-alt-from-top',
            'nss-arrow-alt-left' => 'nss-arrow-alt-left',
            'nss-arrow-alt-right' => 'nss-arrow-alt-right',
            'nss-arrow-alt-square-down' => 'nss-arrow-alt-square-down',
            'nss-arrow-alt-square-left' => 'nss-arrow-alt-square-left',
            'nss-arrow-alt-square-right' => 'nss-arrow-alt-square-right',
            'nss-arrow-alt-square-up' => 'nss-arrow-alt-square-up',
            'nss-arrow-alt-to-bottom' => 'nss-arrow-alt-to-bottom',
            'nss-arrow-alt-to-left' => 'nss-arrow-alt-to-left',
            'nss-arrow-alt-to-right' => 'nss-arrow-alt-to-right',
            'nss-arrow-alt-to-top' => 'nss-arrow-alt-to-top',
            'nss-arrow-alt-up' => 'nss-arrow-alt-up',
            'nss-arrow-circle-down' => 'nss-arrow-circle-down',
            'nss-arrow-circle-left' => 'nss-arrow-circle-left',
            'nss-arrow-circle-right' => 'nss-arrow-circle-right',
            'nss-arrow-circle-up' => 'nss-arrow-circle-up',
            'nss-arrow-down' => 'nss-arrow-down',
            'nss-arrow-from-bottom' => 'nss-arrow-from-bottom',
            'nss-arrow-from-left' => 'nss-arrow-from-left',
            'nss-arrow-from-right' => 'nss-arrow-from-right',
            'nss-arrow-from-top' => 'nss-arrow-from-top',
            'nss-arrow-left' => 'nss-arrow-left',
            'nss-arrow-right' => 'nss-arrow-right',
            'nss-arrows' => 'nss-arrows',
            'nss-arrows-alt' => 'nss-arrows-alt',
            'nss-arrows-alt-h' => 'nss-arrows-alt-h',
            'nss-arrows-alt-v' => 'nss-arrows-alt-v',
            'nss-arrows-h' => 'nss-arrows-h',
            'nss-arrow-square-down' => 'nss-arrow-square-down',
            'nss-arrow-square-left' => 'nss-arrow-square-left',
            'nss-arrow-square-right' => 'nss-arrow-square-right',
            'nss-arrow-square-up' => 'nss-arrow-square-up',
            'nss-arrows-v' => 'nss-arrows-v',
            'nss-arrow-to-bottom' => 'nss-arrow-to-bottom',
            'nss-arrow-to-left' => 'nss-arrow-to-left',
            'nss-arrow-to-right' => 'nss-arrow-to-right',
            'nss-arrow-to-top' => 'nss-arrow-to-top',
            'nss-arrow-up' => 'nss-arrow-up',
            'nss-assistive-listening-systems' => 'nss-assistive-listening-systems',
            'nss-asterisk' => 'nss-asterisk',
            'nss-at' => 'nss-at',
            'nss-atlas' => 'nss-atlas',
            'nss-atom' => 'nss-atom',
            'nss-atom-alt' => 'nss-atom-alt',
            'nss-audio-description' => 'nss-audio-description',
            'nss-award' => 'nss-award',
            'nss-axe' => 'nss-axe',
            'nss-axe-battle' => 'nss-axe-battle',
            'nss-baby' => 'nss-baby',
            'nss-baby-carriage' => 'nss-baby-carriage',
            'nss-backpack' => 'nss-backpack',
            'nss-backspace' => 'nss-backspace',
            'nss-backward' => 'nss-backward',
            'nss-bacon' => 'nss-bacon',
            'nss-badge' => 'nss-badge',
            'nss-badge-check' => 'nss-badge-check',
            'nss-badge-dollar' => 'nss-badge-dollar',
            'nss-badge-percent' => 'nss-badge-percent',
            'nss-badger-honey' => 'nss-badger-honey',
            'nss-balance-scale' => 'nss-balance-scale',
            'nss-balance-scale-left' => 'nss-balance-scale-left',
            'nss-balance-scale-right' => 'nss-balance-scale-right',
            'nss-ballot' => 'nss-ballot',
            'nss-ballot-check' => 'nss-ballot-check',
            'nss-ball-pile' => 'nss-ball-pile',
            'nss-ban' => 'nss-ban',
            'nss-band-aid' => 'nss-band-aid',
            'nss-barcode' => 'nss-barcode',
            'nss-barcode-alt' => 'nss-barcode-alt',
            'nss-barcode-read' => 'nss-barcode-read',
            'nss-barcode-scan' => 'nss-barcode-scan',
            'nss-bars' => 'nss-bars',
            'nss-baseball' => 'nss-baseball',
            'nss-baseball-ball' => 'nss-baseball-ball',
            'nss-basketball-ball' => 'nss-basketball-ball',
            'nss-basketball-hoop' => 'nss-basketball-hoop',
            'nss-bat' => 'nss-bat',
            'nss-bath' => 'nss-bath',
            'nss-battery-bolt' => 'nss-battery-bolt',
            'nss-battery-empty' => 'nss-battery-empty',
            'nss-battery-full' => 'nss-battery-full',
            'nss-battery-half' => 'nss-battery-half',
            'nss-battery-quarter' => 'nss-battery-quarter',
            'nss-battery-slash' => 'nss-battery-slash',
            'nss-battery-three-quarters' => 'nss-battery-three-quarters',
            'nss-bed' => 'nss-bed',
            'nss-beer' => 'nss-beer',
            'nss-bell' => 'nss-bell',
            'nss-bells' => 'nss-bells',
            'nss-bell-school' => 'nss-bell-school',
            'nss-bell-school-slash' => 'nss-bell-school-slash',
            'nss-bell-slash' => 'nss-bell-slash',
            'nss-bezier-curve' => 'nss-bezier-curve',
            'nss-bible' => 'nss-bible',
            'nss-bicycle' => 'nss-bicycle',
            'nss-binoculars' => 'nss-binoculars',
            'nss-biohazard' => 'nss-biohazard',
            'nss-birthday-cake' => 'nss-birthday-cake',
            'nss-blanket' => 'nss-blanket',
            'nss-blender' => 'nss-blender',
            'nss-blender-phone' => 'nss-blender-phone',
            'nss-blind' => 'nss-blind',
            'nss-blog' => 'nss-blog',
            'nss-bold' => 'nss-bold',
            'nss-bolt' => 'nss-bolt',
            'nss-bomb' => 'nss-bomb',
            'nss-bone' => 'nss-bone',
            'nss-bone-break' => 'nss-bone-break',
            'nss-bong' => 'nss-bong',
            'nss-book' => 'nss-book',
            'nss-book-alt' => 'nss-book-alt',
            'nss-book-dead' => 'nss-book-dead',
            'nss-book-heart' => 'nss-book-heart',
            'nss-bookmark' => 'nss-bookmark',
            'nss-book-medical' => 'nss-book-medical',
            'nss-book-open' => 'nss-book-open',
            'nss-book-reader' => 'nss-book-reader',
            'nss-books' => 'nss-books',
            'nss-books-medical' => 'nss-books-medical',
            'nss-book-spells' => 'nss-book-spells',
            'nss-book-user' => 'nss-book-user',
            'nss-boot' => 'nss-boot',
            'nss-booth-curtain' => 'nss-booth-curtain',
            'nss-bow-arrow' => 'nss-bow-arrow',
            'nss-bowling-ball' => 'nss-bowling-ball',
            'nss-bowling-pins' => 'nss-bowling-pins',
            'nss-box' => 'nss-box',
            'nss-box-alt' => 'nss-box-alt',
            'nss-box-ballot' => 'nss-box-ballot',
            'nss-box-check' => 'nss-box-check',
            'nss-boxes' => 'nss-boxes',
            'nss-boxes-alt' => 'nss-boxes-alt',
            'nss-box-fragile' => 'nss-box-fragile',
            'nss-box-full' => 'nss-box-full',
            'nss-box-heart' => 'nss-box-heart',
            'nss-boxing-glove' => 'nss-boxing-glove',
            'nss-box-open' => 'nss-box-open',
            'nss-box-up' => 'nss-box-up',
            'nss-box-usd' => 'nss-box-usd',
            'nss-brackets' => 'nss-brackets',
            'nss-brackets-curly' => 'nss-brackets-curly',
            'nss-braille' => 'nss-braille',
            'nss-brain' => 'nss-brain',
            'nss-bread-loaf' => 'nss-bread-loaf',
            'nss-bread-slice' => 'nss-bread-slice',
            'nss-briefcase' => 'nss-briefcase',
            'nss-briefcase-medical' => 'nss-briefcase-medical',
            'nss-broadcast-tower' => 'nss-broadcast-tower',
            'nss-broom' => 'nss-broom',
            'nss-browser' => 'nss-browser',
            'nss-brush' => 'nss-brush',
            'nss-bug' => 'nss-bug',
            'nss-building' => 'nss-building',
            'nss-bullhorn' => 'nss-bullhorn',
            'nss-bullseye' => 'nss-bullseye',
            'nss-bullseye-arrow' => 'nss-bullseye-arrow',
            'nss-bullseye-pointer' => 'nss-bullseye-pointer',
            'nss-burn' => 'nss-burn',
            'nss-burrito' => 'nss-burrito',
            'nss-bus' => 'nss-bus',
            'nss-bus-alt' => 'nss-bus-alt',
            'nss-business-time' => 'nss-business-time',
            'nss-bus-school' => 'nss-bus-school',
            'nss-cabinet-filing' => 'nss-cabinet-filing',
            'nss-calculator' => 'nss-calculator',
            'nss-calculator-alt' => 'nss-calculator-alt',
            'nss-calendar' => 'nss-calendar',
            'nss-calendar-alt' => 'nss-calendar-alt',
            'nss-calendar-check' => 'nss-calendar-check',
            'nss-calendar-day' => 'nss-calendar-day',
            'nss-calendar-edit' => 'nss-calendar-edit',
            'nss-calendar-exclamation' => 'nss-calendar-exclamation',
            'nss-calendar-minus' => 'nss-calendar-minus',
            'nss-calendar-plus' => 'nss-calendar-plus',
            'nss-calendar-star' => 'nss-calendar-star',
            'nss-calendar-times' => 'nss-calendar-times',
            'nss-calendar-week' => 'nss-calendar-week',
            'nss-camera' => 'nss-camera',
            'nss-camera-alt' => 'nss-camera-alt',
            'nss-camera-retro' => 'nss-camera-retro',
            'nss-campfire' => 'nss-campfire',
            'nss-campground' => 'nss-campground',
            'nss-candle-holder' => 'nss-candle-holder',
            'nss-candy-cane' => 'nss-candy-cane',
            'nss-candy-corn' => 'nss-candy-corn',
            'nss-cannabis' => 'nss-cannabis',
            'nss-capsules' => 'nss-capsules',
            'nss-car' => 'nss-car',
            'nss-car-alt' => 'nss-car-alt',
            'nss-car-battery' => 'nss-car-battery',
            'nss-car-bump' => 'nss-car-bump',
            'nss-car-crash' => 'nss-car-crash',
            'nss-caret-circle-down' => 'nss-caret-circle-down',
            'nss-caret-circle-left' => 'nss-caret-circle-left',
            'nss-caret-circle-right' => 'nss-caret-circle-right',
            'nss-caret-circle-up' => 'nss-caret-circle-up',
            'nss-caret-down' => 'nss-caret-down',
            'nss-caret-left' => 'nss-caret-left',
            'nss-caret-right' => 'nss-caret-right',
            'nss-caret-square-down' => 'nss-caret-square-down',
            'nss-caret-square-left' => 'nss-caret-square-left',
            'nss-caret-square-right' => 'nss-caret-square-right',
            'nss-caret-square-up' => 'nss-caret-square-up',
            'nss-caret-up' => 'nss-caret-up',
            'nss-car-garage' => 'nss-car-garage',
            'nss-car-mechanic' => 'nss-car-mechanic',
            'nss-carrot' => 'nss-carrot',
            'nss-car-side' => 'nss-car-side',
            'nss-cart-arrow-down' => 'nss-cart-arrow-down',
            'nss-car-tilt' => 'nss-car-tilt',
            'nss-cart-plus' => 'nss-cart-plus',
            'nss-car-wash' => 'nss-car-wash',
            'nss-cash-register' => 'nss-cash-register',
            'nss-cat' => 'nss-cat',
            'nss-cauldron' => 'nss-cauldron',
            'nss-certificate' => 'nss-certificate',
            'nss-chair' => 'nss-chair',
            'nss-chair-office' => 'nss-chair-office',
            'nss-chalkboard' => 'nss-chalkboard',
            'nss-chalkboard-teacher' => 'nss-chalkboard-teacher',
            'nss-charging-station' => 'nss-charging-station',
            'nss-chart-area' => 'nss-chart-area',
            'nss-chart-bar' => 'nss-chart-bar',
            'nss-chart-line' => 'nss-chart-line',
            'nss-chart-line-down' => 'nss-chart-line-down',
            'nss-chart-network' => 'nss-chart-network',
            'nss-chart-pie' => 'nss-chart-pie',
            'nss-chart-pie-alt' => 'nss-chart-pie-alt',
            'nss-chart-scatter' => 'nss-chart-scatter',
            'nss-check' => 'nss-check',
            'nss-check-circle' => 'nss-check-circle',
            'nss-check-double' => 'nss-check-double',
            'nss-check-square' => 'nss-check-square',
            'nss-cheese' => 'nss-cheese',
            'nss-cheeseburger' => 'nss-cheeseburger',
            'nss-cheese-swiss' => 'nss-cheese-swiss',
            'nss-chess' => 'nss-chess',
            'nss-chess-bishop' => 'nss-chess-bishop',
            'nss-chess-bishop-alt' => 'nss-chess-bishop-alt',
            'nss-chess-board' => 'nss-chess-board',
            'nss-chess-clock' => 'nss-chess-clock',
            'nss-chess-clock-alt' => 'nss-chess-clock-alt',
            'nss-chess-king' => 'nss-chess-king',
            'nss-chess-king-alt' => 'nss-chess-king-alt',
            'nss-chess-knight' => 'nss-chess-knight',
            'nss-chess-knight-alt' => 'nss-chess-knight-alt',
            'nss-chess-pawn' => 'nss-chess-pawn',
            'nss-chess-pawn-alt' => 'nss-chess-pawn-alt',
            'nss-chess-queen' => 'nss-chess-queen',
            'nss-chess-queen-alt' => 'nss-chess-queen-alt',
            'nss-chess-rook' => 'nss-chess-rook',
            'nss-chess-rook-alt' => 'nss-chess-rook-alt',
            'nss-chevron-circle-down' => 'nss-chevron-circle-down',
            'nss-chevron-circle-left' => 'nss-chevron-circle-left',
            'nss-chevron-circle-right' => 'nss-chevron-circle-right',
            'nss-chevron-circle-up' => 'nss-chevron-circle-up',
            'nss-chevron-double-down' => 'nss-chevron-double-down',
            'nss-chevron-double-left' => 'nss-chevron-double-left',
            'nss-chevron-double-right' => 'nss-chevron-double-right',
            'nss-chevron-double-up' => 'nss-chevron-double-up',
            'nss-chevron-down' => 'nss-chevron-down',
            'nss-chevron-left' => 'nss-chevron-left',
            'nss-chevron-right' => 'nss-chevron-right',
            'nss-chevron-square-down' => 'nss-chevron-square-down',
            'nss-chevron-square-left' => 'nss-chevron-square-left',
            'nss-chevron-square-right' => 'nss-chevron-square-right',
            'nss-chevron-square-up' => 'nss-chevron-square-up',
            'nss-chevron-up' => 'nss-chevron-up',
            'nss-child' => 'nss-child',
            'nss-chimney' => 'nss-chimney',
            'nss-church' => 'nss-church',
            'nss-circle' => 'nss-circle',
            'nss-circle-notch' => 'nss-circle-notch',
            'nss-city' => 'nss-city',
            'nss-claw-marks' => 'nss-claw-marks',
            'nss-clinic-medical' => 'nss-clinic-medical',
            'nss-clipboard' => 'nss-clipboard',
            'nss-clipboard-check' => 'nss-clipboard-check',
            'nss-clipboard-list' => 'nss-clipboard-list',
            'nss-clipboard-list-check' => 'nss-clipboard-list-check',
            'nss-clipboard-prescription' => 'nss-clipboard-prescription',
            'nss-clipboard-user' => 'nss-clipboard-user',
            'nss-clock' => 'nss-clock',
            'nss-clone' => 'nss-clone',
            'nss-closed-captioning' => 'nss-closed-captioning',
            'nss-cloud' => 'nss-cloud',
            'nss-cloud-download' => 'nss-cloud-download',
            'nss-cloud-download-alt' => 'nss-cloud-download-alt',
            'nss-cloud-drizzle' => 'nss-cloud-drizzle',
            'nss-cloud-hail' => 'nss-cloud-hail',
            'nss-cloud-hail-mixed' => 'nss-cloud-hail-mixed',
            'nss-cloud-meatball' => 'nss-cloud-meatball',
            'nss-cloud-moon' => 'nss-cloud-moon',
            'nss-cloud-moon-rain' => 'nss-cloud-moon-rain',
            'nss-cloud-rain' => 'nss-cloud-rain',
            'nss-cloud-rainbow' => 'nss-cloud-rainbow',
            'nss-clouds' => 'nss-clouds',
            'nss-cloud-showers' => 'nss-cloud-showers',
            'nss-cloud-showers-heavy' => 'nss-cloud-showers-heavy',
            'nss-cloud-sleet' => 'nss-cloud-sleet',
            'nss-clouds-moon' => 'nss-clouds-moon',
            'nss-cloud-snow' => 'nss-cloud-snow',
            'nss-clouds-sun' => 'nss-clouds-sun',
            'nss-cloud-sun' => 'nss-cloud-sun',
            'nss-cloud-sun-rain' => 'nss-cloud-sun-rain',
            'nss-cloud-upload' => 'nss-cloud-upload',
            'nss-cloud-upload-alt' => 'nss-cloud-upload-alt',
            'nss-club' => 'nss-club',
            'nss-cocktail' => 'nss-cocktail',
            'nss-code' => 'nss-code',
            'nss-code-branch' => 'nss-code-branch',
            'nss-code-commit' => 'nss-code-commit',
            'nss-code-merge' => 'nss-code-merge',
            'nss-coffee' => 'nss-coffee',
            'nss-coffee-togo' => 'nss-coffee-togo',
            'nss-coffin' => 'nss-coffin',
            'nss-cog' => 'nss-cog',
            'nss-cogs' => 'nss-cogs',
            'nss-coins' => 'nss-coins',
            'nss-columns' => 'nss-columns',
            'nss-comment' => 'nss-comment',
            'nss-comment-alt' => 'nss-comment-alt',
            'nss-comment-alt-check' => 'nss-comment-alt-check',
            'nss-comment-alt-dollar' => 'nss-comment-alt-dollar',
            'nss-comment-alt-dots' => 'nss-comment-alt-dots',
            'nss-comment-alt-edit' => 'nss-comment-alt-edit',
            'nss-comment-alt-exclamation' => 'nss-comment-alt-exclamation',
            'nss-comment-alt-lines' => 'nss-comment-alt-lines',
            'nss-comment-alt-medical' => 'nss-comment-alt-medical',
            'nss-comment-alt-minus' => 'nss-comment-alt-minus',
            'nss-comment-alt-plus' => 'nss-comment-alt-plus',
            'nss-comment-alt-slash' => 'nss-comment-alt-slash',
            'nss-comment-alt-smile' => 'nss-comment-alt-smile',
            'nss-comment-alt-times' => 'nss-comment-alt-times',
            'nss-comment-check' => 'nss-comment-check',
            'nss-comment-dollar' => 'nss-comment-dollar',
            'nss-comment-dots' => 'nss-comment-dots',
            'nss-comment-edit' => 'nss-comment-edit',
            'nss-comment-exclamation' => 'nss-comment-exclamation',
            'nss-comment-lines' => 'nss-comment-lines',
            'nss-comment-medical' => 'nss-comment-medical',
            'nss-comment-minus' => 'nss-comment-minus',
            'nss-comment-plus' => 'nss-comment-plus',
            'nss-comments' => 'nss-comments',
            'nss-comments-alt' => 'nss-comments-alt',
            'nss-comments-alt-dollar' => 'nss-comments-alt-dollar',
            'nss-comments-dollar' => 'nss-comments-dollar',
            'nss-comment-slash' => 'nss-comment-slash',
            'nss-comment-smile' => 'nss-comment-smile',
            'nss-comment-times' => 'nss-comment-times',
            'nss-compact-disc' => 'nss-compact-disc',
            'nss-compass' => 'nss-compass',
            'nss-compass-slash' => 'nss-compass-slash',
            'nss-compress' => 'nss-compress',
            'nss-compress-alt' => 'nss-compress-alt',
            'nss-compress-arrows-alt' => 'nss-compress-arrows-alt',
            'nss-compress-wide' => 'nss-compress-wide',
            'nss-concierge-bell' => 'nss-concierge-bell',
            'nss-container-storage' => 'nss-container-storage',
            'nss-conveyor-belt' => 'nss-conveyor-belt',
            'nss-conveyor-belt-alt' => 'nss-conveyor-belt-alt',
            'nss-cookie' => 'nss-cookie',
            'nss-cookie-bite' => 'nss-cookie-bite',
            'nss-copy' => 'nss-copy',
            'nss-copyright' => 'nss-copyright',
            'nss-corn' => 'nss-corn',
            'nss-couch' => 'nss-couch',
            'nss-cow' => 'nss-cow',
            'nss-credit-card' => 'nss-credit-card',
            'nss-credit-card-blank' => 'nss-credit-card-blank',
            'nss-credit-card-front' => 'nss-credit-card-front',
            'nss-cricket' => 'nss-cricket',
            'nss-croissant' => 'nss-croissant',
            'nss-crop' => 'nss-crop',
            'nss-crop-alt' => 'nss-crop-alt',
            'nss-cross' => 'nss-cross',
            'nss-crosshairs' => 'nss-crosshairs',
            'nss-crow' => 'nss-crow',
            'nss-crown' => 'nss-crown',
            'nss-crutch' => 'nss-crutch',
            'nss-crutches' => 'nss-crutches',
            'nss-cube' => 'nss-cube',
            'nss-cubes' => 'nss-cubes',
            'nss-curling' => 'nss-curling',
            'nss-cut' => 'nss-cut',
            'nss-dagger' => 'nss-dagger',
            'nss-database' => 'nss-database',
            'nss-deaf' => 'nss-deaf',
            'nss-debug' => 'nss-debug',
            'nss-deer' => 'nss-deer',
            'nss-deer-rudolph' => 'nss-deer-rudolph',
            'nss-democrat' => 'nss-democrat',
            'nss-desktop' => 'nss-desktop',
            'nss-desktop-alt' => 'nss-desktop-alt',
            'nss-dewpoint' => 'nss-dewpoint',
            'nss-dharmachakra' => 'nss-dharmachakra',
            'nss-diagnoses' => 'nss-diagnoses',
            'nss-diamond' => 'nss-diamond',
            'nss-dice' => 'nss-dice',
            'nss-dice-d4' => 'nss-dice-d4',
            'nss-dice-d6' => 'nss-dice-d6',
            'nss-dice-d8' => 'nss-dice-d8',
            'nss-dice-d10' => 'nss-dice-d10',
            'nss-dice-d12' => 'nss-dice-d12',
            'nss-dice-d20' => 'nss-dice-d20',
            'nss-dice-five' => 'nss-dice-five',
            'nss-dice-four' => 'nss-dice-four',
            'nss-dice-one' => 'nss-dice-one',
            'nss-dice-six' => 'nss-dice-six',
            'nss-dice-three' => 'nss-dice-three',
            'nss-dice-two' => 'nss-dice-two',
            'nss-digital-tachograph' => 'nss-digital-tachograph',
            'nss-diploma' => 'nss-diploma',
            'nss-directions' => 'nss-directions',
            'nss-disease' => 'nss-disease',
            'nss-divide' => 'nss-divide',
            'nss-dizzy' => 'nss-dizzy',
            'nss-dna' => 'nss-dna',
            'nss-dog' => 'nss-dog',
            'nss-dog-leashed' => 'nss-dog-leashed',
            'nss-dollar-sign' => 'nss-dollar-sign',
            'nss-dolly' => 'nss-dolly',
            'nss-dolly-empty' => 'nss-dolly-empty',
            'nss-dolly-flatbed' => 'nss-dolly-flatbed',
            'nss-dolly-flatbed-alt' => 'nss-dolly-flatbed-alt',
            'nss-dolly-flatbed-empty' => 'nss-dolly-flatbed-empty',
            'nss-donate' => 'nss-donate',
            'nss-do-not-enter' => 'nss-do-not-enter',
            'nss-door-closed' => 'nss-door-closed',
            'nss-door-open' => 'nss-door-open',
            'nss-dot-circle' => 'nss-dot-circle',
            'nss-dove' => 'nss-dove',
            'nss-download' => 'nss-download',
            'nss-drafting-compass' => 'nss-drafting-compass',
            'nss-dragon' => 'nss-dragon',
            'nss-draw-circle' => 'nss-draw-circle',
            'nss-draw-polygon' => 'nss-draw-polygon',
            'nss-draw-square' => 'nss-draw-square',
            'nss-dreidel' => 'nss-dreidel',
            'nss-drum' => 'nss-drum',
            'nss-drum-steelpan' => 'nss-drum-steelpan',
            'nss-drumstick' => 'nss-drumstick',
            'nss-drumstick-bite' => 'nss-drumstick-bite',
            'nss-duck' => 'nss-duck',
            'nss-dumbbell' => 'nss-dumbbell',
            'nss-dumpster' => 'nss-dumpster',
            'nss-dumpster-fire' => 'nss-dumpster-fire',
            'nss-dungeon' => 'nss-dungeon',
            'nss-ear' => 'nss-ear',
            'nss-ear-muffs' => 'nss-ear-muffs',
            'nss-eclipse' => 'nss-eclipse',
            'nss-eclipse-alt' => 'nss-eclipse-alt',
            'nss-edit' => 'nss-edit',
            'nss-egg' => 'nss-egg',
            'nss-egg-fried' => 'nss-egg-fried',
            'nss-eject' => 'nss-eject',
            'nss-elephant' => 'nss-elephant',
            'nss-ellipsis-h' => 'nss-ellipsis-h',
            'nss-ellipsis-h-alt' => 'nss-ellipsis-h-alt',
            'nss-ellipsis-v' => 'nss-ellipsis-v',
            'nss-ellipsis-v-alt' => 'nss-ellipsis-v-alt',
            'nss-empty-set' => 'nss-empty-set',
            'nss-engine-warning' => 'nss-engine-warning',
            'nss-envelope' => 'nss-envelope',
            'nss-envelope-open' => 'nss-envelope-open',
            'nss-envelope-open-dollar' => 'nss-envelope-open-dollar',
            'nss-envelope-open-text' => 'nss-envelope-open-text',
            'nss-envelope-square' => 'nss-envelope-square',
            'nss-equals' => 'nss-equals',
            'nss-eraser' => 'nss-eraser',
            'nss-ethernet' => 'nss-ethernet',
            'nss-euro-sign' => 'nss-euro-sign',
            'nss-exchange' => 'nss-exchange',
            'nss-exchange-alt' => 'nss-exchange-alt',
            'nss-exclamation' => 'nss-exclamation',
            'nss-exclamation-circle' => 'nss-exclamation-circle',
            'nss-exclamation-square' => 'nss-exclamation-square',
            'nss-exclamation-triangle' => 'nss-exclamation-triangle',
            'nss-expand' => 'nss-expand',
            'nss-expand-alt' => 'nss-expand-alt',
            'nss-expand-arrows' => 'nss-expand-arrows',
            'nss-expand-arrows-alt' => 'nss-expand-arrows-alt',
            'nss-expand-wide' => 'nss-expand-wide',
            'nss-external-link' => 'nss-external-link',
            'nss-external-link-alt' => 'nss-external-link-alt',
            'nss-external-link-square' => 'nss-external-link-square',
            'nss-external-link-square-alt' => 'nss-external-link-square-alt',
            'nss-eye' => 'nss-eye',
            'nss-eye-dropper' => 'nss-eye-dropper',
            'nss-eye-evil' => 'nss-eye-evil',
            'nss-eye-slash' => 'nss-eye-slash',
            'nss-fast-backward' => 'nss-fast-backward',
            'nss-fast-forward' => 'nss-fast-forward',
            'nss-fax' => 'nss-fax',
            'nss-feather' => 'nss-feather',
            'nss-feather-alt' => 'nss-feather-alt',
            'nss-female' => 'nss-female',
            'nss-field-hockey' => 'nss-field-hockey',
            'nss-fighter-jet' => 'nss-fighter-jet',
            'nss-file' => 'nss-file',
            'nss-file-alt' => 'nss-file-alt',
            'nss-file-archive' => 'nss-file-archive',
            'nss-file-audio' => 'nss-file-audio',
            'nss-file-certificate' => 'nss-file-certificate',
            'nss-file-chart-line' => 'nss-file-chart-line',
            'nss-file-chart-pie' => 'nss-file-chart-pie',
            'nss-file-check' => 'nss-file-check',
            'nss-file-code' => 'nss-file-code',
            'nss-file-contract' => 'nss-file-contract',
            'nss-file-csv' => 'nss-file-csv',
            'nss-file-download' => 'nss-file-download',
            'nss-file-edit' => 'nss-file-edit',
            'nss-file-excel' => 'nss-file-excel',
            'nss-file-exclamation' => 'nss-file-exclamation',
            'nss-file-export' => 'nss-file-export',
            'nss-file-image' => 'nss-file-image',
            'nss-file-import' => 'nss-file-import',
            'nss-file-invoice' => 'nss-file-invoice',
            'nss-file-invoice-dollar' => 'nss-file-invoice-dollar',
            'nss-file-medical' => 'nss-file-medical',
            'nss-file-medical-alt' => 'nss-file-medical-alt',
            'nss-file-minus' => 'nss-file-minus',
            'nss-file-pdf' => 'nss-file-pdf',
            'nss-file-plus' => 'nss-file-plus',
            'nss-file-powerpoint' => 'nss-file-powerpoint',
            'nss-file-prescription' => 'nss-file-prescription',
            'nss-file-signature' => 'nss-file-signature',
            'nss-files-medical' => 'nss-files-medical',
            'nss-file-spreadsheet' => 'nss-file-spreadsheet',
            'nss-file-times' => 'nss-file-times',
            'nss-file-upload' => 'nss-file-upload',
            'nss-file-user' => 'nss-file-user',
            'nss-file-video' => 'nss-file-video',
            'nss-file-word' => 'nss-file-word',
            'nss-fill' => 'nss-fill',
            'nss-fill-drip' => 'nss-fill-drip',
            'nss-film' => 'nss-film',
            'nss-film-alt' => 'nss-film-alt',
            'nss-filter' => 'nss-filter',
            'nss-fingerprint' => 'nss-fingerprint',
            'nss-fire' => 'nss-fire',
            'nss-fire-alt' => 'nss-fire-alt',
            'nss-fire-extinguisher' => 'nss-fire-extinguisher',
            'nss-fireplace' => 'nss-fireplace',
            'nss-fire-smoke' => 'nss-fire-smoke',
            'nss-first-aid' => 'nss-first-aid',
            'nss-fish' => 'nss-fish',
            'nss-fish-cooked' => 'nss-fish-cooked',
            'nss-fist-raised' => 'nss-fist-raised',
            'nss-flag' => 'nss-flag',
            'nss-flag-alt' => 'nss-flag-alt',
            'nss-flag-checkered' => 'nss-flag-checkered',
            'nss-flag-usa' => 'nss-flag-usa',
            'nss-flame' => 'nss-flame',
            'nss-flask' => 'nss-flask',
            'nss-flask-poison' => 'nss-flask-poison',
            'nss-flask-potion' => 'nss-flask-potion',
            'nss-flower' => 'nss-flower',
            'nss-flower-daffodil' => 'nss-flower-daffodil',
            'nss-flower-tulip' => 'nss-flower-tulip',
            'nss-flushed' => 'nss-flushed',
            'nss-fog' => 'nss-fog',
            'nss-folder' => 'nss-folder',
            'nss-folder-minus' => 'nss-folder-minus',
            'nss-folder-open' => 'nss-folder-open',
            'nss-folder-plus' => 'nss-folder-plus',
            'nss-folders' => 'nss-folders',
            'nss-folder-times' => 'nss-folder-times',
            'nss-folder-tree' => 'nss-folder-tree',
            'nss-font' => 'nss-font',
            'nss-font-awesome-logo-full' => 'nss-font-awesome-logo-full',
            'nss-football-ball' => 'nss-football-ball',
            'nss-football-helmet' => 'nss-football-helmet',
            'nss-forklift' => 'nss-forklift',
            'nss-forward' => 'nss-forward',
            'nss-fragile' => 'nss-fragile',
            'nss-french-fries' => 'nss-french-fries',
            'nss-frog' => 'nss-frog',
            'nss-frosty-head' => 'nss-frosty-head',
            'nss-frown' => 'nss-frown',
            'nss-frown-open' => 'nss-frown-open',
            'nss-function' => 'nss-function',
            'nss-funnel-dollar' => 'nss-funnel-dollar',
            'nss-futbol' => 'nss-futbol',
            'nss-gamepad' => 'nss-gamepad',
            'nss-gas-pump' => 'nss-gas-pump',
            'nss-gas-pump-slash' => 'nss-gas-pump-slash',
            'nss-gavel' => 'nss-gavel',
            'nss-gem' => 'nss-gem',
            'nss-genderless' => 'nss-genderless',
            'nss-ghost' => 'nss-ghost',
            'nss-gift' => 'nss-gift',
            'nss-gift-card' => 'nss-gift-card',
            'nss-gifts' => 'nss-gifts',
            'nss-gingerbread-man' => 'nss-gingerbread-man',
            'nss-glass' => 'nss-glass',
            'nss-glass-champagne' => 'nss-glass-champagne',
            'nss-glass-cheers' => 'nss-glass-cheers',
            'nss-glasses' => 'nss-glasses',
            'nss-glasses-alt' => 'nss-glasses-alt',
            'nss-glass-martini' => 'nss-glass-martini',
            'nss-glass-martini-alt' => 'nss-glass-martini-alt',
            'nss-glass-whiskey' => 'nss-glass-whiskey',
            'nss-glass-whiskey-rocks' => 'nss-glass-whiskey-rocks',
            'nss-globe' => 'nss-globe',
            'nss-globe-africa' => 'nss-globe-africa',
            'nss-globe-americas' => 'nss-globe-americas',
            'nss-globe-asia' => 'nss-globe-asia',
            'nss-globe-europe' => 'nss-globe-europe',
            'nss-globe-snow' => 'nss-globe-snow',
            'nss-globe-stand' => 'nss-globe-stand',
            'nss-golf-ball' => 'nss-golf-ball',
            'nss-golf-club' => 'nss-golf-club',
            'nss-gopuram' => 'nss-gopuram',
            'nss-graduation-cap' => 'nss-graduation-cap',
            'nss-greater-than' => 'nss-greater-than',
            'nss-greater-than-equal' => 'nss-greater-than-equal',
            'nss-grimace' => 'nss-grimace',
            'nss-grin' => 'nss-grin',
            'nss-grin-alt' => 'nss-grin-alt',
            'nss-grin-beam' => 'nss-grin-beam',
            'nss-grin-beam-sweat' => 'nss-grin-beam-sweat',
            'nss-grin-hearts' => 'nss-grin-hearts',
            'nss-grin-squint' => 'nss-grin-squint',
            'nss-grin-squint-tears' => 'nss-grin-squint-tears',
            'nss-grin-stars' => 'nss-grin-stars',
            'nss-grin-tears' => 'nss-grin-tears',
            'nss-grin-tongue' => 'nss-grin-tongue',
            'nss-grin-tongue-squint' => 'nss-grin-tongue-squint',
            'nss-grin-tongue-wink' => 'nss-grin-tongue-wink',
            'nss-grin-wink' => 'nss-grin-wink',
            'nss-grip-horizontal' => 'nss-grip-horizontal',
            'nss-grip-lines' => 'nss-grip-lines',
            'nss-grip-lines-vertical' => 'nss-grip-lines-vertical',
            'nss-grip-vertical' => 'nss-grip-vertical',
            'nss-guitar' => 'nss-guitar',
            'nss-h1' => 'nss-h1',
            'nss-h2' => 'nss-h2',
            'nss-h3' => 'nss-h3',
            'nss-hamburger' => 'nss-hamburger',
            'nss-hammer' => 'nss-hammer',
            'nss-hammer-war' => 'nss-hammer-war',
            'nss-hamsa' => 'nss-hamsa',
            'nss-hand-heart' => 'nss-hand-heart',
            'nss-hand-holding' => 'nss-hand-holding',
            'nss-hand-holding-box' => 'nss-hand-holding-box',
            'nss-hand-holding-heart' => 'nss-hand-holding-heart',
            'nss-hand-holding-magic' => 'nss-hand-holding-magic',
            'nss-hand-holding-seedling' => 'nss-hand-holding-seedling',
            'nss-hand-holding-usd' => 'nss-hand-holding-usd',
            'nss-hand-holding-water' => 'nss-hand-holding-water',
            'nss-hand-lizard' => 'nss-hand-lizard',
            'nss-hand-middle-finger' => 'nss-hand-middle-finger',
            'nss-hand-paper' => 'nss-hand-paper',
            'nss-hand-peace' => 'nss-hand-peace',
            'nss-hand-point-down' => 'nss-hand-point-down',
            'nss-hand-pointer' => 'nss-hand-pointer',
            'nss-hand-point-left' => 'nss-hand-point-left',
            'nss-hand-point-right' => 'nss-hand-point-right',
            'nss-hand-point-up' => 'nss-hand-point-up',
            'nss-hand-receiving' => 'nss-hand-receiving',
            'nss-hand-rock' => 'nss-hand-rock',
            'nss-hands' => 'nss-hands',
            'nss-hand-scissors' => 'nss-hand-scissors',
            'nss-handshake' => 'nss-handshake',
            'nss-handshake-alt' => 'nss-handshake-alt',
            'nss-hands-heart' => 'nss-hands-heart',
            'nss-hands-helping' => 'nss-hands-helping',
            'nss-hand-spock' => 'nss-hand-spock',
            'nss-hands-usd' => 'nss-hands-usd',
            'nss-hanukiah' => 'nss-hanukiah',
            'nss-hard-hat' => 'nss-hard-hat',
            'nss-hashtag' => 'nss-hashtag',
            'nss-hat-santa' => 'nss-hat-santa',
            'nss-hat-winter' => 'nss-hat-winter',
            'nss-hat-witch' => 'nss-hat-witch',
            'nss-hat-wizard' => 'nss-hat-wizard',
            'nss-haykal' => 'nss-haykal',
            'nss-hdd' => 'nss-hdd',
            'nss-heading' => 'nss-heading',
            'nss-headphones' => 'nss-headphones',
            'nss-headphones-alt' => 'nss-headphones-alt',
            'nss-headset' => 'nss-headset',
            'nss-head-side' => 'nss-head-side',
            'nss-head-side-brain' => 'nss-head-side-brain',
            'nss-head-side-medical' => 'nss-head-side-medical',
            'nss-head-vr' => 'nss-head-vr',
            'nss-heart' => 'nss-heart',
            'nss-heartbeat' => 'nss-heartbeat',
            'nss-heart-broken' => 'nss-heart-broken',
            'nss-heart-circle' => 'nss-heart-circle',
            'nss-heart-rate' => 'nss-heart-rate',
            'nss-heart-square' => 'nss-heart-square',
            'nss-helicopter' => 'nss-helicopter',
            'nss-helmet-battle' => 'nss-helmet-battle',
            'nss-hexagon' => 'nss-hexagon',
            'nss-highlighter' => 'nss-highlighter',
            'nss-hiking' => 'nss-hiking',
            'nss-hippo' => 'nss-hippo',
            'nss-history' => 'nss-history',
            'nss-hockey-mask' => 'nss-hockey-mask',
            'nss-hockey-puck' => 'nss-hockey-puck',
            'nss-hockey-sticks' => 'nss-hockey-sticks',
            'nss-holly-berry' => 'nss-holly-berry',
            'nss-home' => 'nss-home',
            'nss-home-alt' => 'nss-home-alt',
            'nss-home-heart' => 'nss-home-heart',
            'nss-home-lg' => 'nss-home-lg',
            'nss-home-lg-alt' => 'nss-home-lg-alt',
            'nss-hood-cloak' => 'nss-hood-cloak',
            'nss-horse' => 'nss-horse',
            'nss-horse-head' => 'nss-horse-head',
            'nss-hospital' => 'nss-hospital',
            'nss-hospital-alt' => 'nss-hospital-alt',
            'nss-hospitals' => 'nss-hospitals',
            'nss-hospital-symbol' => 'nss-hospital-symbol',
            'nss-hospital-user' => 'nss-hospital-user',
            'nss-hotdog' => 'nss-hotdog',
            'nss-hotel' => 'nss-hotel',
            'nss-hot-tub' => 'nss-hot-tub',
            'nss-hourglass' => 'nss-hourglass',
            'nss-hourglass-end' => 'nss-hourglass-end',
            'nss-hourglass-half' => 'nss-hourglass-half',
            'nss-hourglass-start' => 'nss-hourglass-start',
            'nss-house-damage' => 'nss-house-damage',
            'nss-house-flood' => 'nss-house-flood',
            'nss-hryvnia' => 'nss-hryvnia',
            'nss-h-square' => 'nss-h-square',
            'nss-humidity' => 'nss-humidity',
            'nss-hurricane' => 'nss-hurricane',
            'nss-ice-cream' => 'nss-ice-cream',
            'nss-ice-skate' => 'nss-ice-skate',
            'nss-icicles' => 'nss-icicles',
            'nss-i-cursor' => 'nss-i-cursor',
            'nss-id-badge' => 'nss-id-badge',
            'nss-id-card' => 'nss-id-card',
            'nss-id-card-alt' => 'nss-id-card-alt',
            'nss-igloo' => 'nss-igloo',
            'nss-image' => 'nss-image',
            'nss-images' => 'nss-images',
            'nss-inbox' => 'nss-inbox',
            'nss-inbox-in' => 'nss-inbox-in',
            'nss-inbox-out' => 'nss-inbox-out',
            'nss-indent' => 'nss-indent',
            'nss-industry' => 'nss-industry',
            'nss-industry-alt' => 'nss-industry-alt',
            'nss-infinity' => 'nss-infinity',
            'nss-info' => 'nss-info',
            'nss-info-circle' => 'nss-info-circle',
            'nss-info-square' => 'nss-info-square',
            'nss-inhaler' => 'nss-inhaler',
            'nss-integral' => 'nss-integral',
            'nss-intersection' => 'nss-intersection',
            'nss-inventory' => 'nss-inventory',
            'nss-island-tropical' => 'nss-island-tropical',
            'nss-italic' => 'nss-italic',
            'nss-jack-o-lantern' => 'nss-jack-o-lantern',
            'nss-jedi' => 'nss-jedi',
            'nss-joint' => 'nss-joint',
            'nss-journal-whills' => 'nss-journal-whills',
            'nss-kaaba' => 'nss-kaaba',
            'nss-key' => 'nss-key',
            'nss-keyboard' => 'nss-keyboard',
            'nss-keynote' => 'nss-keynote',
            'nss-key-skeleton' => 'nss-key-skeleton',
            'nss-khanda' => 'nss-khanda',
            'nss-kidneys' => 'nss-kidneys',
            'nss-kiss' => 'nss-kiss',
            'nss-kiss-beam' => 'nss-kiss-beam',
            'nss-kiss-wink-heart' => 'nss-kiss-wink-heart',
            'nss-kite' => 'nss-kite',
            'nss-kiwi-bird' => 'nss-kiwi-bird',
            'nss-knife-kitchen' => 'nss-knife-kitchen',
            'nss-lambda' => 'nss-lambda',
            'nss-lamp' => 'nss-lamp',
            'nss-landmark' => 'nss-landmark',
            'nss-landmark-alt' => 'nss-landmark-alt',
            'nss-language' => 'nss-language',
            'nss-laptop' => 'nss-laptop',
            'nss-laptop-code' => 'nss-laptop-code',
            'nss-laptop-medical' => 'nss-laptop-medical',
            'nss-laugh' => 'nss-laugh',
            'nss-laugh-beam' => 'nss-laugh-beam',
            'nss-laugh-squint' => 'nss-laugh-squint',
            'nss-laugh-wink' => 'nss-laugh-wink',
            'nss-layer-group' => 'nss-layer-group',
            'nss-layer-minus' => 'nss-layer-minus',
            'nss-layer-plus' => 'nss-layer-plus',
            'nss-leaf' => 'nss-leaf',
            'nss-leaf-heart' => 'nss-leaf-heart',
            'nss-leaf-maple' => 'nss-leaf-maple',
            'nss-leaf-oak' => 'nss-leaf-oak',
            'nss-lemon' => 'nss-lemon',
            'nss-less-than' => 'nss-less-than',
            'nss-less-than-equal' => 'nss-less-than-equal',
            'nss-level-down' => 'nss-level-down',
            'nss-level-down-alt' => 'nss-level-down-alt',
            'nss-level-up' => 'nss-level-up',
            'nss-level-up-alt' => 'nss-level-up-alt',
            'nss-life-ring' => 'nss-life-ring',
            'nss-lightbulb' => 'nss-lightbulb',
            'nss-lightbulb-dollar' => 'nss-lightbulb-dollar',
            'nss-lightbulb-exclamation' => 'nss-lightbulb-exclamation',
            'nss-lightbulb-on' => 'nss-lightbulb-on',
            'nss-lightbulb-slash' => 'nss-lightbulb-slash',
            'nss-lights-holiday' => 'nss-lights-holiday',
            'nss-link' => 'nss-link',
            'nss-lips' => 'nss-lips',
            'nss-lira-sign' => 'nss-lira-sign',
            'nss-list' => 'nss-list',
            'nss-list-alt' => 'nss-list-alt',
            'nss-list-ol' => 'nss-list-ol',
            'nss-list-ul' => 'nss-list-ul',
            'nss-location' => 'nss-location',
            'nss-location-arrow' => 'nss-location-arrow',
            'nss-location-circle' => 'nss-location-circle',
            'nss-location-slash' => 'nss-location-slash',
            'nss-lock' => 'nss-lock',
            'nss-lock-alt' => 'nss-lock-alt',
            'nss-lock-open' => 'nss-lock-open',
            'nss-lock-open-alt' => 'nss-lock-open-alt',
            'nss-long-arrow-alt-down' => 'nss-long-arrow-alt-down',
            'nss-long-arrow-alt-left' => 'nss-long-arrow-alt-left',
            'nss-long-arrow-alt-right' => 'nss-long-arrow-alt-right',
            'nss-long-arrow-alt-up' => 'nss-long-arrow-alt-up',
            'nss-long-arrow-down' => 'nss-long-arrow-down',
            'nss-long-arrow-left' => 'nss-long-arrow-left',
            'nss-long-arrow-right' => 'nss-long-arrow-right',
            'nss-long-arrow-up' => 'nss-long-arrow-up',
            'nss-loveseat' => 'nss-loveseat',
            'nss-low-vision' => 'nss-low-vision',
            'nss-luchador' => 'nss-luchador',
            'nss-luggage-cart' => 'nss-luggage-cart',
            'nss-lungs' => 'nss-lungs',
            'nss-mace' => 'nss-mace',
            'nss-magic' => 'nss-magic',
            'nss-magnet' => 'nss-magnet',
            'nss-mailbox' => 'nss-mailbox',
            'nss-mail-bulk' => 'nss-mail-bulk',
            'nss-male' => 'nss-male',
            'nss-mandolin' => 'nss-mandolin',
            'nss-map' => 'nss-map',
            'nss-map-marked' => 'nss-map-marked',
            'nss-map-marked-alt' => 'nss-map-marked-alt',
            'nss-map-marker' => 'nss-map-marker',
            'nss-map-marker-alt' => 'nss-map-marker-alt',
            'nss-map-marker-alt-slash' => 'nss-map-marker-alt-slash',
            'nss-map-marker-check' => 'nss-map-marker-check',
            'nss-map-marker-edit' => 'nss-map-marker-edit',
            'nss-map-marker-exclamation' => 'nss-map-marker-exclamation',
            'nss-map-marker-minus' => 'nss-map-marker-minus',
            'nss-map-marker-plus' => 'nss-map-marker-plus',
            'nss-map-marker-question' => 'nss-map-marker-question',
            'nss-map-marker-slash' => 'nss-map-marker-slash',
            'nss-map-marker-smile' => 'nss-map-marker-smile',
            'nss-map-marker-times' => 'nss-map-marker-times',
            'nss-map-pin' => 'nss-map-pin',
            'nss-map-signs' => 'nss-map-signs',
            'nss-marker' => 'nss-marker',
            'nss-mars' => 'nss-mars',
            'nss-mars-double' => 'nss-mars-double',
            'nss-mars-stroke' => 'nss-mars-stroke',
            'nss-mars-stroke-h' => 'nss-mars-stroke-h',
            'nss-mars-stroke-v' => 'nss-mars-stroke-v',
            'nss-mask' => 'nss-mask',
            'nss-meat' => 'nss-meat',
            'nss-medal' => 'nss-medal',
            'nss-medkit' => 'nss-medkit',
            'nss-megaphone' => 'nss-megaphone',
            'nss-meh' => 'nss-meh',
            'nss-meh-blank' => 'nss-meh-blank',
            'nss-meh-rolling-eyes' => 'nss-meh-rolling-eyes',
            'nss-memory' => 'nss-memory',
            'nss-menorah' => 'nss-menorah',
            'nss-mercury' => 'nss-mercury',
            'nss-meteor' => 'nss-meteor',
            'nss-microchip' => 'nss-microchip',
            'nss-microphone' => 'nss-microphone',
            'nss-microphone-alt' => 'nss-microphone-alt',
            'nss-microphone-alt-slash' => 'nss-microphone-alt-slash',
            'nss-microphone-slash' => 'nss-microphone-slash',
            'nss-microscope' => 'nss-microscope',
            'nss-mind-share' => 'nss-mind-share',
            'nss-minus' => 'nss-minus',
            'nss-minus-circle' => 'nss-minus-circle',
            'nss-minus-hexagon' => 'nss-minus-hexagon',
            'nss-minus-octagon' => 'nss-minus-octagon',
            'nss-minus-square' => 'nss-minus-square',
            'nss-mistletoe' => 'nss-mistletoe',
            'nss-mitten' => 'nss-mitten',
            'nss-mobile' => 'nss-mobile',
            'nss-mobile-alt' => 'nss-mobile-alt',
            'nss-mobile-android' => 'nss-mobile-android',
            'nss-mobile-android-alt' => 'nss-mobile-android-alt',
            'nss-money-bill' => 'nss-money-bill',
            'nss-money-bill-alt' => 'nss-money-bill-alt',
            'nss-money-bill-wave' => 'nss-money-bill-wave',
            'nss-money-bill-wave-alt' => 'nss-money-bill-wave-alt',
            'nss-money-check' => 'nss-money-check',
            'nss-money-check-alt' => 'nss-money-check-alt',
            'nss-monitor-heart-rate' => 'nss-monitor-heart-rate',
            'nss-monkey' => 'nss-monkey',
            'nss-monument' => 'nss-monument',
            'nss-moon' => 'nss-moon',
            'nss-moon-cloud' => 'nss-moon-cloud',
            'nss-moon-stars' => 'nss-moon-stars',
            'nss-mortar-pestle' => 'nss-mortar-pestle',
            'nss-mosque' => 'nss-mosque',
            'nss-motorcycle' => 'nss-motorcycle',
            'nss-mountain' => 'nss-mountain',
            'nss-mountains' => 'nss-mountains',
            'nss-mouse-pointer' => 'nss-mouse-pointer',
            'nss-mug-hot' => 'nss-mug-hot',
            'nss-mug-marshmallows' => 'nss-mug-marshmallows',
            'nss-music' => 'nss-music',
            'nss-narwhal' => 'nss-narwhal',
            'nss-network-wired' => 'nss-network-wired',
            'nss-neuter' => 'nss-neuter',
            'nss-newspaper' => 'nss-newspaper',
            'nss-not-equal' => 'nss-not-equal',
            'nss-notes-medical' => 'nss-notes-medical',
            'nss-object-group' => 'nss-object-group',
            'nss-object-ungroup' => 'nss-object-ungroup',
            'nss-octagon' => 'nss-octagon',
            'nss-oil-can' => 'nss-oil-can',
            'nss-oil-temp' => 'nss-oil-temp',
            'nss-om' => 'nss-om',
            'nss-omega' => 'nss-omega',
            'nss-ornament' => 'nss-ornament',
            'nss-otter' => 'nss-otter',
            'nss-outdent' => 'nss-outdent',
            'nss-pager' => 'nss-pager',
            'nss-paint-brush' => 'nss-paint-brush',
            'nss-paint-brush-alt' => 'nss-paint-brush-alt',
            'nss-paint-roller' => 'nss-paint-roller',
            'nss-palette' => 'nss-palette',
            'nss-pallet' => 'nss-pallet',
            'nss-pallet-alt' => 'nss-pallet-alt',
            'nss-paperclip' => 'nss-paperclip',
            'nss-paper-plane' => 'nss-paper-plane',
            'nss-parachute-box' => 'nss-parachute-box',
            'nss-paragraph' => 'nss-paragraph',
            'nss-parking' => 'nss-parking',
            'nss-parking-circle' => 'nss-parking-circle',
            'nss-parking-circle-slash' => 'nss-parking-circle-slash',
            'nss-parking-slash' => 'nss-parking-slash',
            'nss-passport' => 'nss-passport',
            'nss-pastafarianism' => 'nss-pastafarianism',
            'nss-paste' => 'nss-paste',
            'nss-pause' => 'nss-pause',
            'nss-pause-circle' => 'nss-pause-circle',
            'nss-paw' => 'nss-paw',
            'nss-paw-alt' => 'nss-paw-alt',
            'nss-paw-claws' => 'nss-paw-claws',
            'nss-peace' => 'nss-peace',
            'nss-pegasus' => 'nss-pegasus',
            'nss-pen' => 'nss-pen',
            'nss-pen-alt' => 'nss-pen-alt',
            'nss-pencil' => 'nss-pencil',
            'nss-pencil-alt' => 'nss-pencil-alt',
            'nss-pencil-paintbrush' => 'nss-pencil-paintbrush',
            'nss-pencil-ruler' => 'nss-pencil-ruler',
            'nss-pen-fancy' => 'nss-pen-fancy',
            'nss-pennant' => 'nss-pennant',
            'nss-pen-nib' => 'nss-pen-nib',
            'nss-pen-square' => 'nss-pen-square',
            'nss-people-carry' => 'nss-people-carry',
            'nss-pepper-hot' => 'nss-pepper-hot',
            'nss-percent' => 'nss-percent',
            'nss-percentage' => 'nss-percentage',
            'nss-person-booth' => 'nss-person-booth',
            'nss-person-carry' => 'nss-person-carry',
            'nss-person-dolly' => 'nss-person-dolly',
            'nss-person-dolly-empty' => 'nss-person-dolly-empty',
            'nss-person-sign' => 'nss-person-sign',
            'nss-phone' => 'nss-phone',
            'nss-phone-office' => 'nss-phone-office',
            'nss-phone-plus' => 'nss-phone-plus',
            'nss-phone-slash' => 'nss-phone-slash',
            'nss-phone-square' => 'nss-phone-square',
            'nss-phone-volume' => 'nss-phone-volume',
            'nss-pi' => 'nss-pi',
            'nss-pie' => 'nss-pie',
            'nss-pig' => 'nss-pig',
            'nss-piggy-bank' => 'nss-piggy-bank',
            'nss-pills' => 'nss-pills',
            'nss-pizza' => 'nss-pizza',
            'nss-pizza-slice' => 'nss-pizza-slice',
            'nss-place-of-worship' => 'nss-place-of-worship',
            'nss-plane' => 'nss-plane',
            'nss-plane-alt' => 'nss-plane-alt',
            'nss-plane-arrival' => 'nss-plane-arrival',
            'nss-plane-departure' => 'nss-plane-departure',
            'nss-play' => 'nss-play',
            'nss-play-circle' => 'nss-play-circle',
            'nss-plug' => 'nss-plug',
            'nss-plus' => 'nss-plus',
            'nss-plus-circle' => 'nss-plus-circle',
            'nss-plus-hexagon' => 'nss-plus-hexagon',
            'nss-plus-octagon' => 'nss-plus-octagon',
            'nss-plus-square' => 'nss-plus-square',
            'nss-podcast' => 'nss-podcast',
            'nss-podium' => 'nss-podium',
            'nss-podium-star' => 'nss-podium-star',
            'nss-poll' => 'nss-poll',
            'nss-poll-h' => 'nss-poll-h',
            'nss-poll-people' => 'nss-poll-people',
            'nss-poo' => 'nss-poo',
            'nss-poop' => 'nss-poop',
            'nss-poo-storm' => 'nss-poo-storm',
            'nss-popcorn' => 'nss-popcorn',
            'nss-portrait' => 'nss-portrait',
            'nss-pound-sign' => 'nss-pound-sign',
            'nss-power-off' => 'nss-power-off',
            'nss-pray' => 'nss-pray',
            'nss-praying-hands' => 'nss-praying-hands',
            'nss-prescription' => 'nss-prescription',
            'nss-prescription-bottle' => 'nss-prescription-bottle',
            'nss-prescription-bottle-alt' => 'nss-prescription-bottle-alt',
            'nss-presentation' => 'nss-presentation',
            'nss-print' => 'nss-print',
            'nss-print-search' => 'nss-print-search',
            'nss-print-slash' => 'nss-print-slash',
            'nss-procedures' => 'nss-procedures',
            'nss-project-diagram' => 'nss-project-diagram',
            'nss-pumpkin' => 'nss-pumpkin',
            'nss-puzzle-piece' => 'nss-puzzle-piece',
            'nss-qrcode' => 'nss-qrcode',
            'nss-question' => 'nss-question',
            'nss-question-circle' => 'nss-question-circle',
            'nss-question-square' => 'nss-question-square',
            'nss-quidditch' => 'nss-quidditch',
            'nss-quote-left' => 'nss-quote-left',
            'nss-quote-right' => 'nss-quote-right',
            'nss-quran' => 'nss-quran',
            'nss-rabbit' => 'nss-rabbit',
            'nss-rabbit-fast' => 'nss-rabbit-fast',
            'nss-racquet' => 'nss-racquet',
            'nss-radiation' => 'nss-radiation',
            'nss-radiation-alt' => 'nss-radiation-alt',
            'nss-rainbow' => 'nss-rainbow',
            'nss-raindrops' => 'nss-raindrops',
            'nss-ram' => 'nss-ram',
            'nss-ramp-loading' => 'nss-ramp-loading',
            'nss-random' => 'nss-random',
            'nss-receipt' => 'nss-receipt',
            'nss-rectangle-landscape' => 'nss-rectangle-landscape',
            'nss-rectangle-portrait' => 'nss-rectangle-portrait',
            'nss-rectangle-wide' => 'nss-rectangle-wide',
            'nss-recycle' => 'nss-recycle',
            'nss-redo' => 'nss-redo',
            'nss-redo-alt' => 'nss-redo-alt',
            'nss-registered' => 'nss-registered',
            'nss-repeat' => 'nss-repeat',
            'nss-repeat-1' => 'nss-repeat-1',
            'nss-repeat-1-alt' => 'nss-repeat-1-alt',
            'nss-repeat-alt' => 'nss-repeat-alt',
            'nss-reply' => 'nss-reply',
            'nss-reply-all' => 'nss-reply-all',
            'nss-republican' => 'nss-republican',
            'nss-restroom' => 'nss-restroom',
            'nss-retweet' => 'nss-retweet',
            'nss-retweet-alt' => 'nss-retweet-alt',
            'nss-ribbon' => 'nss-ribbon',
            'nss-ring' => 'nss-ring',
            'nss-rings-wedding' => 'nss-rings-wedding',
            'nss-road' => 'nss-road',
            'nss-robot' => 'nss-robot',
            'nss-rocket' => 'nss-rocket',
            'nss-route' => 'nss-route',
            'nss-route-highway' => 'nss-route-highway',
            'nss-route-interstate' => 'nss-route-interstate',
            'nss-rss' => 'nss-rss',
            'nss-rss-square' => 'nss-rss-square',
            'nss-ruble-sign' => 'nss-ruble-sign',
            'nss-ruler' => 'nss-ruler',
            'nss-ruler-combined' => 'nss-ruler-combined',
            'nss-ruler-horizontal' => 'nss-ruler-horizontal',
            'nss-ruler-triangle' => 'nss-ruler-triangle',
            'nss-ruler-vertical' => 'nss-ruler-vertical',
            'nss-running' => 'nss-running',
            'nss-rupee-sign' => 'nss-rupee-sign',
            'nss-rv' => 'nss-rv',
            'nss-sack' => 'nss-sack',
            'nss-sack-dollar' => 'nss-sack-dollar',
            'nss-sad-cry' => 'nss-sad-cry',
            'nss-sad-tear' => 'nss-sad-tear',
            'nss-salad' => 'nss-salad',
            'nss-sandwich' => 'nss-sandwich',
            'nss-satellite' => 'nss-satellite',
            'nss-satellite-dish' => 'nss-satellite-dish',
            'nss-sausage' => 'nss-sausage',
            'nss-save' => 'nss-save',
            'nss-scalpel' => 'nss-scalpel',
            'nss-scalpel-path' => 'nss-scalpel-path',
            'nss-scanner' => 'nss-scanner',
            'nss-scanner-keyboard' => 'nss-scanner-keyboard',
            'nss-scanner-touchscreen' => 'nss-scanner-touchscreen',
            'nss-scarecrow' => 'nss-scarecrow',
            'nss-scarf' => 'nss-scarf',
            'nss-school' => 'nss-school',
            'nss-screwdriver' => 'nss-screwdriver',
            'nss-scroll' => 'nss-scroll',
            'nss-scroll-old' => 'nss-scroll-old',
            'nss-scrubber' => 'nss-scrubber',
            'nss-scythe' => 'nss-scythe',
            'nss-sd-card' => 'nss-sd-card',
            'nss-search' => 'nss-search',
            'nss-search-dollar' => 'nss-search-dollar',
            'nss-search-location' => 'nss-search-location',
            'nss-search-minus' => 'nss-search-minus',
            'nss-search-plus' => 'nss-search-plus',
            'nss-seedling' => 'nss-seedling',
            'nss-server' => 'nss-server',
            'nss-shapes' => 'nss-shapes',
            'nss-share' => 'nss-share',
            'nss-share-all' => 'nss-share-all',
            'nss-share-alt' => 'nss-share-alt',
            'nss-share-alt-square' => 'nss-share-alt-square',
            'nss-share-square' => 'nss-share-square',
            'nss-sheep' => 'nss-sheep',
            'nss-shekel-sign' => 'nss-shekel-sign',
            'nss-shield' => 'nss-shield',
            'nss-shield-alt' => 'nss-shield-alt',
            'nss-shield-check' => 'nss-shield-check',
            'nss-shield-cross' => 'nss-shield-cross',
            'nss-ship' => 'nss-ship',
            'nss-shipping-fast' => 'nss-shipping-fast',
            'nss-shipping-timed' => 'nss-shipping-timed',
            'nss-shish-kebab' => 'nss-shish-kebab',
            'nss-shoe-prints' => 'nss-shoe-prints',
            'nss-shopping-bag' => 'nss-shopping-bag',
            'nss-shopping-basket' => 'nss-shopping-basket',
            'nss-shopping-cart' => 'nss-shopping-cart',
            'nss-shovel' => 'nss-shovel',
            'nss-shovel-snow' => 'nss-shovel-snow',
            'nss-shower' => 'nss-shower',
            'nss-shredder' => 'nss-shredder',
            'nss-shuttlecock' => 'nss-shuttlecock',
            'nss-shuttle-van' => 'nss-shuttle-van',
            'nss-sickle' => 'nss-sickle',
            'nss-sigma' => 'nss-sigma',
            'nss-sign' => 'nss-sign',
            'nss-signal' => 'nss-signal',
            'nss-signal-1' => 'nss-signal-1',
            'nss-signal-2' => 'nss-signal-2',
            'nss-signal-3' => 'nss-signal-3',
            'nss-signal-4' => 'nss-signal-4',
            'nss-signal-alt' => 'nss-signal-alt',
            'nss-signal-alt-1' => 'nss-signal-alt-1',
            'nss-signal-alt-2' => 'nss-signal-alt-2',
            'nss-signal-alt-3' => 'nss-signal-alt-3',
            'nss-signal-alt-slash' => 'nss-signal-alt-slash',
            'nss-signal-slash' => 'nss-signal-slash',
            'nss-signature' => 'nss-signature',
            'nss-sign-in' => 'nss-sign-in',
            'nss-sign-in-alt' => 'nss-sign-in-alt',
            'nss-sign-language' => 'nss-sign-language',
            'nss-sign-out' => 'nss-sign-out',
            'nss-sign-out-alt' => 'nss-sign-out-alt',
            'nss-sim-card' => 'nss-sim-card',
            'nss-sitemap' => 'nss-sitemap',
            'nss-skating' => 'nss-skating',
            'nss-skeleton' => 'nss-skeleton',
            'nss-skiing' => 'nss-skiing',
            'nss-skiing-nordic' => 'nss-skiing-nordic',
            'nss-ski-jump' => 'nss-ski-jump',
            'nss-ski-lift' => 'nss-ski-lift',
            'nss-skull' => 'nss-skull',
            'nss-skull-crossbones' => 'nss-skull-crossbones',
            'nss-slash' => 'nss-slash',
            'nss-sledding' => 'nss-sledding',
            'nss-sleigh' => 'nss-sleigh',
            'nss-sliders-h' => 'nss-sliders-h',
            'nss-sliders-h-square' => 'nss-sliders-h-square',
            'nss-sliders-v' => 'nss-sliders-v',
            'nss-sliders-v-square' => 'nss-sliders-v-square',
            'nss-smile' => 'nss-smile',
            'nss-smile-beam' => 'nss-smile-beam',
            'nss-smile-plus' => 'nss-smile-plus',
            'nss-smile-wink' => 'nss-smile-wink',
            'nss-smog' => 'nss-smog',
            'nss-smoke' => 'nss-smoke',
            'nss-smoking' => 'nss-smoking',
            'nss-smoking-ban' => 'nss-smoking-ban',
            'nss-sms' => 'nss-sms',
            'nss-snake' => 'nss-snake',
            'nss-snow-blowing' => 'nss-snow-blowing',
            'nss-snowboarding' => 'nss-snowboarding',
            'nss-snowflake' => 'nss-snowflake',
            'nss-snowflakes' => 'nss-snowflakes',
            'nss-snowman' => 'nss-snowman',
            'nss-snowmobile' => 'nss-snowmobile',
            'nss-snowplow' => 'nss-snowplow',
            'nss-socks' => 'nss-socks',
            'nss-solar-panel' => 'nss-solar-panel',
            'nss-sort' => 'nss-sort',
            'nss-sort-alpha-down' => 'nss-sort-alpha-down',
            'nss-sort-alpha-up' => 'nss-sort-alpha-up',
            'nss-sort-amount-down' => 'nss-sort-amount-down',
            'nss-sort-amount-up' => 'nss-sort-amount-up',
            'nss-sort-down' => 'nss-sort-down',
            'nss-sort-numeric-down' => 'nss-sort-numeric-down',
            'nss-sort-numeric-up' => 'nss-sort-numeric-up',
            'nss-sort-up' => 'nss-sort-up',
            'nss-soup' => 'nss-soup',
            'nss-spa' => 'nss-spa',
            'nss-space-shuttle' => 'nss-space-shuttle',
            'nss-spade' => 'nss-spade',
            'nss-spider' => 'nss-spider',
            'nss-spider-black-widow' => 'nss-spider-black-widow',
            'nss-spider-web' => 'nss-spider-web',
            'nss-spinner' => 'nss-spinner',
            'nss-spinner-third' => 'nss-spinner-third',
            'nss-splotch' => 'nss-splotch',
            'nss-spray-can' => 'nss-spray-can',
            'nss-square' => 'nss-square',
            'nss-square-full' => 'nss-square-full',
            'nss-square-root' => 'nss-square-root',
            'nss-square-root-alt' => 'nss-square-root-alt',
            'nss-squirrel' => 'nss-squirrel',
            'nss-staff' => 'nss-staff',
            'nss-stamp' => 'nss-stamp',
            'nss-star' => 'nss-star',
            'nss-star-and-crescent' => 'nss-star-and-crescent',
            'nss-star-christmas' => 'nss-star-christmas',
            'nss-star-exclamation' => 'nss-star-exclamation',
            'nss-star-half' => 'nss-star-half',
            'nss-star-half-alt' => 'nss-star-half-alt',
            'nss-star-of-david' => 'nss-star-of-david',
            'nss-star-of-life' => 'nss-star-of-life',
            'nss-stars' => 'nss-stars',
            'nss-steak' => 'nss-steak',
            'nss-steering-wheel' => 'nss-steering-wheel',
            'nss-step-backward' => 'nss-step-backward',
            'nss-step-forward' => 'nss-step-forward',
            'nss-stethoscope' => 'nss-stethoscope',
            'nss-sticky-note' => 'nss-sticky-note',
            'nss-stocking' => 'nss-stocking',
            'nss-stomach' => 'nss-stomach',
            'nss-stop' => 'nss-stop',
            'nss-stop-circle' => 'nss-stop-circle',
            'nss-stopwatch' => 'nss-stopwatch',
            'nss-store' => 'nss-store',
            'nss-store-alt' => 'nss-store-alt',
            'nss-stream' => 'nss-stream',
            'nss-street-view' => 'nss-street-view',
            'nss-stretcher' => 'nss-stretcher',
            'nss-strikethrough' => 'nss-strikethrough',
            'nss-stroopwafel' => 'nss-stroopwafel',
            'nss-subscript' => 'nss-subscript',
            'nss-subway' => 'nss-subway',
            'nss-suitcase' => 'nss-suitcase',
            'nss-suitcase-rolling' => 'nss-suitcase-rolling',
            'nss-sun' => 'nss-sun',
            'nss-sun-cloud' => 'nss-sun-cloud',
            'nss-sun-dust' => 'nss-sun-dust',
            'nss-sun-haze' => 'nss-sun-haze',
            'nss-sunrise' => 'nss-sunrise',
            'nss-sunset' => 'nss-sunset',
            'nss-superscript' => 'nss-superscript',
            'nss-surprise' => 'nss-surprise',
            'nss-swatchbook' => 'nss-swatchbook',
            'nss-swimmer' => 'nss-swimmer',
            'nss-swimming-pool' => 'nss-swimming-pool',
            'nss-sword' => 'nss-sword',
            'nss-swords' => 'nss-swords',
            'nss-synagogue' => 'nss-synagogue',
            'nss-sync' => 'nss-sync',
            'nss-sync-alt' => 'nss-sync-alt',
            'nss-syringe' => 'nss-syringe',
            'nss-table' => 'nss-table',
            'nss-tablet' => 'nss-tablet',
            'nss-tablet-alt' => 'nss-tablet-alt',
            'nss-tablet-android' => 'nss-tablet-android',
            'nss-tablet-android-alt' => 'nss-tablet-android-alt',
            'nss-table-tennis' => 'nss-table-tennis',
            'nss-tablet-rugged' => 'nss-tablet-rugged',
            'nss-tablets' => 'nss-tablets',
            'nss-tachometer' => 'nss-tachometer',
            'nss-tachometer-alt' => 'nss-tachometer-alt',
            'nss-tachometer-alt-average' => 'nss-tachometer-alt-average',
            'nss-tachometer-alt-fast' => 'nss-tachometer-alt-fast',
            'nss-tachometer-alt-fastest' => 'nss-tachometer-alt-fastest',
            'nss-tachometer-alt-slow' => 'nss-tachometer-alt-slow',
            'nss-tachometer-alt-slowest' => 'nss-tachometer-alt-slowest',
            'nss-tachometer-average' => 'nss-tachometer-average',
            'nss-tachometer-fast' => 'nss-tachometer-fast',
            'nss-tachometer-fastest' => 'nss-tachometer-fastest',
            'nss-tachometer-slow' => 'nss-tachometer-slow',
            'nss-tachometer-slowest' => 'nss-tachometer-slowest',
            'nss-taco' => 'nss-taco',
            'nss-tag' => 'nss-tag',
            'nss-tags' => 'nss-tags',
            'nss-tally' => 'nss-tally',
            'nss-tanakh' => 'nss-tanakh',
            'nss-tape' => 'nss-tape',
            'nss-tasks' => 'nss-tasks',
            'nss-tasks-alt' => 'nss-tasks-alt',
            'nss-taxi' => 'nss-taxi',
            'nss-teeth' => 'nss-teeth',
            'nss-teeth-open' => 'nss-teeth-open',
            'nss-temperature-frigid' => 'nss-temperature-frigid',
            'nss-temperature-high' => 'nss-temperature-high',
            'nss-temperature-hot' => 'nss-temperature-hot',
            'nss-temperature-low' => 'nss-temperature-low',
            'nss-tenge' => 'nss-tenge',
            'nss-tennis-ball' => 'nss-tennis-ball',
            'nss-terminal' => 'nss-terminal',
            'nss-text-height' => 'nss-text-height',
            'nss-text-width' => 'nss-text-width',
            'nss-th' => 'nss-th',
            'nss-theater-masks' => 'nss-theater-masks',
            'nss-thermometer' => 'nss-thermometer',
            'nss-thermometer-empty' => 'nss-thermometer-empty',
            'nss-thermometer-full' => 'nss-thermometer-full',
            'nss-thermometer-half' => 'nss-thermometer-half',
            'nss-thermometer-quarter' => 'nss-thermometer-quarter',
            'nss-thermometer-three-quarters' => 'nss-thermometer-three-quarters',
            'nss-theta' => 'nss-theta',
            'nss-th-large' => 'nss-th-large',
            'nss-th-list' => 'nss-th-list',
            'nss-thumbs-down' => 'nss-thumbs-down',
            'nss-thumbs-up' => 'nss-thumbs-up',
            'nss-thumbtack' => 'nss-thumbtack',
            'nss-thunderstorm' => 'nss-thunderstorm',
            'nss-thunderstorm-moon' => 'nss-thunderstorm-moon',
            'nss-thunderstorm-sun' => 'nss-thunderstorm-sun',
            'nss-ticket' => 'nss-ticket',
            'nss-ticket-alt' => 'nss-ticket-alt',
            'nss-tilde' => 'nss-tilde',
            'nss-times' => 'nss-times',
            'nss-times-circle' => 'nss-times-circle',
            'nss-times-hexagon' => 'nss-times-hexagon',
            'nss-times-octagon' => 'nss-times-octagon',
            'nss-times-square' => 'nss-times-square',
            'nss-tint' => 'nss-tint',
            'nss-tint-slash' => 'nss-tint-slash',
            'nss-tire' => 'nss-tire',
            'nss-tired' => 'nss-tired',
            'nss-tire-flat' => 'nss-tire-flat',
            'nss-tire-pressure-warning' => 'nss-tire-pressure-warning',
            'nss-tire-rugged' => 'nss-tire-rugged',
            'nss-toggle-off' => 'nss-toggle-off',
            'nss-toggle-on' => 'nss-toggle-on',
            'nss-toilet' => 'nss-toilet',
            'nss-toilet-paper' => 'nss-toilet-paper',
            'nss-toilet-paper-alt' => 'nss-toilet-paper-alt',
            'nss-tombstone' => 'nss-tombstone',
            'nss-tombstone-alt' => 'nss-tombstone-alt',
            'nss-toolbox' => 'nss-toolbox',
            'nss-tools' => 'nss-tools',
            'nss-tooth' => 'nss-tooth',
            'nss-toothbrush' => 'nss-toothbrush',
            'nss-torah' => 'nss-torah',
            'nss-torii-gate' => 'nss-torii-gate',
            'nss-tornado' => 'nss-tornado',
            'nss-tractor' => 'nss-tractor',
            'nss-trademark' => 'nss-trademark',
            'nss-traffic-cone' => 'nss-traffic-cone',
            'nss-traffic-light' => 'nss-traffic-light',
            'nss-traffic-light-go' => 'nss-traffic-light-go',
            'nss-traffic-light-slow' => 'nss-traffic-light-slow',
            'nss-traffic-light-stop' => 'nss-traffic-light-stop',
            'nss-train' => 'nss-train',
            'nss-tram' => 'nss-tram',
            'nss-transgender' => 'nss-transgender',
            'nss-transgender-alt' => 'nss-transgender-alt',
            'nss-trash' => 'nss-trash',
            'nss-trash-alt' => 'nss-trash-alt',
            'nss-trash-restore' => 'nss-trash-restore',
            'nss-trash-restore-alt' => 'nss-trash-restore-alt',
            'nss-treasure-chest' => 'nss-treasure-chest',
            'nss-tree' => 'nss-tree',
            'nss-tree-alt' => 'nss-tree-alt',
            'nss-tree-christmas' => 'nss-tree-christmas',
            'nss-tree-decorated' => 'nss-tree-decorated',
            'nss-tree-large' => 'nss-tree-large',
            'nss-tree-palm' => 'nss-tree-palm',
            'nss-trees' => 'nss-trees',
            'nss-triangle' => 'nss-triangle',
            'nss-trophy' => 'nss-trophy',
            'nss-trophy-alt' => 'nss-trophy-alt',
            'nss-truck' => 'nss-truck',
            'nss-truck-container' => 'nss-truck-container',
            'nss-truck-couch' => 'nss-truck-couch',
            'nss-truck-loading' => 'nss-truck-loading',
            'nss-truck-monster' => 'nss-truck-monster',
            'nss-truck-moving' => 'nss-truck-moving',
            'nss-truck-pickup' => 'nss-truck-pickup',
            'nss-truck-plow' => 'nss-truck-plow',
            'nss-truck-ramp' => 'nss-truck-ramp',
            'nss-tshirt' => 'nss-tshirt',
            'nss-tty' => 'nss-tty',
            'nss-turkey' => 'nss-turkey',
            'nss-turtle' => 'nss-turtle',
            'nss-tv' => 'nss-tv',
            'nss-tv-retro' => 'nss-tv-retro',
            'nss-umbrella' => 'nss-umbrella',
            'nss-umbrella-beach' => 'nss-umbrella-beach',
            'nss-underline' => 'nss-underline',
            'nss-undo' => 'nss-undo',
            'nss-undo-alt' => 'nss-undo-alt',
            'nss-unicorn' => 'nss-unicorn',
            'nss-union' => 'nss-union',
            'nss-universal-access' => 'nss-universal-access',
            'nss-university' => 'nss-university',
            'nss-unlink' => 'nss-unlink',
            'nss-unlock' => 'nss-unlock',
            'nss-unlock-alt' => 'nss-unlock-alt',
            'nss-upload' => 'nss-upload',
            'nss-usd-circle' => 'nss-usd-circle',
            'nss-usd-square' => 'nss-usd-square',
            'nss-user' => 'nss-user',
            'nss-user-alt' => 'nss-user-alt',
            'nss-user-alt-slash' => 'nss-user-alt-slash',
            'nss-user-astronaut' => 'nss-user-astronaut',
            'nss-user-chart' => 'nss-user-chart',
            'nss-user-check' => 'nss-user-check',
            'nss-user-circle' => 'nss-user-circle',
            'nss-user-clock' => 'nss-user-clock',
            'nss-user-cog' => 'nss-user-cog',
            'nss-user-crown' => 'nss-user-crown',
            'nss-user-edit' => 'nss-user-edit',
            'nss-user-friends' => 'nss-user-friends',
            'nss-user-graduate' => 'nss-user-graduate',
            'nss-user-hard-hat' => 'nss-user-hard-hat',
            'nss-user-headset' => 'nss-user-headset',
            'nss-user-injured' => 'nss-user-injured',
            'nss-user-lock' => 'nss-user-lock',
            'nss-user-md' => 'nss-user-md',
            'nss-user-md-chat' => 'nss-user-md-chat',
            'nss-user-minus' => 'nss-user-minus',
            'nss-user-ninja' => 'nss-user-ninja',
            'nss-user-nurse' => 'nss-user-nurse',
            'nss-user-plus' => 'nss-user-plus',
            'nss-users' => 'nss-users',
            'nss-users-class' => 'nss-users-class',
            'nss-users-cog' => 'nss-users-cog',
            'nss-users-crown' => 'nss-users-crown',
            'nss-user-secret' => 'nss-user-secret',
            'nss-user-shield' => 'nss-user-shield',
            'nss-user-slash' => 'nss-user-slash',
            'nss-users-medical' => 'nss-users-medical',
            'nss-user-tag' => 'nss-user-tag',
            'nss-user-tie' => 'nss-user-tie',
            'nss-user-times' => 'nss-user-times',
            'nss-utensil-fork' => 'nss-utensil-fork',
            'nss-utensil-knife' => 'nss-utensil-knife',
            'nss-utensils' => 'nss-utensils',
            'nss-utensils-alt' => 'nss-utensils-alt',
            'nss-utensil-spoon' => 'nss-utensil-spoon',
            'nss-value-absolute' => 'nss-value-absolute',
            'nss-vector-square' => 'nss-vector-square',
            'nss-venus' => 'nss-venus',
            'nss-venus-double' => 'nss-venus-double',
            'nss-venus-mars' => 'nss-venus-mars',
            'nss-vial' => 'nss-vial',
            'nss-vials' => 'nss-vials',
            'nss-video' => 'nss-video',
            'nss-video-plus' => 'nss-video-plus',
            'nss-video-slash' => 'nss-video-slash',
            'nss-vihara' => 'nss-vihara',
            'nss-volcano' => 'nss-volcano',
            'nss-volleyball-ball' => 'nss-volleyball-ball',
            'nss-volume' => 'nss-volume',
            'nss-volume-down' => 'nss-volume-down',
            'nss-volume-mute' => 'nss-volume-mute',
            'nss-volume-off' => 'nss-volume-off',
            'nss-volume-slash' => 'nss-volume-slash',
            'nss-volume-up' => 'nss-volume-up',
            'nss-vote-nay' => 'nss-vote-nay',
            'nss-vote-yea' => 'nss-vote-yea',
            'nss-vr-cardboard' => 'nss-vr-cardboard',
            'nss-walker' => 'nss-walker',
            'nss-walking' => 'nss-walking',
            'nss-wallet' => 'nss-wallet',
            'nss-wand' => 'nss-wand',
            'nss-wand-magic' => 'nss-wand-magic',
            'nss-warehouse' => 'nss-warehouse',
            'nss-warehouse-alt' => 'nss-warehouse-alt',
            'nss-watch' => 'nss-watch',
            'nss-watch-fitness' => 'nss-watch-fitness',
            'nss-water' => 'nss-water',
            'nss-water-lower' => 'nss-water-lower',
            'nss-water-rise' => 'nss-water-rise',
            'nss-wave-square' => 'nss-wave-square',
            'nss-webcam' => 'nss-webcam',
            'nss-webcam-slash' => 'nss-webcam-slash',
            'nss-weight' => 'nss-weight',
            'nss-weight-hanging' => 'nss-weight-hanging',
            'nss-whale' => 'nss-whale',
            'nss-wheat' => 'nss-wheat',
            'nss-wheelchair' => 'nss-wheelchair',
            'nss-whistle' => 'nss-whistle',
            'nss-wifi' => 'nss-wifi',
            'nss-wifi-1' => 'nss-wifi-1',
            'nss-wifi-2' => 'nss-wifi-2',
            'nss-wifi-slash' => 'nss-wifi-slash',
            'nss-wind' => 'nss-wind',
            'nss-window' => 'nss-window',
            'nss-window-alt' => 'nss-window-alt',
            'nss-window-close' => 'nss-window-close',
            'nss-window-maximize' => 'nss-window-maximize',
            'nss-window-minimize' => 'nss-window-minimize',
            'nss-window-restore' => 'nss-window-restore',
            'nss-windsock' => 'nss-windsock',
            'nss-wind-warning' => 'nss-wind-warning',
            'nss-wine-bottle' => 'nss-wine-bottle',
            'nss-wine-glass' => 'nss-wine-glass',
            'nss-wine-glass-alt' => 'nss-wine-glass-alt',
            'nss-won-sign' => 'nss-won-sign',
            'nss-wreath' => 'nss-wreath',
            'nss-wrench' => 'nss-wrench',
            'nss-x-ray' => 'nss-x-ray',
            'nss-yen-sign' => 'nss-yen-sign',
            'nss-yin-yang' => 'nss-yin-yang',
            'nss-abacus1' => 'nss-abacus1',
            'nss-acorn1' => 'nss-acorn1',
            'nss-ad1' => 'nss-ad1',
            'nss-address-book1' => 'nss-address-book1',
            'nss-address-card1' => 'nss-address-card1',
            'nss-adjust1' => 'nss-adjust1',
            'nss-air-freshener1' => 'nss-air-freshener1',
            'nss-alarm-clock1' => 'nss-alarm-clock1',
            'nss-alicorn1' => 'nss-alicorn1',
            'nss-align-center1' => 'nss-align-center1',
            'nss-align-justify1' => 'nss-align-justify1',
            'nss-align-left1' => 'nss-align-left1',
            'nss-align-right1' => 'nss-align-right1',
            'nss-allergies1' => 'nss-allergies1',
            'nss-ambulance1' => 'nss-ambulance1',
            'nss-american-sign-language-interpreting1' => 'nss-american-sign-language-interpreting1',
            'nss-analytics1' => 'nss-analytics1',
            'nss-anchor1' => 'nss-anchor1',
            'nss-angel1' => 'nss-angel1',
            'nss-angle-double-down1' => 'nss-angle-double-down1',
            'nss-angle-double-left1' => 'nss-angle-double-left1',
            'nss-angle-double-right1' => 'nss-angle-double-right1',
            'nss-angle-double-up1' => 'nss-angle-double-up1',
            'nss-angle-down1' => 'nss-angle-down1',
            'nss-angle-left1' => 'nss-angle-left1',
            'nss-angle-right1' => 'nss-angle-right1',
            'nss-angle-up1' => 'nss-angle-up1',
            'nss-angry1' => 'nss-angry1',
            'nss-ankh1' => 'nss-ankh1',
            'nss-apple-alt1' => 'nss-apple-alt1',
            'nss-apple-crate1' => 'nss-apple-crate1',
            'nss-archive1' => 'nss-archive1',
            'nss-archway1' => 'nss-archway1',
            'nss-arrow-alt-circle-down1' => 'nss-arrow-alt-circle-down1',
            'nss-arrow-alt-circle-left1' => 'nss-arrow-alt-circle-left1',
            'nss-arrow-alt-circle-right1' => 'nss-arrow-alt-circle-right1',
            'nss-arrow-alt-circle-up1' => 'nss-arrow-alt-circle-up1',
            'nss-arrow-alt-down1' => 'nss-arrow-alt-down1',
            'nss-arrow-alt-from-bottom1' => 'nss-arrow-alt-from-bottom1',
            'nss-arrow-alt-from-left1' => 'nss-arrow-alt-from-left1',
            'nss-arrow-alt-from-right1' => 'nss-arrow-alt-from-right1',
            'nss-arrow-alt-from-top1' => 'nss-arrow-alt-from-top1',
            'nss-arrow-alt-left1' => 'nss-arrow-alt-left1',
            'nss-arrow-alt-right1' => 'nss-arrow-alt-right1',
            'nss-arrow-alt-square-down1' => 'nss-arrow-alt-square-down1',
            'nss-arrow-alt-square-left1' => 'nss-arrow-alt-square-left1',
            'nss-arrow-alt-square-right1' => 'nss-arrow-alt-square-right1',
            'nss-arrow-alt-square-up1' => 'nss-arrow-alt-square-up1',
            'nss-arrow-alt-to-bottom1' => 'nss-arrow-alt-to-bottom1',
            'nss-arrow-alt-to-left1' => 'nss-arrow-alt-to-left1',
            'nss-arrow-alt-to-right1' => 'nss-arrow-alt-to-right1',
            'nss-arrow-alt-to-top1' => 'nss-arrow-alt-to-top1',
            'nss-arrow-alt-up1' => 'nss-arrow-alt-up1',
            'nss-arrow-circle-down1' => 'nss-arrow-circle-down1',
            'nss-arrow-circle-left1' => 'nss-arrow-circle-left1',
            'nss-arrow-circle-right1' => 'nss-arrow-circle-right1',
            'nss-arrow-circle-up1' => 'nss-arrow-circle-up1',
            'nss-arrow-down1' => 'nss-arrow-down1',
            'nss-arrow-from-bottom1' => 'nss-arrow-from-bottom1',
            'nss-arrow-from-left1' => 'nss-arrow-from-left1',
            'nss-arrow-from-right1' => 'nss-arrow-from-right1',
            'nss-arrow-from-top1' => 'nss-arrow-from-top1',
            'nss-arrow-left1' => 'nss-arrow-left1',
            'nss-arrow-right1' => 'nss-arrow-right1',
            'nss-arrows1' => 'nss-arrows1',
            'nss-arrows-alt1' => 'nss-arrows-alt1',
            'nss-arrows-alt-h1' => 'nss-arrows-alt-h1',
            'nss-arrows-alt-v1' => 'nss-arrows-alt-v1',
            'nss-arrows-h1' => 'nss-arrows-h1',
            'nss-arrow-square-down1' => 'nss-arrow-square-down1',
            'nss-arrow-square-left1' => 'nss-arrow-square-left1',
            'nss-arrow-square-right1' => 'nss-arrow-square-right1',
            'nss-arrow-square-up1' => 'nss-arrow-square-up1',
            'nss-arrows-v1' => 'nss-arrows-v1',
            'nss-arrow-to-bottom1' => 'nss-arrow-to-bottom1',
            'nss-arrow-to-left1' => 'nss-arrow-to-left1',
            'nss-arrow-to-right1' => 'nss-arrow-to-right1',
            'nss-arrow-to-top1' => 'nss-arrow-to-top1',
            'nss-arrow-up1' => 'nss-arrow-up1',
            'nss-assistive-listening-systems1' => 'nss-assistive-listening-systems1',
            'nss-asterisk1' => 'nss-asterisk1',
            'nss-at1' => 'nss-at1',
            'nss-atlas1' => 'nss-atlas1',
            'nss-atom1' => 'nss-atom1',
            'nss-atom-alt1' => 'nss-atom-alt1',
            'nss-audio-description1' => 'nss-audio-description1',
            'nss-award1' => 'nss-award1',
            'nss-axe1' => 'nss-axe1',
            'nss-axe-battle1' => 'nss-axe-battle1',
            'nss-baby1' => 'nss-baby1',
            'nss-baby-carriage1' => 'nss-baby-carriage1',
            'nss-backpack1' => 'nss-backpack1',
            'nss-backspace1' => 'nss-backspace1',
            'nss-backward1' => 'nss-backward1',
            'nss-bacon1' => 'nss-bacon1',
            'nss-badge1' => 'nss-badge1',
            'nss-badge-check1' => 'nss-badge-check1',
            'nss-badge-dollar1' => 'nss-badge-dollar1',
            'nss-badge-percent1' => 'nss-badge-percent1',
            'nss-badger-honey1' => 'nss-badger-honey1',
            'nss-balance-scale1' => 'nss-balance-scale1',
            'nss-balance-scale-left1' => 'nss-balance-scale-left1',
            'nss-balance-scale-right1' => 'nss-balance-scale-right1',
            'nss-ballot1' => 'nss-ballot1',
            'nss-ballot-check1' => 'nss-ballot-check1',
            'nss-ball-pile1' => 'nss-ball-pile1',
            'nss-ban1' => 'nss-ban1',
            'nss-band-aid1' => 'nss-band-aid1',
            'nss-barcode1' => 'nss-barcode1',
            'nss-barcode-alt1' => 'nss-barcode-alt1',
            'nss-barcode-read1' => 'nss-barcode-read1',
            'nss-barcode-scan1' => 'nss-barcode-scan1',
            'nss-bars1' => 'nss-bars1',
            'nss-baseball1' => 'nss-baseball1',
            'nss-baseball-ball1' => 'nss-baseball-ball1',
            'nss-basketball-ball1' => 'nss-basketball-ball1',
            'nss-basketball-hoop1' => 'nss-basketball-hoop1',
            'nss-bat1' => 'nss-bat1',
            'nss-bath1' => 'nss-bath1',
            'nss-battery-bolt1' => 'nss-battery-bolt1',
            'nss-battery-empty1' => 'nss-battery-empty1',
            'nss-battery-full1' => 'nss-battery-full1',
            'nss-battery-half1' => 'nss-battery-half1',
            'nss-battery-quarter1' => 'nss-battery-quarter1',
            'nss-battery-slash1' => 'nss-battery-slash1',
            'nss-battery-three-quarters1' => 'nss-battery-three-quarters1',
            'nss-bed1' => 'nss-bed1',
            'nss-beer1' => 'nss-beer1',
            'nss-bell1' => 'nss-bell1',
            'nss-bells1' => 'nss-bells1',
            'nss-bell-school1' => 'nss-bell-school1',
            'nss-bell-school-slash1' => 'nss-bell-school-slash1',
            'nss-bell-slash1' => 'nss-bell-slash1',
            'nss-bezier-curve1' => 'nss-bezier-curve1',
            'nss-bible1' => 'nss-bible1',
            'nss-bicycle1' => 'nss-bicycle1',
            'nss-binoculars1' => 'nss-binoculars1',
            'nss-biohazard1' => 'nss-biohazard1',
            'nss-birthday-cake1' => 'nss-birthday-cake1',
            'nss-blanket1' => 'nss-blanket1',
            'nss-blender1' => 'nss-blender1',
            'nss-blender-phone1' => 'nss-blender-phone1',
            'nss-blind1' => 'nss-blind1',
            'nss-blog1' => 'nss-blog1',
            'nss-bold1' => 'nss-bold1',
            'nss-bolt1' => 'nss-bolt1',
            'nss-bomb1' => 'nss-bomb1',
            'nss-bone1' => 'nss-bone1',
            'nss-bone-break1' => 'nss-bone-break1',
            'nss-bong1' => 'nss-bong1',
            'nss-book1' => 'nss-book1',
            'nss-book-alt1' => 'nss-book-alt1',
            'nss-book-dead1' => 'nss-book-dead1',
            'nss-book-heart1' => 'nss-book-heart1',
            'nss-bookmark1' => 'nss-bookmark1',
            'nss-book-medical1' => 'nss-book-medical1',
            'nss-book-open1' => 'nss-book-open1',
            'nss-book-reader1' => 'nss-book-reader1',
            'nss-books1' => 'nss-books1',
            'nss-books-medical1' => 'nss-books-medical1',
            'nss-book-spells1' => 'nss-book-spells1',
            'nss-book-user1' => 'nss-book-user1',
            'nss-boot1' => 'nss-boot1',
            'nss-booth-curtain1' => 'nss-booth-curtain1',
            'nss-bow-arrow1' => 'nss-bow-arrow1',
            'nss-bowling-ball1' => 'nss-bowling-ball1',
            'nss-bowling-pins1' => 'nss-bowling-pins1',
            'nss-box1' => 'nss-box1',
            'nss-box-alt1' => 'nss-box-alt1',
            'nss-box-ballot1' => 'nss-box-ballot1',
            'nss-box-check1' => 'nss-box-check1',
            'nss-boxes1' => 'nss-boxes1',
            'nss-boxes-alt1' => 'nss-boxes-alt1',
            'nss-box-fragile1' => 'nss-box-fragile1',
            'nss-box-full1' => 'nss-box-full1',
            'nss-box-heart1' => 'nss-box-heart1',
            'nss-boxing-glove1' => 'nss-boxing-glove1',
            'nss-box-open1' => 'nss-box-open1',
            'nss-box-up1' => 'nss-box-up1',
            'nss-box-usd1' => 'nss-box-usd1',
            'nss-brackets1' => 'nss-brackets1',
            'nss-brackets-curly1' => 'nss-brackets-curly1',
            'nss-braille1' => 'nss-braille1',
            'nss-brain1' => 'nss-brain1',
            'nss-bread-loaf1' => 'nss-bread-loaf1',
            'nss-bread-slice1' => 'nss-bread-slice1',
            'nss-briefcase1' => 'nss-briefcase1',
            'nss-briefcase-medical1' => 'nss-briefcase-medical1',
            'nss-broadcast-tower1' => 'nss-broadcast-tower1',
            'nss-broom1' => 'nss-broom1',
            'nss-browser1' => 'nss-browser1',
            'nss-brush1' => 'nss-brush1',
            'nss-bug1' => 'nss-bug1',
            'nss-building1' => 'nss-building1',
            'nss-bullhorn1' => 'nss-bullhorn1',
            'nss-bullseye1' => 'nss-bullseye1',
            'nss-bullseye-arrow1' => 'nss-bullseye-arrow1',
            'nss-bullseye-pointer1' => 'nss-bullseye-pointer1',
            'nss-burn1' => 'nss-burn1',
            'nss-burrito1' => 'nss-burrito1',
            'nss-bus1' => 'nss-bus1',
            'nss-bus-alt1' => 'nss-bus-alt1',
            'nss-business-time1' => 'nss-business-time1',
            'nss-bus-school1' => 'nss-bus-school1',
            'nss-cabinet-filing1' => 'nss-cabinet-filing1',
            'nss-calculator1' => 'nss-calculator1',
            'nss-calculator-alt1' => 'nss-calculator-alt1',
            'nss-calendar1' => 'nss-calendar1',
            'nss-calendar-alt1' => 'nss-calendar-alt1',
            'nss-calendar-check1' => 'nss-calendar-check1',
            'nss-calendar-day1' => 'nss-calendar-day1',
            'nss-calendar-edit1' => 'nss-calendar-edit1',
            'nss-calendar-exclamation1' => 'nss-calendar-exclamation1',
            'nss-calendar-minus1' => 'nss-calendar-minus1',
            'nss-calendar-plus1' => 'nss-calendar-plus1',
            'nss-calendar-star1' => 'nss-calendar-star1',
            'nss-calendar-times1' => 'nss-calendar-times1',
            'nss-calendar-week1' => 'nss-calendar-week1',
            'nss-camera1' => 'nss-camera1',
            'nss-camera-alt1' => 'nss-camera-alt1',
            'nss-camera-retro1' => 'nss-camera-retro1',
            'nss-campfire1' => 'nss-campfire1',
            'nss-campground1' => 'nss-campground1',
            'nss-candle-holder1' => 'nss-candle-holder1',
            'nss-candy-cane1' => 'nss-candy-cane1',
            'nss-candy-corn1' => 'nss-candy-corn1',
            'nss-cannabis1' => 'nss-cannabis1',
            'nss-capsules1' => 'nss-capsules1',
            'nss-car1' => 'nss-car1',
            'nss-car-alt1' => 'nss-car-alt1',
            'nss-car-battery1' => 'nss-car-battery1',
            'nss-car-bump1' => 'nss-car-bump1',
            'nss-car-crash1' => 'nss-car-crash1',
            'nss-caret-circle-down1' => 'nss-caret-circle-down1',
            'nss-caret-circle-left1' => 'nss-caret-circle-left1',
            'nss-caret-circle-right1' => 'nss-caret-circle-right1',
            'nss-caret-circle-up1' => 'nss-caret-circle-up1',
            'nss-caret-down1' => 'nss-caret-down1',
            'nss-caret-left1' => 'nss-caret-left1',
            'nss-caret-right1' => 'nss-caret-right1',
            'nss-caret-square-down1' => 'nss-caret-square-down1',
            'nss-caret-square-left1' => 'nss-caret-square-left1',
            'nss-caret-square-right1' => 'nss-caret-square-right1',
            'nss-caret-square-up1' => 'nss-caret-square-up1',
            'nss-caret-up1' => 'nss-caret-up1',
            'nss-car-garage1' => 'nss-car-garage1',
            'nss-car-mechanic1' => 'nss-car-mechanic1',
            'nss-carrot1' => 'nss-carrot1',
            'nss-car-side1' => 'nss-car-side1',
            'nss-cart-arrow-down1' => 'nss-cart-arrow-down1',
            'nss-car-tilt1' => 'nss-car-tilt1',
            'nss-cart-plus1' => 'nss-cart-plus1',
            'nss-car-wash1' => 'nss-car-wash1',
            'nss-cash-register1' => 'nss-cash-register1',
            'nss-cat1' => 'nss-cat1',
            'nss-cauldron1' => 'nss-cauldron1',
            'nss-certificate1' => 'nss-certificate1',
            'nss-chair1' => 'nss-chair1',
            'nss-chair-office1' => 'nss-chair-office1',
            'nss-chalkboard1' => 'nss-chalkboard1',
            'nss-chalkboard-teacher1' => 'nss-chalkboard-teacher1',
            'nss-charging-station1' => 'nss-charging-station1',
            'nss-chart-area1' => 'nss-chart-area1',
            'nss-chart-bar1' => 'nss-chart-bar1',
            'nss-chart-line1' => 'nss-chart-line1',
            'nss-chart-line-down1' => 'nss-chart-line-down1',
            'nss-chart-network1' => 'nss-chart-network1',
            'nss-chart-pie1' => 'nss-chart-pie1',
            'nss-chart-pie-alt1' => 'nss-chart-pie-alt1',
            'nss-chart-scatter1' => 'nss-chart-scatter1',
            'nss-check1' => 'nss-check1',
            'nss-check-circle1' => 'nss-check-circle1',
            'nss-check-double1' => 'nss-check-double1',
            'nss-check-square1' => 'nss-check-square1',
            'nss-cheese1' => 'nss-cheese1',
            'nss-cheeseburger1' => 'nss-cheeseburger1',
            'nss-cheese-swiss1' => 'nss-cheese-swiss1',
            'nss-chess1' => 'nss-chess1',
            'nss-chess-bishop1' => 'nss-chess-bishop1',
            'nss-chess-bishop-alt1' => 'nss-chess-bishop-alt1',
            'nss-chess-board1' => 'nss-chess-board1',
            'nss-chess-clock1' => 'nss-chess-clock1',
            'nss-chess-clock-alt1' => 'nss-chess-clock-alt1',
            'nss-chess-king1' => 'nss-chess-king1',
            'nss-chess-king-alt1' => 'nss-chess-king-alt1',
            'nss-chess-knight1' => 'nss-chess-knight1',
            'nss-chess-knight-alt1' => 'nss-chess-knight-alt1',
            'nss-chess-pawn1' => 'nss-chess-pawn1',
            'nss-chess-pawn-alt1' => 'nss-chess-pawn-alt1',
            'nss-chess-queen1' => 'nss-chess-queen1',
            'nss-chess-queen-alt1' => 'nss-chess-queen-alt1',
            'nss-chess-rook1' => 'nss-chess-rook1',
            'nss-chess-rook-alt1' => 'nss-chess-rook-alt1',
            'nss-chevron-circle-down1' => 'nss-chevron-circle-down1',
            'nss-chevron-circle-left1' => 'nss-chevron-circle-left1',
            'nss-chevron-circle-right1' => 'nss-chevron-circle-right1',
            'nss-chevron-circle-up1' => 'nss-chevron-circle-up1',
            'nss-chevron-double-down1' => 'nss-chevron-double-down1',
            'nss-chevron-double-left1' => 'nss-chevron-double-left1',
            'nss-chevron-double-right1' => 'nss-chevron-double-right1',
            'nss-chevron-double-up1' => 'nss-chevron-double-up1',
            'nss-chevron-down1' => 'nss-chevron-down1',
            'nss-chevron-left1' => 'nss-chevron-left1',
            'nss-chevron-right1' => 'nss-chevron-right1',
            'nss-chevron-square-down1' => 'nss-chevron-square-down1',
            'nss-chevron-square-left1' => 'nss-chevron-square-left1',
            'nss-chevron-square-right1' => 'nss-chevron-square-right1',
            'nss-chevron-square-up1' => 'nss-chevron-square-up1',
            'nss-chevron-up1' => 'nss-chevron-up1',
            'nss-child1' => 'nss-child1',
            'nss-chimney1' => 'nss-chimney1',
            'nss-church1' => 'nss-church1',
            'nss-circle1' => 'nss-circle1',
            'nss-circle-notch1' => 'nss-circle-notch1',
            'nss-city1' => 'nss-city1',
            'nss-claw-marks1' => 'nss-claw-marks1',
            'nss-clinic-medical1' => 'nss-clinic-medical1',
            'nss-clipboard1' => 'nss-clipboard1',
            'nss-clipboard-check1' => 'nss-clipboard-check1',
            'nss-clipboard-list1' => 'nss-clipboard-list1',
            'nss-clipboard-list-check1' => 'nss-clipboard-list-check1',
            'nss-clipboard-prescription1' => 'nss-clipboard-prescription1',
            'nss-clipboard-user1' => 'nss-clipboard-user1',
            'nss-clock1' => 'nss-clock1',
            'nss-clone1' => 'nss-clone1',
            'nss-closed-captioning1' => 'nss-closed-captioning1',
            'nss-cloud1' => 'nss-cloud1',
            'nss-cloud-download1' => 'nss-cloud-download1',
            'nss-cloud-download-alt1' => 'nss-cloud-download-alt1',
            'nss-cloud-drizzle1' => 'nss-cloud-drizzle1',
            'nss-cloud-hail1' => 'nss-cloud-hail1',
            'nss-cloud-hail-mixed1' => 'nss-cloud-hail-mixed1',
            'nss-cloud-meatball1' => 'nss-cloud-meatball1',
            'nss-cloud-moon1' => 'nss-cloud-moon1',
            'nss-cloud-moon-rain1' => 'nss-cloud-moon-rain1',
            'nss-cloud-rain1' => 'nss-cloud-rain1',
            'nss-cloud-rainbow1' => 'nss-cloud-rainbow1',
            'nss-clouds1' => 'nss-clouds1',
            'nss-cloud-showers1' => 'nss-cloud-showers1',
            'nss-cloud-showers-heavy1' => 'nss-cloud-showers-heavy1',
            'nss-cloud-sleet1' => 'nss-cloud-sleet1',
            'nss-clouds-moon1' => 'nss-clouds-moon1',
            'nss-cloud-snow1' => 'nss-cloud-snow1',
            'nss-clouds-sun1' => 'nss-clouds-sun1',
            'nss-cloud-sun1' => 'nss-cloud-sun1',
            'nss-cloud-sun-rain1' => 'nss-cloud-sun-rain1',
            'nss-cloud-upload1' => 'nss-cloud-upload1',
            'nss-cloud-upload-alt1' => 'nss-cloud-upload-alt1',
            'nss-club1' => 'nss-club1',
            'nss-cocktail1' => 'nss-cocktail1',
            'nss-code1' => 'nss-code1',
            'nss-code-branch1' => 'nss-code-branch1',
            'nss-code-commit1' => 'nss-code-commit1',
            'nss-code-merge1' => 'nss-code-merge1',
            'nss-coffee1' => 'nss-coffee1',
            'nss-coffee-togo1' => 'nss-coffee-togo1',
            'nss-coffin1' => 'nss-coffin1',
            'nss-cog1' => 'nss-cog1',
            'nss-cogs1' => 'nss-cogs1',
            'nss-coins1' => 'nss-coins1',
            'nss-columns1' => 'nss-columns1',
            'nss-comment1' => 'nss-comment1',
            'nss-comment-alt1' => 'nss-comment-alt1',
            'nss-comment-alt-check1' => 'nss-comment-alt-check1',
            'nss-comment-alt-dollar1' => 'nss-comment-alt-dollar1',
            'nss-comment-alt-dots1' => 'nss-comment-alt-dots1',
            'nss-comment-alt-edit1' => 'nss-comment-alt-edit1',
            'nss-comment-alt-exclamation1' => 'nss-comment-alt-exclamation1',
            'nss-comment-alt-lines1' => 'nss-comment-alt-lines1',
            'nss-comment-alt-medical1' => 'nss-comment-alt-medical1',
            'nss-comment-alt-minus1' => 'nss-comment-alt-minus1',
            'nss-comment-alt-plus1' => 'nss-comment-alt-plus1',
            'nss-comment-alt-slash1' => 'nss-comment-alt-slash1',
            'nss-comment-alt-smile1' => 'nss-comment-alt-smile1',
            'nss-comment-alt-times1' => 'nss-comment-alt-times1',
            'nss-comment-check1' => 'nss-comment-check1',
            'nss-comment-dollar1' => 'nss-comment-dollar1',
            'nss-comment-dots1' => 'nss-comment-dots1',
            'nss-comment-edit1' => 'nss-comment-edit1',
            'nss-comment-exclamation1' => 'nss-comment-exclamation1',
            'nss-comment-lines1' => 'nss-comment-lines1',
            'nss-comment-medical1' => 'nss-comment-medical1',
            'nss-comment-minus1' => 'nss-comment-minus1',
            'nss-comment-plus1' => 'nss-comment-plus1',
            'nss-comments1' => 'nss-comments1',
            'nss-comments-alt1' => 'nss-comments-alt1',
            'nss-comments-alt-dollar1' => 'nss-comments-alt-dollar1',
            'nss-comments-dollar1' => 'nss-comments-dollar1',
            'nss-comment-slash1' => 'nss-comment-slash1',
            'nss-comment-smile1' => 'nss-comment-smile1',
            'nss-comment-times1' => 'nss-comment-times1',
            'nss-compact-disc1' => 'nss-compact-disc1',
            'nss-compass1' => 'nss-compass1',
            'nss-compass-slash1' => 'nss-compass-slash1',
            'nss-compress1' => 'nss-compress1',
            'nss-compress-alt1' => 'nss-compress-alt1',
            'nss-compress-arrows-alt1' => 'nss-compress-arrows-alt1',
            'nss-compress-wide1' => 'nss-compress-wide1',
            'nss-concierge-bell1' => 'nss-concierge-bell1',
            'nss-container-storage1' => 'nss-container-storage1',
            'nss-conveyor-belt1' => 'nss-conveyor-belt1',
            'nss-conveyor-belt-alt1' => 'nss-conveyor-belt-alt1',
            'nss-cookie1' => 'nss-cookie1',
            'nss-cookie-bite1' => 'nss-cookie-bite1',
            'nss-copy1' => 'nss-copy1',
            'nss-copyright1' => 'nss-copyright1',
            'nss-corn1' => 'nss-corn1',
            'nss-couch1' => 'nss-couch1',
            'nss-cow1' => 'nss-cow1',
            'nss-credit-card1' => 'nss-credit-card1',
            'nss-credit-card-blank1' => 'nss-credit-card-blank1',
            'nss-credit-card-front1' => 'nss-credit-card-front1',
            'nss-cricket1' => 'nss-cricket1',
            'nss-croissant1' => 'nss-croissant1',
            'nss-crop1' => 'nss-crop1',
            'nss-crop-alt1' => 'nss-crop-alt1',
            'nss-cross1' => 'nss-cross1',
            'nss-crosshairs1' => 'nss-crosshairs1',
            'nss-crow1' => 'nss-crow1',
            'nss-crown1' => 'nss-crown1',
            'nss-crutch1' => 'nss-crutch1',
            'nss-crutches1' => 'nss-crutches1',
            'nss-cube1' => 'nss-cube1',
            'nss-cubes1' => 'nss-cubes1',
            'nss-curling1' => 'nss-curling1',
            'nss-cut1' => 'nss-cut1',
            'nss-dagger1' => 'nss-dagger1',
            'nss-database1' => 'nss-database1',
            'nss-deaf1' => 'nss-deaf1',
            'nss-debug1' => 'nss-debug1',
            'nss-deer1' => 'nss-deer1',
            'nss-deer-rudolph1' => 'nss-deer-rudolph1',
            'nss-democrat1' => 'nss-democrat1',
            'nss-desktop1' => 'nss-desktop1',
            'nss-desktop-alt1' => 'nss-desktop-alt1',
            'nss-dewpoint1' => 'nss-dewpoint1',
            'nss-dharmachakra1' => 'nss-dharmachakra1',
            'nss-diagnoses1' => 'nss-diagnoses1',
            'nss-diamond1' => 'nss-diamond1',
            'nss-dice1' => 'nss-dice1',
            'nss-dice-d41' => 'nss-dice-d41',
            'nss-dice-d61' => 'nss-dice-d61',
            'nss-dice-d81' => 'nss-dice-d81',
            'nss-dice-d101' => 'nss-dice-d101',
            'nss-dice-d121' => 'nss-dice-d121',
            'nss-dice-d201' => 'nss-dice-d201',
            'nss-dice-five1' => 'nss-dice-five1',
            'nss-dice-four1' => 'nss-dice-four1',
            'nss-dice-one1' => 'nss-dice-one1',
            'nss-dice-six1' => 'nss-dice-six1',
            'nss-dice-three1' => 'nss-dice-three1',
            'nss-dice-two1' => 'nss-dice-two1',
            'nss-digital-tachograph1' => 'nss-digital-tachograph1',
            'nss-diploma1' => 'nss-diploma1',
            'nss-directions1' => 'nss-directions1',
            'nss-disease1' => 'nss-disease1',
            'nss-divide1' => 'nss-divide1',
            'nss-dizzy1' => 'nss-dizzy1',
            'nss-dna1' => 'nss-dna1',
            'nss-dog1' => 'nss-dog1',
            'nss-dog-leashed1' => 'nss-dog-leashed1',
            'nss-dollar-sign1' => 'nss-dollar-sign1',
            'nss-dolly1' => 'nss-dolly1',
            'nss-dolly-empty1' => 'nss-dolly-empty1',
            'nss-dolly-flatbed1' => 'nss-dolly-flatbed1',
            'nss-dolly-flatbed-alt1' => 'nss-dolly-flatbed-alt1',
            'nss-dolly-flatbed-empty1' => 'nss-dolly-flatbed-empty1',
            'nss-donate1' => 'nss-donate1',
            'nss-do-not-enter1' => 'nss-do-not-enter1',
            'nss-door-closed1' => 'nss-door-closed1',
            'nss-door-open1' => 'nss-door-open1',
            'nss-dot-circle1' => 'nss-dot-circle1',
            'nss-dove1' => 'nss-dove1',
            'nss-download1' => 'nss-download1',
            'nss-drafting-compass1' => 'nss-drafting-compass1',
            'nss-dragon1' => 'nss-dragon1',
            'nss-draw-circle1' => 'nss-draw-circle1',
            'nss-draw-polygon1' => 'nss-draw-polygon1',
            'nss-draw-square1' => 'nss-draw-square1',
            'nss-dreidel1' => 'nss-dreidel1',
            'nss-drum1' => 'nss-drum1',
            'nss-drum-steelpan1' => 'nss-drum-steelpan1',
            'nss-drumstick1' => 'nss-drumstick1',
            'nss-drumstick-bite1' => 'nss-drumstick-bite1',
            'nss-duck1' => 'nss-duck1',
            'nss-dumbbell1' => 'nss-dumbbell1',
            'nss-dumpster1' => 'nss-dumpster1',
            'nss-dumpster-fire1' => 'nss-dumpster-fire1',
            'nss-dungeon1' => 'nss-dungeon1',
            'nss-ear1' => 'nss-ear1',
            'nss-ear-muffs1' => 'nss-ear-muffs1',
            'nss-eclipse1' => 'nss-eclipse1',
            'nss-eclipse-alt1' => 'nss-eclipse-alt1',
            'nss-edit1' => 'nss-edit1',
            'nss-egg1' => 'nss-egg1',
            'nss-egg-fried1' => 'nss-egg-fried1',
            'nss-eject1' => 'nss-eject1',
            'nss-elephant1' => 'nss-elephant1',
            'nss-ellipsis-h1' => 'nss-ellipsis-h1',
            'nss-ellipsis-h-alt1' => 'nss-ellipsis-h-alt1',
            'nss-ellipsis-v1' => 'nss-ellipsis-v1',
            'nss-ellipsis-v-alt1' => 'nss-ellipsis-v-alt1',
            'nss-empty-set1' => 'nss-empty-set1',
            'nss-engine-warning1' => 'nss-engine-warning1',
            'nss-envelope1' => 'nss-envelope1',
            'nss-envelope-open1' => 'nss-envelope-open1',
            'nss-envelope-open-dollar1' => 'nss-envelope-open-dollar1',
            'nss-envelope-open-text1' => 'nss-envelope-open-text1',
            'nss-envelope-square1' => 'nss-envelope-square1',
            'nss-equals1' => 'nss-equals1',
            'nss-eraser1' => 'nss-eraser1',
            'nss-ethernet1' => 'nss-ethernet1',
            'nss-euro-sign1' => 'nss-euro-sign1',
            'nss-exchange1' => 'nss-exchange1',
            'nss-exchange-alt1' => 'nss-exchange-alt1',
            'nss-exclamation1' => 'nss-exclamation1',
            'nss-exclamation-circle1' => 'nss-exclamation-circle1',
            'nss-exclamation-square1' => 'nss-exclamation-square1',
            'nss-exclamation-triangle1' => 'nss-exclamation-triangle1',
            'nss-expand1' => 'nss-expand1',
            'nss-expand-alt1' => 'nss-expand-alt1',
            'nss-expand-arrows1' => 'nss-expand-arrows1',
            'nss-expand-arrows-alt1' => 'nss-expand-arrows-alt1',
            'nss-expand-wide1' => 'nss-expand-wide1',
            'nss-external-link1' => 'nss-external-link1',
            'nss-external-link-alt1' => 'nss-external-link-alt1',
            'nss-external-link-square1' => 'nss-external-link-square1',
            'nss-external-link-square-alt1' => 'nss-external-link-square-alt1',
            'nss-eye1' => 'nss-eye1',
            'nss-eye-dropper1' => 'nss-eye-dropper1',
            'nss-eye-evil1' => 'nss-eye-evil1',
            'nss-eye-slash1' => 'nss-eye-slash1',
            'nss-fast-backward1' => 'nss-fast-backward1',
            'nss-fast-forward1' => 'nss-fast-forward1',
            'nss-fax1' => 'nss-fax1',
            'nss-feather1' => 'nss-feather1',
            'nss-feather-alt1' => 'nss-feather-alt1',
            'nss-female1' => 'nss-female1',
            'nss-field-hockey1' => 'nss-field-hockey1',
            'nss-fighter-jet1' => 'nss-fighter-jet1',
            'nss-file1' => 'nss-file1',
            'nss-file-alt1' => 'nss-file-alt1',
            'nss-file-archive1' => 'nss-file-archive1',
            'nss-file-audio1' => 'nss-file-audio1',
            'nss-file-certificate1' => 'nss-file-certificate1',
            'nss-file-chart-line1' => 'nss-file-chart-line1',
            'nss-file-chart-pie1' => 'nss-file-chart-pie1',
            'nss-file-check1' => 'nss-file-check1',
            'nss-file-code1' => 'nss-file-code1',
            'nss-file-contract1' => 'nss-file-contract1',
            'nss-file-csv1' => 'nss-file-csv1',
            'nss-file-download1' => 'nss-file-download1',
            'nss-file-edit1' => 'nss-file-edit1',
            'nss-file-excel1' => 'nss-file-excel1',
            'nss-file-exclamation1' => 'nss-file-exclamation1',
            'nss-file-export1' => 'nss-file-export1',
            'nss-file-image1' => 'nss-file-image1',
            'nss-file-import1' => 'nss-file-import1',
            'nss-file-invoice1' => 'nss-file-invoice1',
            'nss-file-invoice-dollar1' => 'nss-file-invoice-dollar1',
            'nss-file-medical1' => 'nss-file-medical1',
            'nss-file-medical-alt1' => 'nss-file-medical-alt1',
            'nss-file-minus1' => 'nss-file-minus1',
            'nss-file-pdf1' => 'nss-file-pdf1',
            'nss-file-plus1' => 'nss-file-plus1',
            'nss-file-powerpoint1' => 'nss-file-powerpoint1',
            'nss-file-prescription1' => 'nss-file-prescription1',
            'nss-file-signature1' => 'nss-file-signature1',
            'nss-files-medical1' => 'nss-files-medical1',
            'nss-file-spreadsheet1' => 'nss-file-spreadsheet1',
            'nss-file-times1' => 'nss-file-times1',
            'nss-file-upload1' => 'nss-file-upload1',
            'nss-file-user1' => 'nss-file-user1',
            'nss-file-video1' => 'nss-file-video1',
            'nss-file-word1' => 'nss-file-word1',
            'nss-fill1' => 'nss-fill1',
            'nss-fill-drip1' => 'nss-fill-drip1',
            'nss-film1' => 'nss-film1',
            'nss-film-alt1' => 'nss-film-alt1',
            'nss-filter1' => 'nss-filter1',
            'nss-fingerprint1' => 'nss-fingerprint1',
            'nss-fire1' => 'nss-fire1',
            'nss-fire-alt1' => 'nss-fire-alt1',
            'nss-fire-extinguisher1' => 'nss-fire-extinguisher1',
            'nss-fireplace1' => 'nss-fireplace1',
            'nss-fire-smoke1' => 'nss-fire-smoke1',
            'nss-first-aid1' => 'nss-first-aid1',
            'nss-fish1' => 'nss-fish1',
            'nss-fish-cooked1' => 'nss-fish-cooked1',
            'nss-fist-raised1' => 'nss-fist-raised1',
            'nss-flag1' => 'nss-flag1',
            'nss-flag-alt1' => 'nss-flag-alt1',
            'nss-flag-checkered1' => 'nss-flag-checkered1',
            'nss-flag-usa1' => 'nss-flag-usa1',
            'nss-flame1' => 'nss-flame1',
            'nss-flask1' => 'nss-flask1',
            'nss-flask-poison1' => 'nss-flask-poison1',
            'nss-flask-potion1' => 'nss-flask-potion1',
            'nss-flower1' => 'nss-flower1',
            'nss-flower-daffodil1' => 'nss-flower-daffodil1',
            'nss-flower-tulip1' => 'nss-flower-tulip1',
            'nss-flushed1' => 'nss-flushed1',
            'nss-fog1' => 'nss-fog1',
            'nss-folder1' => 'nss-folder1',
            'nss-folder-minus1' => 'nss-folder-minus1',
            'nss-folder-open1' => 'nss-folder-open1',
            'nss-folder-plus1' => 'nss-folder-plus1',
            'nss-folders1' => 'nss-folders1',
            'nss-folder-times1' => 'nss-folder-times1',
            'nss-folder-tree1' => 'nss-folder-tree1',
            'nss-font1' => 'nss-font1',
            'nss-font-awesome-logo-full1' => 'nss-font-awesome-logo-full1',
            'nss-football-ball1' => 'nss-football-ball1',
            'nss-football-helmet1' => 'nss-football-helmet1',
            'nss-forklift1' => 'nss-forklift1',
            'nss-forward1' => 'nss-forward1',
            'nss-fragile1' => 'nss-fragile1',
            'nss-french-fries1' => 'nss-french-fries1',
            'nss-frog1' => 'nss-frog1',
            'nss-frosty-head1' => 'nss-frosty-head1',
            'nss-frown1' => 'nss-frown1',
            'nss-frown-open1' => 'nss-frown-open1',
            'nss-function1' => 'nss-function1',
            'nss-funnel-dollar1' => 'nss-funnel-dollar1',
            'nss-futbol1' => 'nss-futbol1',
            'nss-gamepad1' => 'nss-gamepad1',
            'nss-gas-pump1' => 'nss-gas-pump1',
            'nss-gas-pump-slash1' => 'nss-gas-pump-slash1',
            'nss-gavel1' => 'nss-gavel1',
            'nss-gem1' => 'nss-gem1',
            'nss-genderless1' => 'nss-genderless1',
            'nss-ghost1' => 'nss-ghost1',
            'nss-gift1' => 'nss-gift1',
            'nss-gift-card1' => 'nss-gift-card1',
            'nss-gifts1' => 'nss-gifts1',
            'nss-gingerbread-man1' => 'nss-gingerbread-man1',
            'nss-glass1' => 'nss-glass1',
            'nss-glass-champagne1' => 'nss-glass-champagne1',
            'nss-glass-cheers1' => 'nss-glass-cheers1',
            'nss-glasses1' => 'nss-glasses1',
            'nss-glasses-alt1' => 'nss-glasses-alt1',
            'nss-glass-martini1' => 'nss-glass-martini1',
            'nss-glass-martini-alt1' => 'nss-glass-martini-alt1',
            'nss-glass-whiskey1' => 'nss-glass-whiskey1',
            'nss-glass-whiskey-rocks1' => 'nss-glass-whiskey-rocks1',
            'nss-globe1' => 'nss-globe1',
            'nss-globe-africa1' => 'nss-globe-africa1',
            'nss-globe-americas1' => 'nss-globe-americas1',
            'nss-globe-asia1' => 'nss-globe-asia1',
            'nss-globe-europe1' => 'nss-globe-europe1',
            'nss-globe-snow1' => 'nss-globe-snow1',
            'nss-globe-stand1' => 'nss-globe-stand1',
            'nss-golf-ball1' => 'nss-golf-ball1',
            'nss-golf-club1' => 'nss-golf-club1',
            'nss-gopuram1' => 'nss-gopuram1',
            'nss-graduation-cap1' => 'nss-graduation-cap1',
            'nss-greater-than1' => 'nss-greater-than1',
            'nss-greater-than-equal1' => 'nss-greater-than-equal1',
            'nss-grimace1' => 'nss-grimace1',
            'nss-grin1' => 'nss-grin1',
            'nss-grin-alt1' => 'nss-grin-alt1',
            'nss-grin-beam1' => 'nss-grin-beam1',
            'nss-grin-beam-sweat1' => 'nss-grin-beam-sweat1',
            'nss-grin-hearts1' => 'nss-grin-hearts1',
            'nss-grin-squint1' => 'nss-grin-squint1',
            'nss-grin-squint-tears1' => 'nss-grin-squint-tears1',
            'nss-grin-stars1' => 'nss-grin-stars1',
            'nss-grin-tears1' => 'nss-grin-tears1',
            'nss-grin-tongue1' => 'nss-grin-tongue1',
            'nss-grin-tongue-squint1' => 'nss-grin-tongue-squint1',
            'nss-grin-tongue-wink1' => 'nss-grin-tongue-wink1',
            'nss-grin-wink1' => 'nss-grin-wink1',
            'nss-grip-horizontal1' => 'nss-grip-horizontal1',
            'nss-grip-lines1' => 'nss-grip-lines1',
            'nss-grip-lines-vertical1' => 'nss-grip-lines-vertical1',
            'nss-grip-vertical1' => 'nss-grip-vertical1',
            'nss-guitar1' => 'nss-guitar1',
            'nss-h11' => 'nss-h11',
            'nss-h21' => 'nss-h21',
            'nss-h31' => 'nss-h31',
            'nss-hamburger1' => 'nss-hamburger1',
            'nss-hammer1' => 'nss-hammer1',
            'nss-hammer-war1' => 'nss-hammer-war1',
            'nss-hamsa1' => 'nss-hamsa1',
            'nss-hand-heart1' => 'nss-hand-heart1',
            'nss-hand-holding1' => 'nss-hand-holding1',
            'nss-hand-holding-box1' => 'nss-hand-holding-box1',
            'nss-hand-holding-heart1' => 'nss-hand-holding-heart1',
            'nss-hand-holding-magic1' => 'nss-hand-holding-magic1',
            'nss-hand-holding-seedling1' => 'nss-hand-holding-seedling1',
            'nss-hand-holding-usd1' => 'nss-hand-holding-usd1',
            'nss-hand-holding-water1' => 'nss-hand-holding-water1',
            'nss-hand-lizard1' => 'nss-hand-lizard1',
            'nss-hand-middle-finger1' => 'nss-hand-middle-finger1',
            'nss-hand-paper1' => 'nss-hand-paper1',
            'nss-hand-peace1' => 'nss-hand-peace1',
            'nss-hand-point-down1' => 'nss-hand-point-down1',
            'nss-hand-pointer1' => 'nss-hand-pointer1',
            'nss-hand-point-left1' => 'nss-hand-point-left1',
            'nss-hand-point-right1' => 'nss-hand-point-right1',
            'nss-hand-point-up1' => 'nss-hand-point-up1',
            'nss-hand-receiving1' => 'nss-hand-receiving1',
            'nss-hand-rock1' => 'nss-hand-rock1',
            'nss-hands1' => 'nss-hands1',
            'nss-hand-scissors1' => 'nss-hand-scissors1',
            'nss-handshake1' => 'nss-handshake1',
            'nss-handshake-alt1' => 'nss-handshake-alt1',
            'nss-hands-heart1' => 'nss-hands-heart1',
            'nss-hands-helping1' => 'nss-hands-helping1',
            'nss-hand-spock1' => 'nss-hand-spock1',
            'nss-hands-usd1' => 'nss-hands-usd1',
            'nss-hanukiah1' => 'nss-hanukiah1',
            'nss-hard-hat1' => 'nss-hard-hat1',
            'nss-hashtag1' => 'nss-hashtag1',
            'nss-hat-santa1' => 'nss-hat-santa1',
            'nss-hat-winter1' => 'nss-hat-winter1',
            'nss-hat-witch1' => 'nss-hat-witch1',
            'nss-hat-wizard1' => 'nss-hat-wizard1',
            'nss-haykal1' => 'nss-haykal1',
            'nss-hdd1' => 'nss-hdd1',
            'nss-heading1' => 'nss-heading1',
            'nss-headphones1' => 'nss-headphones1',
            'nss-headphones-alt1' => 'nss-headphones-alt1',
            'nss-headset1' => 'nss-headset1',
            'nss-head-side1' => 'nss-head-side1',
            'nss-head-side-brain1' => 'nss-head-side-brain1',
            'nss-head-side-medical1' => 'nss-head-side-medical1',
            'nss-head-vr1' => 'nss-head-vr1',
            'nss-heart1' => 'nss-heart1',
            'nss-heartbeat1' => 'nss-heartbeat1',
            'nss-heart-broken1' => 'nss-heart-broken1',
            'nss-heart-circle1' => 'nss-heart-circle1',
            'nss-heart-rate1' => 'nss-heart-rate1',
            'nss-heart-square1' => 'nss-heart-square1',
            'nss-helicopter1' => 'nss-helicopter1',
            'nss-helmet-battle1' => 'nss-helmet-battle1',
            'nss-hexagon1' => 'nss-hexagon1',
            'nss-highlighter1' => 'nss-highlighter1',
            'nss-hiking1' => 'nss-hiking1',
            'nss-hippo1' => 'nss-hippo1',
            'nss-history1' => 'nss-history1',
            'nss-hockey-mask1' => 'nss-hockey-mask1',
            'nss-hockey-puck1' => 'nss-hockey-puck1',
            'nss-hockey-sticks1' => 'nss-hockey-sticks1',
            'nss-holly-berry1' => 'nss-holly-berry1',
            'nss-home1' => 'nss-home1',
            'nss-home-alt1' => 'nss-home-alt1',
            'nss-home-heart1' => 'nss-home-heart1',
            'nss-home-lg1' => 'nss-home-lg1',
            'nss-home-lg-alt1' => 'nss-home-lg-alt1',
            'nss-hood-cloak1' => 'nss-hood-cloak1',
            'nss-horse1' => 'nss-horse1',
            'nss-horse-head1' => 'nss-horse-head1',
            'nss-hospital1' => 'nss-hospital1',
            'nss-hospital-alt1' => 'nss-hospital-alt1',
            'nss-hospitals1' => 'nss-hospitals1',
            'nss-hospital-symbol1' => 'nss-hospital-symbol1',
            'nss-hospital-user1' => 'nss-hospital-user1',
            'nss-hotdog1' => 'nss-hotdog1',
            'nss-hotel1' => 'nss-hotel1',
            'nss-hot-tub1' => 'nss-hot-tub1',
            'nss-hourglass1' => 'nss-hourglass1',
            'nss-hourglass-end1' => 'nss-hourglass-end1',
            'nss-hourglass-half1' => 'nss-hourglass-half1',
            'nss-hourglass-start1' => 'nss-hourglass-start1',
            'nss-house-damage1' => 'nss-house-damage1',
            'nss-house-flood1' => 'nss-house-flood1',
            'nss-hryvnia1' => 'nss-hryvnia1',
            'nss-h-square1' => 'nss-h-square1',
            'nss-humidity1' => 'nss-humidity1',
            'nss-hurricane1' => 'nss-hurricane1',
            'nss-ice-cream1' => 'nss-ice-cream1',
            'nss-ice-skate1' => 'nss-ice-skate1',
            'nss-icicles1' => 'nss-icicles1',
            'nss-i-cursor1' => 'nss-i-cursor1',
            'nss-id-badge1' => 'nss-id-badge1',
            'nss-id-card1' => 'nss-id-card1',
            'nss-id-card-alt1' => 'nss-id-card-alt1',
            'nss-igloo1' => 'nss-igloo1',
            'nss-image1' => 'nss-image1',
            'nss-images1' => 'nss-images1',
            'nss-inbox1' => 'nss-inbox1',
            'nss-inbox-in1' => 'nss-inbox-in1',
            'nss-inbox-out1' => 'nss-inbox-out1',
            'nss-indent1' => 'nss-indent1',
            'nss-industry1' => 'nss-industry1',
            'nss-industry-alt1' => 'nss-industry-alt1',
            'nss-infinity1' => 'nss-infinity1',
            'nss-info1' => 'nss-info1',
            'nss-info-circle1' => 'nss-info-circle1',
            'nss-info-square1' => 'nss-info-square1',
            'nss-inhaler1' => 'nss-inhaler1',
            'nss-integral1' => 'nss-integral1',
            'nss-intersection1' => 'nss-intersection1',
            'nss-inventory1' => 'nss-inventory1',
            'nss-island-tropical1' => 'nss-island-tropical1',
            'nss-italic1' => 'nss-italic1',
            'nss-jack-o-lantern1' => 'nss-jack-o-lantern1',
            'nss-jedi1' => 'nss-jedi1',
            'nss-joint1' => 'nss-joint1',
            'nss-journal-whills1' => 'nss-journal-whills1',
            'nss-kaaba1' => 'nss-kaaba1',
            'nss-key1' => 'nss-key1',
            'nss-keyboard1' => 'nss-keyboard1',
            'nss-keynote1' => 'nss-keynote1',
            'nss-key-skeleton1' => 'nss-key-skeleton1',
            'nss-khanda1' => 'nss-khanda1',
            'nss-kidneys1' => 'nss-kidneys1',
            'nss-kiss1' => 'nss-kiss1',
            'nss-kiss-beam1' => 'nss-kiss-beam1',
            'nss-kiss-wink-heart1' => 'nss-kiss-wink-heart1',
            'nss-kite1' => 'nss-kite1',
            'nss-kiwi-bird1' => 'nss-kiwi-bird1',
            'nss-knife-kitchen1' => 'nss-knife-kitchen1',
            'nss-lambda1' => 'nss-lambda1',
            'nss-lamp1' => 'nss-lamp1',
            'nss-landmark1' => 'nss-landmark1',
            'nss-landmark-alt1' => 'nss-landmark-alt1',
            'nss-language1' => 'nss-language1',
            'nss-laptop1' => 'nss-laptop1',
            'nss-laptop-code1' => 'nss-laptop-code1',
            'nss-laptop-medical1' => 'nss-laptop-medical1',
            'nss-laugh1' => 'nss-laugh1',
            'nss-laugh-beam1' => 'nss-laugh-beam1',
            'nss-laugh-squint1' => 'nss-laugh-squint1',
            'nss-laugh-wink1' => 'nss-laugh-wink1',
            'nss-layer-group1' => 'nss-layer-group1',
            'nss-layer-minus1' => 'nss-layer-minus1',
            'nss-layer-plus1' => 'nss-layer-plus1',
            'nss-leaf1' => 'nss-leaf1',
            'nss-leaf-heart1' => 'nss-leaf-heart1',
            'nss-leaf-maple1' => 'nss-leaf-maple1',
            'nss-leaf-oak1' => 'nss-leaf-oak1',
            'nss-lemon1' => 'nss-lemon1',
            'nss-less-than1' => 'nss-less-than1',
            'nss-less-than-equal1' => 'nss-less-than-equal1',
            'nss-level-down1' => 'nss-level-down1',
            'nss-level-down-alt1' => 'nss-level-down-alt1',
            'nss-level-up1' => 'nss-level-up1',
            'nss-level-up-alt1' => 'nss-level-up-alt1',
            'nss-life-ring1' => 'nss-life-ring1',
            'nss-lightbulb1' => 'nss-lightbulb1',
            'nss-lightbulb-dollar1' => 'nss-lightbulb-dollar1',
            'nss-lightbulb-exclamation1' => 'nss-lightbulb-exclamation1',
            'nss-lightbulb-on1' => 'nss-lightbulb-on1',
            'nss-lightbulb-slash1' => 'nss-lightbulb-slash1',
            'nss-lights-holiday1' => 'nss-lights-holiday1',
            'nss-link1' => 'nss-link1',
            'nss-lips1' => 'nss-lips1',
            'nss-lira-sign1' => 'nss-lira-sign1',
            'nss-list1' => 'nss-list1',
            'nss-list-alt1' => 'nss-list-alt1',
            'nss-list-ol1' => 'nss-list-ol1',
            'nss-list-ul1' => 'nss-list-ul1',
            'nss-location1' => 'nss-location1',
            'nss-location-arrow1' => 'nss-location-arrow1',
            'nss-location-circle1' => 'nss-location-circle1',
            'nss-location-slash1' => 'nss-location-slash1',
            'nss-lock1' => 'nss-lock1',
            'nss-lock-alt1' => 'nss-lock-alt1',
            'nss-lock-open1' => 'nss-lock-open1',
            'nss-lock-open-alt1' => 'nss-lock-open-alt1',
            'nss-long-arrow-alt-down1' => 'nss-long-arrow-alt-down1',
            'nss-long-arrow-alt-left1' => 'nss-long-arrow-alt-left1',
            'nss-long-arrow-alt-right1' => 'nss-long-arrow-alt-right1',
            'nss-long-arrow-alt-up1' => 'nss-long-arrow-alt-up1',
            'nss-long-arrow-down1' => 'nss-long-arrow-down1',
            'nss-long-arrow-left1' => 'nss-long-arrow-left1',
            'nss-long-arrow-right1' => 'nss-long-arrow-right1',
            'nss-long-arrow-up1' => 'nss-long-arrow-up1',
            'nss-loveseat1' => 'nss-loveseat1',
            'nss-low-vision1' => 'nss-low-vision1',
            'nss-luchador1' => 'nss-luchador1',
            'nss-luggage-cart1' => 'nss-luggage-cart1',
            'nss-lungs1' => 'nss-lungs1',
            'nss-mace1' => 'nss-mace1',
            'nss-magic1' => 'nss-magic1',
            'nss-magnet1' => 'nss-magnet1',
            'nss-mailbox1' => 'nss-mailbox1',
            'nss-mail-bulk1' => 'nss-mail-bulk1',
            'nss-male1' => 'nss-male1',
            'nss-mandolin1' => 'nss-mandolin1',
            'nss-map1' => 'nss-map1',
            'nss-map-marked1' => 'nss-map-marked1',
            'nss-map-marked-alt1' => 'nss-map-marked-alt1',
            'nss-map-marker1' => 'nss-map-marker1',
            'nss-map-marker-alt1' => 'nss-map-marker-alt1',
            'nss-map-marker-alt-slash1' => 'nss-map-marker-alt-slash1',
            'nss-map-marker-check1' => 'nss-map-marker-check1',
            'nss-map-marker-edit1' => 'nss-map-marker-edit1',
            'nss-map-marker-exclamation1' => 'nss-map-marker-exclamation1',
            'nss-map-marker-minus1' => 'nss-map-marker-minus1',
            'nss-map-marker-plus1' => 'nss-map-marker-plus1',
            'nss-map-marker-question1' => 'nss-map-marker-question1',
            'nss-map-marker-slash1' => 'nss-map-marker-slash1',
            'nss-map-marker-smile1' => 'nss-map-marker-smile1',
            'nss-map-marker-times1' => 'nss-map-marker-times1',
            'nss-map-pin1' => 'nss-map-pin1',
            'nss-map-signs1' => 'nss-map-signs1',
            'nss-marker1' => 'nss-marker1',
            'nss-mars1' => 'nss-mars1',
            'nss-mars-double1' => 'nss-mars-double1',
            'nss-mars-stroke1' => 'nss-mars-stroke1',
            'nss-mars-stroke-h1' => 'nss-mars-stroke-h1',
            'nss-mars-stroke-v1' => 'nss-mars-stroke-v1',
            'nss-mask1' => 'nss-mask1',
            'nss-meat1' => 'nss-meat1',
            'nss-medal1' => 'nss-medal1',
            'nss-medkit1' => 'nss-medkit1',
            'nss-megaphone1' => 'nss-megaphone1',
            'nss-meh1' => 'nss-meh1',
            'nss-meh-blank1' => 'nss-meh-blank1',
            'nss-meh-rolling-eyes1' => 'nss-meh-rolling-eyes1',
            'nss-memory1' => 'nss-memory1',
            'nss-menorah1' => 'nss-menorah1',
            'nss-mercury1' => 'nss-mercury1',
            'nss-meteor1' => 'nss-meteor1',
            'nss-microchip1' => 'nss-microchip1',
            'nss-microphone1' => 'nss-microphone1',
            'nss-microphone-alt1' => 'nss-microphone-alt1',
            'nss-microphone-alt-slash1' => 'nss-microphone-alt-slash1',
            'nss-microphone-slash1' => 'nss-microphone-slash1',
            'nss-microscope1' => 'nss-microscope1',
            'nss-mind-share1' => 'nss-mind-share1',
            'nss-minus1' => 'nss-minus1',
            'nss-minus-circle1' => 'nss-minus-circle1',
            'nss-minus-hexagon1' => 'nss-minus-hexagon1',
            'nss-minus-octagon1' => 'nss-minus-octagon1',
            'nss-minus-square1' => 'nss-minus-square1',
            'nss-mistletoe1' => 'nss-mistletoe1',
            'nss-mitten1' => 'nss-mitten1',
            'nss-mobile1' => 'nss-mobile1',
            'nss-mobile-alt1' => 'nss-mobile-alt1',
            'nss-mobile-android1' => 'nss-mobile-android1',
            'nss-mobile-android-alt1' => 'nss-mobile-android-alt1',
            'nss-money-bill1' => 'nss-money-bill1',
            'nss-money-bill-alt1' => 'nss-money-bill-alt1',
            'nss-money-bill-wave1' => 'nss-money-bill-wave1',
            'nss-money-bill-wave-alt1' => 'nss-money-bill-wave-alt1',
            'nss-money-check1' => 'nss-money-check1',
            'nss-money-check-alt1' => 'nss-money-check-alt1',
            'nss-monitor-heart-rate1' => 'nss-monitor-heart-rate1',
            'nss-monkey1' => 'nss-monkey1',
            'nss-monument1' => 'nss-monument1',
            'nss-moon1' => 'nss-moon1',
            'nss-moon-cloud1' => 'nss-moon-cloud1',
            'nss-moon-stars1' => 'nss-moon-stars1',
            'nss-mortar-pestle1' => 'nss-mortar-pestle1',
            'nss-mosque1' => 'nss-mosque1',
            'nss-motorcycle1' => 'nss-motorcycle1',
            'nss-mountain1' => 'nss-mountain1',
            'nss-mountains1' => 'nss-mountains1',
            'nss-mouse-pointer1' => 'nss-mouse-pointer1',
            'nss-mug-hot1' => 'nss-mug-hot1',
            'nss-mug-marshmallows1' => 'nss-mug-marshmallows1',
            'nss-music1' => 'nss-music1',
            'nss-narwhal1' => 'nss-narwhal1',
            'nss-network-wired1' => 'nss-network-wired1',
            'nss-neuter1' => 'nss-neuter1',
            'nss-newspaper1' => 'nss-newspaper1',
            'nss-not-equal1' => 'nss-not-equal1',
            'nss-notes-medical1' => 'nss-notes-medical1',
            'nss-object-group1' => 'nss-object-group1',
            'nss-object-ungroup1' => 'nss-object-ungroup1',
            'nss-octagon1' => 'nss-octagon1',
            'nss-oil-can1' => 'nss-oil-can1',
            'nss-oil-temp1' => 'nss-oil-temp1',
            'nss-om1' => 'nss-om1',
            'nss-omega1' => 'nss-omega1',
            'nss-ornament1' => 'nss-ornament1',
            'nss-otter1' => 'nss-otter1',
            'nss-outdent1' => 'nss-outdent1',
            'nss-pager1' => 'nss-pager1',
            'nss-paint-brush1' => 'nss-paint-brush1',
            'nss-paint-brush-alt1' => 'nss-paint-brush-alt1',
            'nss-paint-roller1' => 'nss-paint-roller1',
            'nss-palette1' => 'nss-palette1',
            'nss-pallet1' => 'nss-pallet1',
            'nss-pallet-alt1' => 'nss-pallet-alt1',
            'nss-paperclip1' => 'nss-paperclip1',
            'nss-paper-plane1' => 'nss-paper-plane1',
            'nss-parachute-box1' => 'nss-parachute-box1',
            'nss-paragraph1' => 'nss-paragraph1',
            'nss-parking1' => 'nss-parking1',
            'nss-parking-circle1' => 'nss-parking-circle1',
            'nss-parking-circle-slash1' => 'nss-parking-circle-slash1',
            'nss-parking-slash1' => 'nss-parking-slash1',
            'nss-passport1' => 'nss-passport1',
            'nss-pastafarianism1' => 'nss-pastafarianism1',
            'nss-paste1' => 'nss-paste1',
            'nss-pause1' => 'nss-pause1',
            'nss-pause-circle1' => 'nss-pause-circle1',
            'nss-paw1' => 'nss-paw1',
            'nss-paw-alt1' => 'nss-paw-alt1',
            'nss-paw-claws1' => 'nss-paw-claws1',
            'nss-peace1' => 'nss-peace1',
            'nss-pegasus1' => 'nss-pegasus1',
            'nss-pen1' => 'nss-pen1',
            'nss-pen-alt1' => 'nss-pen-alt1',
            'nss-pencil1' => 'nss-pencil1',
            'nss-pencil-alt1' => 'nss-pencil-alt1',
            'nss-pencil-paintbrush1' => 'nss-pencil-paintbrush1',
            'nss-pencil-ruler1' => 'nss-pencil-ruler1',
            'nss-pen-fancy1' => 'nss-pen-fancy1',
            'nss-pennant1' => 'nss-pennant1',
            'nss-pen-nib1' => 'nss-pen-nib1',
            'nss-pen-square1' => 'nss-pen-square1',
            'nss-people-carry1' => 'nss-people-carry1',
            'nss-pepper-hot1' => 'nss-pepper-hot1',
            'nss-percent1' => 'nss-percent1',
            'nss-percentage1' => 'nss-percentage1',
            'nss-person-booth1' => 'nss-person-booth1',
            'nss-person-carry1' => 'nss-person-carry1',
            'nss-person-dolly1' => 'nss-person-dolly1',
            'nss-person-dolly-empty1' => 'nss-person-dolly-empty1',
            'nss-person-sign1' => 'nss-person-sign1',
            'nss-phone1' => 'nss-phone1',
            'nss-phone-office1' => 'nss-phone-office1',
            'nss-phone-plus1' => 'nss-phone-plus1',
            'nss-phone-slash1' => 'nss-phone-slash1',
            'nss-phone-square1' => 'nss-phone-square1',
            'nss-phone-volume1' => 'nss-phone-volume1',
            'nss-pi1' => 'nss-pi1',
            'nss-pie1' => 'nss-pie1',
            'nss-pig1' => 'nss-pig1',
            'nss-piggy-bank1' => 'nss-piggy-bank1',
            'nss-pills1' => 'nss-pills1',
            'nss-pizza1' => 'nss-pizza1',
            'nss-pizza-slice1' => 'nss-pizza-slice1',
            'nss-place-of-worship1' => 'nss-place-of-worship1',
            'nss-plane1' => 'nss-plane1',
            'nss-plane-alt1' => 'nss-plane-alt1',
            'nss-plane-arrival1' => 'nss-plane-arrival1',
            'nss-plane-departure1' => 'nss-plane-departure1',
            'nss-play1' => 'nss-play1',
            'nss-play-circle1' => 'nss-play-circle1',
            'nss-plug1' => 'nss-plug1',
            'nss-plus1' => 'nss-plus1',
            'nss-plus-circle1' => 'nss-plus-circle1',
            'nss-plus-hexagon1' => 'nss-plus-hexagon1',
            'nss-plus-octagon1' => 'nss-plus-octagon1',
            'nss-plus-square1' => 'nss-plus-square1',
            'nss-podcast1' => 'nss-podcast1',
            'nss-podium1' => 'nss-podium1',
            'nss-podium-star1' => 'nss-podium-star1',
            'nss-poll1' => 'nss-poll1',
            'nss-poll-h1' => 'nss-poll-h1',
            'nss-poll-people1' => 'nss-poll-people1',
            'nss-poo1' => 'nss-poo1',
            'nss-poop1' => 'nss-poop1',
            'nss-poo-storm1' => 'nss-poo-storm1',
            'nss-popcorn1' => 'nss-popcorn1',
            'nss-portrait1' => 'nss-portrait1',
            'nss-pound-sign1' => 'nss-pound-sign1',
            'nss-power-off1' => 'nss-power-off1',
            'nss-pray1' => 'nss-pray1',
            'nss-praying-hands1' => 'nss-praying-hands1',
            'nss-prescription1' => 'nss-prescription1',
            'nss-prescription-bottle1' => 'nss-prescription-bottle1',
            'nss-prescription-bottle-alt1' => 'nss-prescription-bottle-alt1',
            'nss-presentation1' => 'nss-presentation1',
            'nss-print1' => 'nss-print1',
            'nss-print-search1' => 'nss-print-search1',
            'nss-print-slash1' => 'nss-print-slash1',
            'nss-procedures1' => 'nss-procedures1',
            'nss-project-diagram1' => 'nss-project-diagram1',
            'nss-pumpkin1' => 'nss-pumpkin1',
            'nss-puzzle-piece1' => 'nss-puzzle-piece1',
            'nss-qrcode1' => 'nss-qrcode1',
            'nss-question1' => 'nss-question1',
            'nss-question-circle1' => 'nss-question-circle1',
            'nss-question-square1' => 'nss-question-square1',
            'nss-quidditch1' => 'nss-quidditch1',
            'nss-quote-left1' => 'nss-quote-left1',
            'nss-quote-right1' => 'nss-quote-right1',
            'nss-quran1' => 'nss-quran1',
            'nss-rabbit1' => 'nss-rabbit1',
            'nss-rabbit-fast1' => 'nss-rabbit-fast1',
            'nss-racquet1' => 'nss-racquet1',
            'nss-radiation1' => 'nss-radiation1',
            'nss-radiation-alt1' => 'nss-radiation-alt1',
            'nss-rainbow1' => 'nss-rainbow1',
            'nss-raindrops1' => 'nss-raindrops1',
            'nss-ram1' => 'nss-ram1',
            'nss-ramp-loading1' => 'nss-ramp-loading1',
            'nss-random1' => 'nss-random1',
            'nss-receipt1' => 'nss-receipt1',
            'nss-rectangle-landscape1' => 'nss-rectangle-landscape1',
            'nss-rectangle-portrait1' => 'nss-rectangle-portrait1',
            'nss-rectangle-wide1' => 'nss-rectangle-wide1',
            'nss-recycle1' => 'nss-recycle1',
            'nss-redo1' => 'nss-redo1',
            'nss-redo-alt1' => 'nss-redo-alt1',
            'nss-registered1' => 'nss-registered1',
            'nss-repeat1' => 'nss-repeat1',
            'nss-repeat-11' => 'nss-repeat-11',
            'nss-repeat-1-alt1' => 'nss-repeat-1-alt1',
            'nss-repeat-alt1' => 'nss-repeat-alt1',
            'nss-reply1' => 'nss-reply1',
            'nss-reply-all1' => 'nss-reply-all1',
            'nss-republican1' => 'nss-republican1',
            'nss-restroom1' => 'nss-restroom1',
            'nss-retweet1' => 'nss-retweet1',
            'nss-retweet-alt1' => 'nss-retweet-alt1',
            'nss-ribbon1' => 'nss-ribbon1',
            'nss-ring1' => 'nss-ring1',
            'nss-rings-wedding1' => 'nss-rings-wedding1',
            'nss-road1' => 'nss-road1',
            'nss-robot1' => 'nss-robot1',
            'nss-rocket1' => 'nss-rocket1',
            'nss-route1' => 'nss-route1',
            'nss-route-highway1' => 'nss-route-highway1',
            'nss-route-interstate1' => 'nss-route-interstate1',
            'nss-rss1' => 'nss-rss1',
            'nss-rss-square1' => 'nss-rss-square1',
            'nss-ruble-sign1' => 'nss-ruble-sign1',
            'nss-ruler1' => 'nss-ruler1',
            'nss-ruler-combined1' => 'nss-ruler-combined1',
            'nss-ruler-horizontal1' => 'nss-ruler-horizontal1',
            'nss-ruler-triangle1' => 'nss-ruler-triangle1',
            'nss-ruler-vertical1' => 'nss-ruler-vertical1',
            'nss-running1' => 'nss-running1',
            'nss-rupee-sign1' => 'nss-rupee-sign1',
            'nss-rv1' => 'nss-rv1',
            'nss-sack1' => 'nss-sack1',
            'nss-sack-dollar1' => 'nss-sack-dollar1',
            'nss-sad-cry1' => 'nss-sad-cry1',
            'nss-sad-tear1' => 'nss-sad-tear1',
            'nss-salad1' => 'nss-salad1',
            'nss-sandwich1' => 'nss-sandwich1',
            'nss-satellite1' => 'nss-satellite1',
            'nss-satellite-dish1' => 'nss-satellite-dish1',
            'nss-sausage1' => 'nss-sausage1',
            'nss-save1' => 'nss-save1',
            'nss-scalpel1' => 'nss-scalpel1',
            'nss-scalpel-path1' => 'nss-scalpel-path1',
            'nss-scanner1' => 'nss-scanner1',
            'nss-scanner-keyboard1' => 'nss-scanner-keyboard1',
            'nss-scanner-touchscreen1' => 'nss-scanner-touchscreen1',
            'nss-scarecrow1' => 'nss-scarecrow1',
            'nss-scarf1' => 'nss-scarf1',
            'nss-school1' => 'nss-school1',
            'nss-screwdriver1' => 'nss-screwdriver1',
            'nss-scroll1' => 'nss-scroll1',
            'nss-scroll-old1' => 'nss-scroll-old1',
            'nss-scrubber1' => 'nss-scrubber1',
            'nss-scythe1' => 'nss-scythe1',
            'nss-sd-card1' => 'nss-sd-card1',
            'nss-search1' => 'nss-search1',
            'nss-search-dollar1' => 'nss-search-dollar1',
            'nss-search-location1' => 'nss-search-location1',
            'nss-search-minus1' => 'nss-search-minus1',
            'nss-search-plus1' => 'nss-search-plus1',
            'nss-seedling1' => 'nss-seedling1',
            'nss-server1' => 'nss-server1',
            'nss-shapes1' => 'nss-shapes1',
            'nss-share1' => 'nss-share1',
            'nss-share-all1' => 'nss-share-all1',
            'nss-share-alt1' => 'nss-share-alt1',
            'nss-share-alt-square1' => 'nss-share-alt-square1',
            'nss-share-square1' => 'nss-share-square1',
            'nss-sheep1' => 'nss-sheep1',
            'nss-shekel-sign1' => 'nss-shekel-sign1',
            'nss-shield1' => 'nss-shield1',
            'nss-shield-alt1' => 'nss-shield-alt1',
            'nss-shield-check1' => 'nss-shield-check1',
            'nss-shield-cross1' => 'nss-shield-cross1',
            'nss-ship1' => 'nss-ship1',
            'nss-shipping-fast1' => 'nss-shipping-fast1',
            'nss-shipping-timed1' => 'nss-shipping-timed1',
            'nss-shish-kebab1' => 'nss-shish-kebab1',
            'nss-shoe-prints1' => 'nss-shoe-prints1',
            'nss-shopping-bag1' => 'nss-shopping-bag1',
            'nss-shopping-basket1' => 'nss-shopping-basket1',
            'nss-shopping-cart1' => 'nss-shopping-cart1',
            'nss-shovel1' => 'nss-shovel1',
            'nss-shovel-snow1' => 'nss-shovel-snow1',
            'nss-shower1' => 'nss-shower1',
            'nss-shredder1' => 'nss-shredder1',
            'nss-shuttlecock1' => 'nss-shuttlecock1',
            'nss-shuttle-van1' => 'nss-shuttle-van1',
            'nss-sickle1' => 'nss-sickle1',
            'nss-sigma1' => 'nss-sigma1',
            'nss-sign1' => 'nss-sign1',
            'nss-signal1' => 'nss-signal1',
            'nss-signal-11' => 'nss-signal-11',
            'nss-signal-21' => 'nss-signal-21',
            'nss-signal-31' => 'nss-signal-31',
            'nss-signal-41' => 'nss-signal-41',
            'nss-signal-alt1' => 'nss-signal-alt1',
            'nss-signal-alt-11' => 'nss-signal-alt-11',
            'nss-signal-alt-21' => 'nss-signal-alt-21',
            'nss-signal-alt-31' => 'nss-signal-alt-31',
            'nss-signal-alt-slash1' => 'nss-signal-alt-slash1',
            'nss-signal-slash1' => 'nss-signal-slash1',
            'nss-signature1' => 'nss-signature1',
            'nss-sign-in1' => 'nss-sign-in1',
            'nss-sign-in-alt1' => 'nss-sign-in-alt1',
            'nss-sign-language1' => 'nss-sign-language1',
            'nss-sign-out1' => 'nss-sign-out1',
            'nss-sign-out-alt1' => 'nss-sign-out-alt1',
            'nss-sim-card1' => 'nss-sim-card1',
            'nss-sitemap1' => 'nss-sitemap1',
            'nss-skating1' => 'nss-skating1',
            'nss-skeleton1' => 'nss-skeleton1',
            'nss-skiing1' => 'nss-skiing1',
            'nss-skiing-nordic1' => 'nss-skiing-nordic1',
            'nss-ski-jump1' => 'nss-ski-jump1',
            'nss-ski-lift1' => 'nss-ski-lift1',
            'nss-skull1' => 'nss-skull1',
            'nss-skull-crossbones1' => 'nss-skull-crossbones1',
            'nss-slash1' => 'nss-slash1',
            'nss-sledding1' => 'nss-sledding1',
            'nss-sleigh1' => 'nss-sleigh1',
            'nss-sliders-h1' => 'nss-sliders-h1',
            'nss-sliders-h-square1' => 'nss-sliders-h-square1',
            'nss-sliders-v1' => 'nss-sliders-v1',
            'nss-sliders-v-square1' => 'nss-sliders-v-square1',
            'nss-smile1' => 'nss-smile1',
            'nss-smile-beam1' => 'nss-smile-beam1',
            'nss-smile-plus1' => 'nss-smile-plus1',
            'nss-smile-wink1' => 'nss-smile-wink1',
            'nss-smog1' => 'nss-smog1',
            'nss-smoke1' => 'nss-smoke1',
            'nss-smoking1' => 'nss-smoking1',
            'nss-smoking-ban1' => 'nss-smoking-ban1',
            'nss-sms1' => 'nss-sms1',
            'nss-snake1' => 'nss-snake1',
            'nss-snow-blowing1' => 'nss-snow-blowing1',
            'nss-snowboarding1' => 'nss-snowboarding1',
            'nss-snowflake1' => 'nss-snowflake1',
            'nss-snowflakes1' => 'nss-snowflakes1',
            'nss-snowman1' => 'nss-snowman1',
            'nss-snowmobile1' => 'nss-snowmobile1',
            'nss-snowplow1' => 'nss-snowplow1',
            'nss-socks1' => 'nss-socks1',
            'nss-solar-panel1' => 'nss-solar-panel1',
            'nss-sort1' => 'nss-sort1',
            'nss-sort-alpha-down1' => 'nss-sort-alpha-down1',
            'nss-sort-alpha-up1' => 'nss-sort-alpha-up1',
            'nss-sort-amount-down1' => 'nss-sort-amount-down1',
            'nss-sort-amount-up1' => 'nss-sort-amount-up1',
            'nss-sort-down1' => 'nss-sort-down1',
            'nss-sort-numeric-down1' => 'nss-sort-numeric-down1',
            'nss-sort-numeric-up1' => 'nss-sort-numeric-up1',
            'nss-sort-up1' => 'nss-sort-up1',
            'nss-soup1' => 'nss-soup1',
            'nss-spa1' => 'nss-spa1',
            'nss-space-shuttle1' => 'nss-space-shuttle1',
            'nss-spade1' => 'nss-spade1',
            'nss-spider1' => 'nss-spider1',
            'nss-spider-black-widow1' => 'nss-spider-black-widow1',
            'nss-spider-web1' => 'nss-spider-web1',
            'nss-spinner1' => 'nss-spinner1',
            'nss-spinner-third1' => 'nss-spinner-third1',
            'nss-splotch1' => 'nss-splotch1',
            'nss-spray-can1' => 'nss-spray-can1',
            'nss-square1' => 'nss-square1',
            'nss-square-full1' => 'nss-square-full1',
            'nss-square-root1' => 'nss-square-root1',
            'nss-square-root-alt1' => 'nss-square-root-alt1',
            'nss-squirrel1' => 'nss-squirrel1',
            'nss-staff1' => 'nss-staff1',
            'nss-stamp1' => 'nss-stamp1',
            'nss-star1' => 'nss-star1',
            'nss-star-and-crescent1' => 'nss-star-and-crescent1',
            'nss-star-christmas1' => 'nss-star-christmas1',
            'nss-star-exclamation1' => 'nss-star-exclamation1',
            'nss-star-half1' => 'nss-star-half1',
            'nss-star-half-alt1' => 'nss-star-half-alt1',
            'nss-star-of-david1' => 'nss-star-of-david1',
            'nss-star-of-life1' => 'nss-star-of-life1',
            'nss-stars1' => 'nss-stars1',
            'nss-steak1' => 'nss-steak1',
            'nss-steering-wheel1' => 'nss-steering-wheel1',
            'nss-step-backward1' => 'nss-step-backward1',
            'nss-step-forward1' => 'nss-step-forward1',
            'nss-stethoscope1' => 'nss-stethoscope1',
            'nss-sticky-note1' => 'nss-sticky-note1',
            'nss-stocking1' => 'nss-stocking1',
            'nss-stomach1' => 'nss-stomach1',
            'nss-stop1' => 'nss-stop1',
            'nss-stop-circle1' => 'nss-stop-circle1',
            'nss-stopwatch1' => 'nss-stopwatch1',
            'nss-store1' => 'nss-store1',
            'nss-store-alt1' => 'nss-store-alt1',
            'nss-stream1' => 'nss-stream1',
            'nss-street-view1' => 'nss-street-view1',
            'nss-stretcher1' => 'nss-stretcher1',
            'nss-strikethrough1' => 'nss-strikethrough1',
            'nss-stroopwafel1' => 'nss-stroopwafel1',
            'nss-subscript1' => 'nss-subscript1',
            'nss-subway1' => 'nss-subway1',
            'nss-suitcase1' => 'nss-suitcase1',
            'nss-suitcase-rolling1' => 'nss-suitcase-rolling1',
            'nss-sun1' => 'nss-sun1',
            'nss-sun-cloud1' => 'nss-sun-cloud1',
            'nss-sun-dust1' => 'nss-sun-dust1',
            'nss-sun-haze1' => 'nss-sun-haze1',
            'nss-sunrise1' => 'nss-sunrise1',
            'nss-sunset1' => 'nss-sunset1',
            'nss-superscript1' => 'nss-superscript1',
            'nss-surprise1' => 'nss-surprise1',
            'nss-swatchbook1' => 'nss-swatchbook1',
            'nss-swimmer1' => 'nss-swimmer1',
            'nss-swimming-pool1' => 'nss-swimming-pool1',
            'nss-sword1' => 'nss-sword1',
            'nss-swords1' => 'nss-swords1',
            'nss-synagogue1' => 'nss-synagogue1',
            'nss-sync1' => 'nss-sync1',
            'nss-sync-alt1' => 'nss-sync-alt1',
            'nss-syringe1' => 'nss-syringe1',
            'nss-table1' => 'nss-table1',
            'nss-tablet1' => 'nss-tablet1',
            'nss-tablet-alt1' => 'nss-tablet-alt1',
            'nss-tablet-android1' => 'nss-tablet-android1',
            'nss-tablet-android-alt1' => 'nss-tablet-android-alt1',
            'nss-table-tennis1' => 'nss-table-tennis1',
            'nss-tablet-rugged1' => 'nss-tablet-rugged1',
            'nss-tablets1' => 'nss-tablets1',
            'nss-tachometer1' => 'nss-tachometer1',
            'nss-tachometer-alt1' => 'nss-tachometer-alt1',
            'nss-tachometer-alt-average1' => 'nss-tachometer-alt-average1',
            'nss-tachometer-alt-fast1' => 'nss-tachometer-alt-fast1',
            'nss-tachometer-alt-fastest1' => 'nss-tachometer-alt-fastest1',
            'nss-tachometer-alt-slow1' => 'nss-tachometer-alt-slow1',
            'nss-tachometer-alt-slowest1' => 'nss-tachometer-alt-slowest1',
            'nss-tachometer-average1' => 'nss-tachometer-average1',
            'nss-tachometer-fast1' => 'nss-tachometer-fast1',
            'nss-tachometer-fastest1' => 'nss-tachometer-fastest1',
            'nss-tachometer-slow1' => 'nss-tachometer-slow1',
            'nss-tachometer-slowest1' => 'nss-tachometer-slowest1',
            'nss-taco1' => 'nss-taco1',
            'nss-tag1' => 'nss-tag1',
            'nss-tags1' => 'nss-tags1',
            'nss-tally1' => 'nss-tally1',
            'nss-tanakh1' => 'nss-tanakh1',
            'nss-tape1' => 'nss-tape1',
            'nss-tasks1' => 'nss-tasks1',
            'nss-tasks-alt1' => 'nss-tasks-alt1',
            'nss-taxi1' => 'nss-taxi1',
            'nss-teeth1' => 'nss-teeth1',
            'nss-teeth-open1' => 'nss-teeth-open1',
            'nss-temperature-frigid1' => 'nss-temperature-frigid1',
            'nss-temperature-high1' => 'nss-temperature-high1',
            'nss-temperature-hot1' => 'nss-temperature-hot1',
            'nss-temperature-low1' => 'nss-temperature-low1',
            'nss-tenge1' => 'nss-tenge1',
            'nss-tennis-ball1' => 'nss-tennis-ball1',
            'nss-terminal1' => 'nss-terminal1',
            'nss-text-height1' => 'nss-text-height1',
            'nss-text-width1' => 'nss-text-width1',
            'nss-th1' => 'nss-th1',
            'nss-theater-masks1' => 'nss-theater-masks1',
            'nss-thermometer1' => 'nss-thermometer1',
            'nss-thermometer-empty1' => 'nss-thermometer-empty1',
            'nss-thermometer-full1' => 'nss-thermometer-full1',
            'nss-thermometer-half1' => 'nss-thermometer-half1',
            'nss-thermometer-quarter1' => 'nss-thermometer-quarter1',
            'nss-thermometer-three-quarters1' => 'nss-thermometer-three-quarters1',
            'nss-theta1' => 'nss-theta1',
            'nss-th-large1' => 'nss-th-large1',
            'nss-th-list1' => 'nss-th-list1',
            'nss-thumbs-down1' => 'nss-thumbs-down1',
            'nss-thumbs-up1' => 'nss-thumbs-up1',
            'nss-thumbtack1' => 'nss-thumbtack1',
            'nss-thunderstorm1' => 'nss-thunderstorm1',
            'nss-thunderstorm-moon1' => 'nss-thunderstorm-moon1',
            'nss-thunderstorm-sun1' => 'nss-thunderstorm-sun1',
            'nss-ticket1' => 'nss-ticket1',
            'nss-ticket-alt1' => 'nss-ticket-alt1',
            'nss-tilde1' => 'nss-tilde1',
            'nss-times1' => 'nss-times1',
            'nss-times-circle1' => 'nss-times-circle1',
            'nss-times-hexagon1' => 'nss-times-hexagon1',
            'nss-times-octagon1' => 'nss-times-octagon1',
            'nss-times-square1' => 'nss-times-square1',
            'nss-tint1' => 'nss-tint1',
            'nss-tint-slash1' => 'nss-tint-slash1',
            'nss-tire1' => 'nss-tire1',
            'nss-tired1' => 'nss-tired1',
            'nss-tire-flat1' => 'nss-tire-flat1',
            'nss-tire-pressure-warning1' => 'nss-tire-pressure-warning1',
            'nss-tire-rugged1' => 'nss-tire-rugged1',
            'nss-toggle-off1' => 'nss-toggle-off1',
            'nss-toggle-on1' => 'nss-toggle-on1',
            'nss-toilet1' => 'nss-toilet1',
            'nss-toilet-paper1' => 'nss-toilet-paper1',
            'nss-toilet-paper-alt1' => 'nss-toilet-paper-alt1',
            'nss-tombstone1' => 'nss-tombstone1',
            'nss-tombstone-alt1' => 'nss-tombstone-alt1',
            'nss-toolbox1' => 'nss-toolbox1',
            'nss-tools1' => 'nss-tools1',
            'nss-tooth1' => 'nss-tooth1',
            'nss-toothbrush1' => 'nss-toothbrush1',
            'nss-torah1' => 'nss-torah1',
            'nss-torii-gate1' => 'nss-torii-gate1',
            'nss-tornado1' => 'nss-tornado1',
            'nss-tractor1' => 'nss-tractor1',
            'nss-trademark1' => 'nss-trademark1',
            'nss-traffic-cone1' => 'nss-traffic-cone1',
            'nss-traffic-light1' => 'nss-traffic-light1',
            'nss-traffic-light-go1' => 'nss-traffic-light-go1',
            'nss-traffic-light-slow1' => 'nss-traffic-light-slow1',
            'nss-traffic-light-stop1' => 'nss-traffic-light-stop1',
            'nss-train1' => 'nss-train1',
            'nss-tram1' => 'nss-tram1',
            'nss-transgender1' => 'nss-transgender1',
            'nss-transgender-alt1' => 'nss-transgender-alt1',
            'nss-trash1' => 'nss-trash1',
            'nss-trash-alt1' => 'nss-trash-alt1',
            'nss-trash-restore1' => 'nss-trash-restore1',
            'nss-trash-restore-alt1' => 'nss-trash-restore-alt1',
            'nss-treasure-chest1' => 'nss-treasure-chest1',
            'nss-tree1' => 'nss-tree1',
            'nss-tree-alt1' => 'nss-tree-alt1',
            'nss-tree-christmas1' => 'nss-tree-christmas1',
            'nss-tree-decorated1' => 'nss-tree-decorated1',
            'nss-tree-large1' => 'nss-tree-large1',
            'nss-tree-palm1' => 'nss-tree-palm1',
            'nss-trees1' => 'nss-trees1',
            'nss-triangle1' => 'nss-triangle1',
            'nss-trophy1' => 'nss-trophy1',
            'nss-trophy-alt1' => 'nss-trophy-alt1',
            'nss-truck1' => 'nss-truck1',
            'nss-truck-container1' => 'nss-truck-container1',
            'nss-truck-couch1' => 'nss-truck-couch1',
            'nss-truck-loading1' => 'nss-truck-loading1',
            'nss-truck-monster1' => 'nss-truck-monster1',
            'nss-truck-moving1' => 'nss-truck-moving1',
            'nss-truck-pickup1' => 'nss-truck-pickup1',
            'nss-truck-plow1' => 'nss-truck-plow1',
            'nss-truck-ramp1' => 'nss-truck-ramp1',
            'nss-tshirt1' => 'nss-tshirt1',
            'nss-tty1' => 'nss-tty1',
            'nss-turkey1' => 'nss-turkey1',
            'nss-turtle1' => 'nss-turtle1',
            'nss-tv1' => 'nss-tv1',
            'nss-tv-retro1' => 'nss-tv-retro1',
            'nss-umbrella1' => 'nss-umbrella1',
            'nss-umbrella-beach1' => 'nss-umbrella-beach1',
            'nss-underline1' => 'nss-underline1',
            'nss-undo1' => 'nss-undo1',
            'nss-undo-alt1' => 'nss-undo-alt1',
            'nss-unicorn1' => 'nss-unicorn1',
            'nss-union1' => 'nss-union1',
            'nss-universal-access1' => 'nss-universal-access1',
            'nss-university1' => 'nss-university1',
            'nss-unlink1' => 'nss-unlink1',
            'nss-unlock1' => 'nss-unlock1',
            'nss-unlock-alt1' => 'nss-unlock-alt1',
            'nss-upload1' => 'nss-upload1',
            'nss-usd-circle1' => 'nss-usd-circle1',
            'nss-usd-square1' => 'nss-usd-square1',
            'nss-user1' => 'nss-user1',
            'nss-user-alt1' => 'nss-user-alt1',
            'nss-user-alt-slash1' => 'nss-user-alt-slash1',
            'nss-user-astronaut1' => 'nss-user-astronaut1',
            'nss-user-chart1' => 'nss-user-chart1',
            'nss-user-check1' => 'nss-user-check1',
            'nss-user-circle1' => 'nss-user-circle1',
            'nss-user-clock1' => 'nss-user-clock1',
            'nss-user-cog1' => 'nss-user-cog1',
            'nss-user-crown1' => 'nss-user-crown1',
            'nss-user-edit1' => 'nss-user-edit1',
            'nss-user-friends1' => 'nss-user-friends1',
            'nss-user-graduate1' => 'nss-user-graduate1',
            'nss-user-hard-hat1' => 'nss-user-hard-hat1',
            'nss-user-headset1' => 'nss-user-headset1',
            'nss-user-injured1' => 'nss-user-injured1',
            'nss-user-lock1' => 'nss-user-lock1',
            'nss-user-md1' => 'nss-user-md1',
            'nss-user-md-chat1' => 'nss-user-md-chat1',
            'nss-user-minus1' => 'nss-user-minus1',
            'nss-user-ninja1' => 'nss-user-ninja1',
            'nss-user-nurse1' => 'nss-user-nurse1',
            'nss-user-plus1' => 'nss-user-plus1',
            'nss-users1' => 'nss-users1',
            'nss-users-class1' => 'nss-users-class1',
            'nss-users-cog1' => 'nss-users-cog1',
            'nss-users-crown1' => 'nss-users-crown1',
            'nss-user-secret1' => 'nss-user-secret1',
            'nss-user-shield1' => 'nss-user-shield1',
            'nss-user-slash1' => 'nss-user-slash1',
            'nss-users-medical1' => 'nss-users-medical1',
            'nss-user-tag1' => 'nss-user-tag1',
            'nss-user-tie1' => 'nss-user-tie1',
            'nss-user-times1' => 'nss-user-times1',
            'nss-utensil-fork1' => 'nss-utensil-fork1',
            'nss-utensil-knife1' => 'nss-utensil-knife1',
            'nss-utensils1' => 'nss-utensils1',
            'nss-utensils-alt1' => 'nss-utensils-alt1',
            'nss-utensil-spoon1' => 'nss-utensil-spoon1',
            'nss-value-absolute1' => 'nss-value-absolute1',
            'nss-vector-square1' => 'nss-vector-square1',
            'nss-venus1' => 'nss-venus1',
            'nss-venus-double1' => 'nss-venus-double1',
            'nss-venus-mars1' => 'nss-venus-mars1',
            'nss-vial1' => 'nss-vial1',
            'nss-vials1' => 'nss-vials1',
            'nss-video1' => 'nss-video1',
            'nss-video-plus1' => 'nss-video-plus1',
            'nss-video-slash1' => 'nss-video-slash1',
            'nss-vihara1' => 'nss-vihara1',
            'nss-volcano1' => 'nss-volcano1',
            'nss-volleyball-ball1' => 'nss-volleyball-ball1',
            'nss-volume1' => 'nss-volume1',
            'nss-volume-down1' => 'nss-volume-down1',
            'nss-volume-mute1' => 'nss-volume-mute1',
            'nss-volume-off1' => 'nss-volume-off1',
            'nss-volume-slash1' => 'nss-volume-slash1',
            'nss-volume-up1' => 'nss-volume-up1',
            'nss-vote-nay1' => 'nss-vote-nay1',
            'nss-vote-yea1' => 'nss-vote-yea1',
            'nss-vr-cardboard1' => 'nss-vr-cardboard1',
            'nss-walker1' => 'nss-walker1',
            'nss-walking1' => 'nss-walking1',
            'nss-wallet1' => 'nss-wallet1',
            'nss-wand1' => 'nss-wand1',
            'nss-wand-magic1' => 'nss-wand-magic1',
            'nss-warehouse1' => 'nss-warehouse1',
            'nss-warehouse-alt1' => 'nss-warehouse-alt1',
            'nss-watch1' => 'nss-watch1',
            'nss-watch-fitness1' => 'nss-watch-fitness1',
            'nss-water1' => 'nss-water1',
            'nss-water-lower1' => 'nss-water-lower1',
            'nss-water-rise1' => 'nss-water-rise1',
            'nss-wave-square1' => 'nss-wave-square1',
            'nss-webcam1' => 'nss-webcam1',
            'nss-webcam-slash1' => 'nss-webcam-slash1',
            'nss-weight1' => 'nss-weight1',
            'nss-weight-hanging1' => 'nss-weight-hanging1',
            'nss-whale1' => 'nss-whale1',
            'nss-wheat1' => 'nss-wheat1',
            'nss-wheelchair1' => 'nss-wheelchair1',
            'nss-whistle1' => 'nss-whistle1',
            'nss-wifi1' => 'nss-wifi1',
            'nss-wifi-11' => 'nss-wifi-11',
            'nss-wifi-21' => 'nss-wifi-21',
            'nss-wifi-slash1' => 'nss-wifi-slash1',
            'nss-wind1' => 'nss-wind1',
            'nss-window1' => 'nss-window1',
            'nss-window-alt1' => 'nss-window-alt1',
            'nss-window-close1' => 'nss-window-close1',
            'nss-window-maximize1' => 'nss-window-maximize1',
            'nss-window-minimize1' => 'nss-window-minimize1',
            'nss-window-restore1' => 'nss-window-restore1',
            'nss-windsock1' => 'nss-windsock1',
            'nss-wind-warning1' => 'nss-wind-warning1',
            'nss-wine-bottle1' => 'nss-wine-bottle1',
            'nss-wine-glass1' => 'nss-wine-glass1',
            'nss-wine-glass-alt1' => 'nss-wine-glass-alt1',
            'nss-won-sign1' => 'nss-won-sign1',
            'nss-wreath1' => 'nss-wreath1',
            'nss-wrench1' => 'nss-wrench1',
            'nss-x-ray1' => 'nss-x-ray1',
            'nss-yen-sign1' => 'nss-yen-sign1',
            'nss-yin-yang1' => 'nss-yin-yang1',
            'nss-abacus2' => 'nss-abacus2',
            'nss-acorn2' => 'nss-acorn2',
            'nss-ad2' => 'nss-ad2',
            'nss-address-book2' => 'nss-address-book2',
            'nss-address-card2' => 'nss-address-card2',
            'nss-adjust2' => 'nss-adjust2',
            'nss-air-freshener2' => 'nss-air-freshener2',
            'nss-alarm-clock2' => 'nss-alarm-clock2',
            'nss-alicorn2' => 'nss-alicorn2',
            'nss-align-center2' => 'nss-align-center2',
            'nss-align-justify2' => 'nss-align-justify2',
            'nss-align-left2' => 'nss-align-left2',
            'nss-align-right2' => 'nss-align-right2',
            'nss-allergies2' => 'nss-allergies2',
            'nss-ambulance2' => 'nss-ambulance2',
            'nss-american-sign-language-interpreting2' => 'nss-american-sign-language-interpreting2',
            'nss-analytics2' => 'nss-analytics2',
            'nss-anchor2' => 'nss-anchor2',
            'nss-angel2' => 'nss-angel2',
            'nss-angle-double-down2' => 'nss-angle-double-down2',
            'nss-angle-double-left2' => 'nss-angle-double-left2',
            'nss-angle-double-right2' => 'nss-angle-double-right2',
            'nss-angle-double-up2' => 'nss-angle-double-up2',
            'nss-angle-down2' => 'nss-angle-down2',
            'nss-angle-left2' => 'nss-angle-left2',
            'nss-angle-right2' => 'nss-angle-right2',
            'nss-angle-up2' => 'nss-angle-up2',
            'nss-angry2' => 'nss-angry2',
            'nss-ankh2' => 'nss-ankh2',
            'nss-apple-alt2' => 'nss-apple-alt2',
            'nss-apple-crate2' => 'nss-apple-crate2',
            'nss-archive2' => 'nss-archive2',
            'nss-archway2' => 'nss-archway2',
            'nss-arrow-alt-circle-down2' => 'nss-arrow-alt-circle-down2',
            'nss-arrow-alt-circle-left2' => 'nss-arrow-alt-circle-left2',
            'nss-arrow-alt-circle-right2' => 'nss-arrow-alt-circle-right2',
            'nss-arrow-alt-circle-up2' => 'nss-arrow-alt-circle-up2',
            'nss-arrow-alt-down2' => 'nss-arrow-alt-down2',
            'nss-arrow-alt-from-bottom2' => 'nss-arrow-alt-from-bottom2',
            'nss-arrow-alt-from-left2' => 'nss-arrow-alt-from-left2',
            'nss-arrow-alt-from-right2' => 'nss-arrow-alt-from-right2',
            'nss-arrow-alt-from-top2' => 'nss-arrow-alt-from-top2',
            'nss-arrow-alt-left2' => 'nss-arrow-alt-left2',
            'nss-arrow-alt-right2' => 'nss-arrow-alt-right2',
            'nss-arrow-alt-square-down2' => 'nss-arrow-alt-square-down2',
            'nss-arrow-alt-square-left2' => 'nss-arrow-alt-square-left2',
            'nss-arrow-alt-square-right2' => 'nss-arrow-alt-square-right2',
            'nss-arrow-alt-square-up2' => 'nss-arrow-alt-square-up2',
            'nss-arrow-alt-to-bottom2' => 'nss-arrow-alt-to-bottom2',
            'nss-arrow-alt-to-left2' => 'nss-arrow-alt-to-left2',
            'nss-arrow-alt-to-right2' => 'nss-arrow-alt-to-right2',
            'nss-arrow-alt-to-top2' => 'nss-arrow-alt-to-top2',
            'nss-arrow-alt-up2' => 'nss-arrow-alt-up2',
            'nss-arrow-circle-down2' => 'nss-arrow-circle-down2',
            'nss-arrow-circle-left2' => 'nss-arrow-circle-left2',
            'nss-arrow-circle-right2' => 'nss-arrow-circle-right2',
            'nss-arrow-circle-up2' => 'nss-arrow-circle-up2',
            'nss-arrow-down2' => 'nss-arrow-down2',
            'nss-arrow-from-bottom2' => 'nss-arrow-from-bottom2',
            'nss-arrow-from-left2' => 'nss-arrow-from-left2',
            'nss-arrow-from-right2' => 'nss-arrow-from-right2',
            'nss-arrow-from-top2' => 'nss-arrow-from-top2',
            'nss-arrow-left2' => 'nss-arrow-left2',
            'nss-arrow-right2' => 'nss-arrow-right2',
            'nss-arrows2' => 'nss-arrows2',
            'nss-arrows-alt2' => 'nss-arrows-alt2',
            'nss-arrows-alt-h2' => 'nss-arrows-alt-h2',
            'nss-arrows-alt-v2' => 'nss-arrows-alt-v2',
            'nss-arrows-h2' => 'nss-arrows-h2',
            'nss-arrow-square-down2' => 'nss-arrow-square-down2',
            'nss-arrow-square-left2' => 'nss-arrow-square-left2',
            'nss-arrow-square-right2' => 'nss-arrow-square-right2',
            'nss-arrow-square-up2' => 'nss-arrow-square-up2',
            'nss-arrows-v2' => 'nss-arrows-v2',
            'nss-arrow-to-bottom2' => 'nss-arrow-to-bottom2',
            'nss-arrow-to-left2' => 'nss-arrow-to-left2',
            'nss-arrow-to-right2' => 'nss-arrow-to-right2',
            'nss-arrow-to-top2' => 'nss-arrow-to-top2',
            'nss-arrow-up2' => 'nss-arrow-up2',
            'nss-assistive-listening-systems2' => 'nss-assistive-listening-systems2',
            'nss-asterisk2' => 'nss-asterisk2',
            'nss-at2' => 'nss-at2',
            'nss-atlas2' => 'nss-atlas2',
            'nss-atom2' => 'nss-atom2',
            'nss-atom-alt2' => 'nss-atom-alt2',
            'nss-audio-description2' => 'nss-audio-description2',
            'nss-award2' => 'nss-award2',
            'nss-axe2' => 'nss-axe2',
            'nss-axe-battle2' => 'nss-axe-battle2',
            'nss-baby2' => 'nss-baby2',
            'nss-baby-carriage2' => 'nss-baby-carriage2',
            'nss-backpack2' => 'nss-backpack2',
            'nss-backspace2' => 'nss-backspace2',
            'nss-backward2' => 'nss-backward2',
            'nss-bacon2' => 'nss-bacon2',
            'nss-badge2' => 'nss-badge2',
            'nss-badge-check2' => 'nss-badge-check2',
            'nss-badge-dollar2' => 'nss-badge-dollar2',
            'nss-badge-percent2' => 'nss-badge-percent2',
            'nss-badger-honey2' => 'nss-badger-honey2',
            'nss-balance-scale2' => 'nss-balance-scale2',
            'nss-balance-scale-left2' => 'nss-balance-scale-left2',
            'nss-balance-scale-right2' => 'nss-balance-scale-right2',
            'nss-ballot2' => 'nss-ballot2',
            'nss-ballot-check2' => 'nss-ballot-check2',
            'nss-ball-pile2' => 'nss-ball-pile2',
            'nss-ban2' => 'nss-ban2',
            'nss-band-aid2' => 'nss-band-aid2',
            'nss-barcode2' => 'nss-barcode2',
            'nss-barcode-alt2' => 'nss-barcode-alt2',
            'nss-barcode-read2' => 'nss-barcode-read2',
            'nss-barcode-scan2' => 'nss-barcode-scan2',
            'nss-bars2' => 'nss-bars2',
            'nss-baseball2' => 'nss-baseball2',
            'nss-baseball-ball2' => 'nss-baseball-ball2',
            'nss-basketball-ball2' => 'nss-basketball-ball2',
            'nss-basketball-hoop2' => 'nss-basketball-hoop2',
            'nss-bat2' => 'nss-bat2',
            'nss-bath2' => 'nss-bath2',
            'nss-battery-bolt2' => 'nss-battery-bolt2',
            'nss-battery-empty2' => 'nss-battery-empty2',
            'nss-battery-full2' => 'nss-battery-full2',
            'nss-battery-half2' => 'nss-battery-half2',
            'nss-battery-quarter2' => 'nss-battery-quarter2',
            'nss-battery-slash2' => 'nss-battery-slash2',
            'nss-battery-three-quarters2' => 'nss-battery-three-quarters2',
            'nss-bed2' => 'nss-bed2',
            'nss-beer2' => 'nss-beer2',
            'nss-bell2' => 'nss-bell2',
            'nss-bells2' => 'nss-bells2',
            'nss-bell-school2' => 'nss-bell-school2',
            'nss-bell-school-slash2' => 'nss-bell-school-slash2',
            'nss-bell-slash2' => 'nss-bell-slash2',
            'nss-bezier-curve2' => 'nss-bezier-curve2',
            'nss-bible2' => 'nss-bible2',
            'nss-bicycle2' => 'nss-bicycle2',
            'nss-binoculars2' => 'nss-binoculars2',
            'nss-biohazard2' => 'nss-biohazard2',
            'nss-birthday-cake2' => 'nss-birthday-cake2',
            'nss-blanket2' => 'nss-blanket2',
            'nss-blender2' => 'nss-blender2',
            'nss-blender-phone2' => 'nss-blender-phone2',
            'nss-blind2' => 'nss-blind2',
            'nss-blog2' => 'nss-blog2',
            'nss-bold2' => 'nss-bold2',
            'nss-bolt2' => 'nss-bolt2',
            'nss-bomb2' => 'nss-bomb2',
            'nss-bone2' => 'nss-bone2',
            'nss-bone-break2' => 'nss-bone-break2',
            'nss-bong2' => 'nss-bong2',
            'nss-book2' => 'nss-book2',
            'nss-book-alt2' => 'nss-book-alt2',
            'nss-book-dead2' => 'nss-book-dead2',
            'nss-book-heart2' => 'nss-book-heart2',
            'nss-bookmark2' => 'nss-bookmark2',
            'nss-book-medical2' => 'nss-book-medical2',
            'nss-book-open2' => 'nss-book-open2',
            'nss-book-reader2' => 'nss-book-reader2',
            'nss-books2' => 'nss-books2',
            'nss-books-medical2' => 'nss-books-medical2',
            'nss-book-spells2' => 'nss-book-spells2',
            'nss-book-user2' => 'nss-book-user2',
            'nss-boot2' => 'nss-boot2',
            'nss-booth-curtain2' => 'nss-booth-curtain2',
            'nss-bow-arrow2' => 'nss-bow-arrow2',
            'nss-bowling-ball2' => 'nss-bowling-ball2',
            'nss-bowling-pins2' => 'nss-bowling-pins2',
            'nss-box2' => 'nss-box2',
            'nss-box-alt2' => 'nss-box-alt2',
            'nss-box-ballot2' => 'nss-box-ballot2',
            'nss-box-check2' => 'nss-box-check2',
            'nss-boxes2' => 'nss-boxes2',
            'nss-boxes-alt2' => 'nss-boxes-alt2',
            'nss-box-fragile2' => 'nss-box-fragile2',
            'nss-box-full2' => 'nss-box-full2',
            'nss-box-heart2' => 'nss-box-heart2',
            'nss-boxing-glove2' => 'nss-boxing-glove2',
            'nss-box-open2' => 'nss-box-open2',
            'nss-box-up2' => 'nss-box-up2',
            'nss-box-usd2' => 'nss-box-usd2',
            'nss-brackets2' => 'nss-brackets2',
            'nss-brackets-curly2' => 'nss-brackets-curly2',
            'nss-braille2' => 'nss-braille2',
            'nss-brain2' => 'nss-brain2',
            'nss-bread-loaf2' => 'nss-bread-loaf2',
            'nss-bread-slice2' => 'nss-bread-slice2',
            'nss-briefcase2' => 'nss-briefcase2',
            'nss-briefcase-medical2' => 'nss-briefcase-medical2',
            'nss-broadcast-tower2' => 'nss-broadcast-tower2',
            'nss-broom2' => 'nss-broom2',
            'nss-browser2' => 'nss-browser2',
            'nss-brush2' => 'nss-brush2',
            'nss-bug2' => 'nss-bug2',
            'nss-building2' => 'nss-building2',
            'nss-bullhorn2' => 'nss-bullhorn2',
            'nss-bullseye2' => 'nss-bullseye2',
            'nss-bullseye-arrow2' => 'nss-bullseye-arrow2',
            'nss-bullseye-pointer2' => 'nss-bullseye-pointer2',
            'nss-burn2' => 'nss-burn2',
            'nss-burrito2' => 'nss-burrito2',
            'nss-bus2' => 'nss-bus2',
            'nss-bus-alt2' => 'nss-bus-alt2',
            'nss-business-time2' => 'nss-business-time2',
            'nss-bus-school2' => 'nss-bus-school2',
            'nss-cabinet-filing2' => 'nss-cabinet-filing2',
            'nss-calculator2' => 'nss-calculator2',
            'nss-calculator-alt2' => 'nss-calculator-alt2',
            'nss-calendar2' => 'nss-calendar2',
            'nss-calendar-alt2' => 'nss-calendar-alt2',
            'nss-calendar-check2' => 'nss-calendar-check2',
            'nss-calendar-day2' => 'nss-calendar-day2',
            'nss-calendar-edit2' => 'nss-calendar-edit2',
            'nss-calendar-exclamation2' => 'nss-calendar-exclamation2',
            'nss-calendar-minus2' => 'nss-calendar-minus2',
            'nss-calendar-plus2' => 'nss-calendar-plus2',
            'nss-calendar-star2' => 'nss-calendar-star2',
            'nss-calendar-times2' => 'nss-calendar-times2',
            'nss-calendar-week2' => 'nss-calendar-week2',
            'nss-camera2' => 'nss-camera2',
            'nss-camera-alt2' => 'nss-camera-alt2',
            'nss-camera-retro2' => 'nss-camera-retro2',
            'nss-campfire2' => 'nss-campfire2',
            'nss-campground2' => 'nss-campground2',
            'nss-candle-holder2' => 'nss-candle-holder2',
            'nss-candy-cane2' => 'nss-candy-cane2',
            'nss-candy-corn2' => 'nss-candy-corn2',
            'nss-cannabis2' => 'nss-cannabis2',
            'nss-capsules2' => 'nss-capsules2',
            'nss-car2' => 'nss-car2',
            'nss-car-alt2' => 'nss-car-alt2',
            'nss-car-battery2' => 'nss-car-battery2',
            'nss-car-bump2' => 'nss-car-bump2',
            'nss-car-crash2' => 'nss-car-crash2',
            'nss-caret-circle-down2' => 'nss-caret-circle-down2',
            'nss-caret-circle-left2' => 'nss-caret-circle-left2',
            'nss-caret-circle-right2' => 'nss-caret-circle-right2',
            'nss-caret-circle-up2' => 'nss-caret-circle-up2',
            'nss-caret-down2' => 'nss-caret-down2',
            'nss-caret-left2' => 'nss-caret-left2',
            'nss-caret-right2' => 'nss-caret-right2',
            'nss-caret-square-down2' => 'nss-caret-square-down2',
            'nss-caret-square-left2' => 'nss-caret-square-left2',
            'nss-caret-square-right2' => 'nss-caret-square-right2',
            'nss-caret-square-up2' => 'nss-caret-square-up2',
            'nss-caret-up2' => 'nss-caret-up2',
            'nss-car-garage2' => 'nss-car-garage2',
            'nss-car-mechanic2' => 'nss-car-mechanic2',
            'nss-carrot2' => 'nss-carrot2',
            'nss-car-side2' => 'nss-car-side2',
            'nss-cart-arrow-down2' => 'nss-cart-arrow-down2',
            'nss-car-tilt2' => 'nss-car-tilt2',
            'nss-cart-plus2' => 'nss-cart-plus2',
            'nss-car-wash2' => 'nss-car-wash2',
            'nss-cash-register2' => 'nss-cash-register2',
            'nss-cat2' => 'nss-cat2',
            'nss-cauldron2' => 'nss-cauldron2',
            'nss-certificate2' => 'nss-certificate2',
            'nss-chair2' => 'nss-chair2',
            'nss-chair-office2' => 'nss-chair-office2',
            'nss-chalkboard2' => 'nss-chalkboard2',
            'nss-chalkboard-teacher2' => 'nss-chalkboard-teacher2',
            'nss-charging-station2' => 'nss-charging-station2',
            'nss-chart-area2' => 'nss-chart-area2',
            'nss-chart-bar2' => 'nss-chart-bar2',
            'nss-chart-line2' => 'nss-chart-line2',
            'nss-chart-line-down2' => 'nss-chart-line-down2',
            'nss-chart-network2' => 'nss-chart-network2',
            'nss-chart-pie2' => 'nss-chart-pie2',
            'nss-chart-pie-alt2' => 'nss-chart-pie-alt2',
            'nss-chart-scatter2' => 'nss-chart-scatter2',
            'nss-check2' => 'nss-check2',
            'nss-check-circle2' => 'nss-check-circle2',
            'nss-check-double2' => 'nss-check-double2',
            'nss-check-square2' => 'nss-check-square2',
            'nss-cheese2' => 'nss-cheese2',
            'nss-cheeseburger2' => 'nss-cheeseburger2',
            'nss-cheese-swiss2' => 'nss-cheese-swiss2',
            'nss-chess2' => 'nss-chess2',
            'nss-chess-bishop2' => 'nss-chess-bishop2',
            'nss-chess-bishop-alt2' => 'nss-chess-bishop-alt2',
            'nss-chess-board2' => 'nss-chess-board2',
            'nss-chess-clock2' => 'nss-chess-clock2',
            'nss-chess-clock-alt2' => 'nss-chess-clock-alt2',
            'nss-chess-king2' => 'nss-chess-king2',
            'nss-chess-king-alt2' => 'nss-chess-king-alt2',
            'nss-chess-knight2' => 'nss-chess-knight2',
            'nss-chess-knight-alt2' => 'nss-chess-knight-alt2',
            'nss-chess-pawn2' => 'nss-chess-pawn2',
            'nss-chess-pawn-alt2' => 'nss-chess-pawn-alt2',
            'nss-chess-queen2' => 'nss-chess-queen2',
            'nss-chess-queen-alt2' => 'nss-chess-queen-alt2',
            'nss-chess-rook2' => 'nss-chess-rook2',
            'nss-chess-rook-alt2' => 'nss-chess-rook-alt2',
            'nss-chevron-circle-down2' => 'nss-chevron-circle-down2',
            'nss-chevron-circle-left2' => 'nss-chevron-circle-left2',
            'nss-chevron-circle-right2' => 'nss-chevron-circle-right2',
            'nss-chevron-circle-up2' => 'nss-chevron-circle-up2',
            'nss-chevron-double-down2' => 'nss-chevron-double-down2',
            'nss-chevron-double-left2' => 'nss-chevron-double-left2',
            'nss-chevron-double-right2' => 'nss-chevron-double-right2',
            'nss-chevron-double-up2' => 'nss-chevron-double-up2',
            'nss-chevron-down2' => 'nss-chevron-down2',
            'nss-chevron-left2' => 'nss-chevron-left2',
            'nss-chevron-right2' => 'nss-chevron-right2',
            'nss-chevron-square-down2' => 'nss-chevron-square-down2',
            'nss-chevron-square-left2' => 'nss-chevron-square-left2',
            'nss-chevron-square-right2' => 'nss-chevron-square-right2',
            'nss-chevron-square-up2' => 'nss-chevron-square-up2',
            'nss-chevron-up2' => 'nss-chevron-up2',
            'nss-child2' => 'nss-child2',
            'nss-chimney2' => 'nss-chimney2',
            'nss-church2' => 'nss-church2',
            'nss-circle2' => 'nss-circle2',
            'nss-circle-notch2' => 'nss-circle-notch2',
            'nss-city2' => 'nss-city2',
            'nss-claw-marks2' => 'nss-claw-marks2',
            'nss-clinic-medical2' => 'nss-clinic-medical2',
            'nss-clipboard2' => 'nss-clipboard2',
            'nss-clipboard-check2' => 'nss-clipboard-check2',
            'nss-clipboard-list2' => 'nss-clipboard-list2',
            'nss-clipboard-list-check2' => 'nss-clipboard-list-check2',
            'nss-clipboard-prescription2' => 'nss-clipboard-prescription2',
            'nss-clipboard-user2' => 'nss-clipboard-user2',
            'nss-clock2' => 'nss-clock2',
            'nss-clone2' => 'nss-clone2',
            'nss-closed-captioning2' => 'nss-closed-captioning2',
            'nss-cloud2' => 'nss-cloud2',
            'nss-cloud-download2' => 'nss-cloud-download2',
            'nss-cloud-download-alt2' => 'nss-cloud-download-alt2',
            'nss-cloud-drizzle2' => 'nss-cloud-drizzle2',
            'nss-cloud-hail2' => 'nss-cloud-hail2',
            'nss-cloud-hail-mixed2' => 'nss-cloud-hail-mixed2',
            'nss-cloud-meatball2' => 'nss-cloud-meatball2',
            'nss-cloud-moon2' => 'nss-cloud-moon2',
            'nss-cloud-moon-rain2' => 'nss-cloud-moon-rain2',
            'nss-cloud-rain2' => 'nss-cloud-rain2',
            'nss-cloud-rainbow2' => 'nss-cloud-rainbow2',
            'nss-clouds2' => 'nss-clouds2',
            'nss-cloud-showers2' => 'nss-cloud-showers2',
            'nss-cloud-showers-heavy2' => 'nss-cloud-showers-heavy2',
            'nss-cloud-sleet2' => 'nss-cloud-sleet2',
            'nss-clouds-moon2' => 'nss-clouds-moon2',
            'nss-cloud-snow2' => 'nss-cloud-snow2',
            'nss-clouds-sun2' => 'nss-clouds-sun2',
            'nss-cloud-sun2' => 'nss-cloud-sun2',
            'nss-cloud-sun-rain2' => 'nss-cloud-sun-rain2',
            'nss-cloud-upload2' => 'nss-cloud-upload2',
            'nss-cloud-upload-alt2' => 'nss-cloud-upload-alt2',
            'nss-club2' => 'nss-club2',
            'nss-cocktail2' => 'nss-cocktail2',
            'nss-code2' => 'nss-code2',
            'nss-code-branch2' => 'nss-code-branch2',
            'nss-code-commit2' => 'nss-code-commit2',
            'nss-code-merge2' => 'nss-code-merge2',
            'nss-coffee2' => 'nss-coffee2',
            'nss-coffee-togo2' => 'nss-coffee-togo2',
            'nss-coffin2' => 'nss-coffin2',
            'nss-cog2' => 'nss-cog2',
            'nss-cogs2' => 'nss-cogs2',
            'nss-coins2' => 'nss-coins2',
            'nss-columns2' => 'nss-columns2',
            'nss-comment2' => 'nss-comment2',
            'nss-comment-alt2' => 'nss-comment-alt2',
            'nss-comment-alt-check2' => 'nss-comment-alt-check2',
            'nss-comment-alt-dollar2' => 'nss-comment-alt-dollar2',
            'nss-comment-alt-dots2' => 'nss-comment-alt-dots2',
            'nss-comment-alt-edit2' => 'nss-comment-alt-edit2',
            'nss-comment-alt-exclamation2' => 'nss-comment-alt-exclamation2',
            'nss-comment-alt-lines2' => 'nss-comment-alt-lines2',
            'nss-comment-alt-medical2' => 'nss-comment-alt-medical2',
            'nss-comment-alt-minus2' => 'nss-comment-alt-minus2',
            'nss-comment-alt-plus2' => 'nss-comment-alt-plus2',
            'nss-comment-alt-slash2' => 'nss-comment-alt-slash2',
            'nss-comment-alt-smile2' => 'nss-comment-alt-smile2',
            'nss-comment-alt-times2' => 'nss-comment-alt-times2',
            'nss-comment-check2' => 'nss-comment-check2',
            'nss-comment-dollar2' => 'nss-comment-dollar2',
            'nss-comment-dots2' => 'nss-comment-dots2',
            'nss-comment-edit2' => 'nss-comment-edit2',
            'nss-comment-exclamation2' => 'nss-comment-exclamation2',
            'nss-comment-lines2' => 'nss-comment-lines2',
            'nss-comment-medical2' => 'nss-comment-medical2',
            'nss-comment-minus2' => 'nss-comment-minus2',
            'nss-comment-plus2' => 'nss-comment-plus2',
            'nss-comments2' => 'nss-comments2',
            'nss-comments-alt2' => 'nss-comments-alt2',
            'nss-comments-alt-dollar2' => 'nss-comments-alt-dollar2',
            'nss-comments-dollar2' => 'nss-comments-dollar2',
            'nss-comment-slash2' => 'nss-comment-slash2',
            'nss-comment-smile2' => 'nss-comment-smile2',
            'nss-comment-times2' => 'nss-comment-times2',
            'nss-compact-disc2' => 'nss-compact-disc2',
            'nss-compass2' => 'nss-compass2',
            'nss-compass-slash2' => 'nss-compass-slash2',
            'nss-compress2' => 'nss-compress2',
            'nss-compress-alt2' => 'nss-compress-alt2',
            'nss-compress-arrows-alt2' => 'nss-compress-arrows-alt2',
            'nss-compress-wide2' => 'nss-compress-wide2',
            'nss-concierge-bell2' => 'nss-concierge-bell2',
            'nss-container-storage2' => 'nss-container-storage2',
            'nss-conveyor-belt2' => 'nss-conveyor-belt2',
            'nss-conveyor-belt-alt2' => 'nss-conveyor-belt-alt2',
            'nss-cookie2' => 'nss-cookie2',
            'nss-cookie-bite2' => 'nss-cookie-bite2',
            'nss-copy2' => 'nss-copy2',
            'nss-copyright2' => 'nss-copyright2',
            'nss-corn2' => 'nss-corn2',
            'nss-couch2' => 'nss-couch2',
            'nss-cow2' => 'nss-cow2',
            'nss-credit-card2' => 'nss-credit-card2',
            'nss-credit-card-blank2' => 'nss-credit-card-blank2',
            'nss-credit-card-front2' => 'nss-credit-card-front2',
            'nss-cricket2' => 'nss-cricket2',
            'nss-croissant2' => 'nss-croissant2',
            'nss-crop2' => 'nss-crop2',
            'nss-crop-alt2' => 'nss-crop-alt2',
            'nss-cross2' => 'nss-cross2',
            'nss-crosshairs2' => 'nss-crosshairs2',
            'nss-crow2' => 'nss-crow2',
            'nss-crown2' => 'nss-crown2',
            'nss-crutch2' => 'nss-crutch2',
            'nss-crutches2' => 'nss-crutches2',
            'nss-cube2' => 'nss-cube2',
            'nss-cubes2' => 'nss-cubes2',
            'nss-curling2' => 'nss-curling2',
            'nss-cut2' => 'nss-cut2',
            'nss-dagger2' => 'nss-dagger2',
            'nss-database2' => 'nss-database2',
            'nss-deaf2' => 'nss-deaf2',
            'nss-debug2' => 'nss-debug2',
            'nss-deer2' => 'nss-deer2',
            'nss-deer-rudolph2' => 'nss-deer-rudolph2',
            'nss-democrat2' => 'nss-democrat2',
            'nss-desktop2' => 'nss-desktop2',
            'nss-desktop-alt2' => 'nss-desktop-alt2',
            'nss-dewpoint2' => 'nss-dewpoint2',
            'nss-dharmachakra2' => 'nss-dharmachakra2',
            'nss-diagnoses2' => 'nss-diagnoses2',
            'nss-diamond2' => 'nss-diamond2',
            'nss-dice2' => 'nss-dice2',
            'nss-dice-d42' => 'nss-dice-d42',
            'nss-dice-d62' => 'nss-dice-d62',
            'nss-dice-d82' => 'nss-dice-d82',
            'nss-dice-d102' => 'nss-dice-d102',
            'nss-dice-d122' => 'nss-dice-d122',
            'nss-dice-d202' => 'nss-dice-d202',
            'nss-dice-five2' => 'nss-dice-five2',
            'nss-dice-four2' => 'nss-dice-four2',
            'nss-dice-one2' => 'nss-dice-one2',
            'nss-dice-six2' => 'nss-dice-six2',
            'nss-dice-three2' => 'nss-dice-three2',
            'nss-dice-two2' => 'nss-dice-two2',
            'nss-digital-tachograph2' => 'nss-digital-tachograph2',
            'nss-diploma2' => 'nss-diploma2',
            'nss-directions2' => 'nss-directions2',
            'nss-disease2' => 'nss-disease2',
            'nss-divide2' => 'nss-divide2',
            'nss-dizzy2' => 'nss-dizzy2',
            'nss-dna2' => 'nss-dna2',
            'nss-dog2' => 'nss-dog2',
            'nss-dog-leashed2' => 'nss-dog-leashed2',
            'nss-dollar-sign2' => 'nss-dollar-sign2',
            'nss-dolly2' => 'nss-dolly2',
            'nss-dolly-empty2' => 'nss-dolly-empty2',
            'nss-dolly-flatbed2' => 'nss-dolly-flatbed2',
            'nss-dolly-flatbed-alt2' => 'nss-dolly-flatbed-alt2',
            'nss-dolly-flatbed-empty2' => 'nss-dolly-flatbed-empty2',
            'nss-donate2' => 'nss-donate2',
            'nss-do-not-enter2' => 'nss-do-not-enter2',
            'nss-door-closed2' => 'nss-door-closed2',
            'nss-door-open2' => 'nss-door-open2',
            'nss-dot-circle2' => 'nss-dot-circle2',
            'nss-dove2' => 'nss-dove2',
            'nss-download2' => 'nss-download2',
            'nss-drafting-compass2' => 'nss-drafting-compass2',
            'nss-dragon2' => 'nss-dragon2',
            'nss-draw-circle2' => 'nss-draw-circle2',
            'nss-draw-polygon2' => 'nss-draw-polygon2',
            'nss-draw-square2' => 'nss-draw-square2',
            'nss-dreidel2' => 'nss-dreidel2',
            'nss-drum2' => 'nss-drum2',
            'nss-drum-steelpan2' => 'nss-drum-steelpan2',
            'nss-drumstick2' => 'nss-drumstick2',
            'nss-drumstick-bite2' => 'nss-drumstick-bite2',
            'nss-duck2' => 'nss-duck2',
            'nss-dumbbell2' => 'nss-dumbbell2',
            'nss-dumpster2' => 'nss-dumpster2',
            'nss-dumpster-fire2' => 'nss-dumpster-fire2',
            'nss-dungeon2' => 'nss-dungeon2',
            'nss-ear2' => 'nss-ear2',
            'nss-ear-muffs2' => 'nss-ear-muffs2',
            'nss-eclipse2' => 'nss-eclipse2',
            'nss-eclipse-alt2' => 'nss-eclipse-alt2',
            'nss-edit2' => 'nss-edit2',
            'nss-egg2' => 'nss-egg2',
            'nss-egg-fried2' => 'nss-egg-fried2',
            'nss-eject2' => 'nss-eject2',
            'nss-elephant2' => 'nss-elephant2',
            'nss-ellipsis-h2' => 'nss-ellipsis-h2',
            'nss-ellipsis-h-alt2' => 'nss-ellipsis-h-alt2',
            'nss-ellipsis-v2' => 'nss-ellipsis-v2',
            'nss-ellipsis-v-alt2' => 'nss-ellipsis-v-alt2',
            'nss-empty-set2' => 'nss-empty-set2',
            'nss-engine-warning2' => 'nss-engine-warning2',
            'nss-envelope2' => 'nss-envelope2',
            'nss-envelope-open2' => 'nss-envelope-open2',
            'nss-envelope-open-dollar2' => 'nss-envelope-open-dollar2',
            'nss-envelope-open-text2' => 'nss-envelope-open-text2',
            'nss-envelope-square2' => 'nss-envelope-square2',
            'nss-equals2' => 'nss-equals2',
            'nss-eraser2' => 'nss-eraser2',
            'nss-ethernet2' => 'nss-ethernet2',
            'nss-euro-sign2' => 'nss-euro-sign2',
            'nss-exchange2' => 'nss-exchange2',
            'nss-exchange-alt2' => 'nss-exchange-alt2',
            'nss-exclamation2' => 'nss-exclamation2',
            'nss-exclamation-circle2' => 'nss-exclamation-circle2',
            'nss-exclamation-square2' => 'nss-exclamation-square2',
            'nss-exclamation-triangle2' => 'nss-exclamation-triangle2',
            'nss-expand2' => 'nss-expand2',
            'nss-expand-alt2' => 'nss-expand-alt2',
            'nss-expand-arrows2' => 'nss-expand-arrows2',
            'nss-expand-arrows-alt2' => 'nss-expand-arrows-alt2',
            'nss-expand-wide2' => 'nss-expand-wide2',
            'nss-external-link2' => 'nss-external-link2',
            'nss-external-link-alt2' => 'nss-external-link-alt2',
            'nss-external-link-square2' => 'nss-external-link-square2',
            'nss-external-link-square-alt2' => 'nss-external-link-square-alt2',
            'nss-eye2' => 'nss-eye2',
            'nss-eye-dropper2' => 'nss-eye-dropper2',
            'nss-eye-evil2' => 'nss-eye-evil2',
            'nss-eye-slash2' => 'nss-eye-slash2',
            'nss-fast-backward2' => 'nss-fast-backward2',
            'nss-fast-forward2' => 'nss-fast-forward2',
            'nss-fax2' => 'nss-fax2',
            'nss-feather2' => 'nss-feather2',
            'nss-feather-alt2' => 'nss-feather-alt2',
            'nss-female2' => 'nss-female2',
            'nss-field-hockey2' => 'nss-field-hockey2',
            'nss-fighter-jet2' => 'nss-fighter-jet2',
            'nss-file2' => 'nss-file2',
            'nss-file-alt2' => 'nss-file-alt2',
            'nss-file-archive2' => 'nss-file-archive2',
            'nss-file-audio2' => 'nss-file-audio2',
            'nss-file-certificate2' => 'nss-file-certificate2',
            'nss-file-chart-line2' => 'nss-file-chart-line2',
            'nss-file-chart-pie2' => 'nss-file-chart-pie2',
            'nss-file-check2' => 'nss-file-check2',
            'nss-file-code2' => 'nss-file-code2',
            'nss-file-contract2' => 'nss-file-contract2',
            'nss-file-csv2' => 'nss-file-csv2',
            'nss-file-download2' => 'nss-file-download2',
            'nss-file-edit2' => 'nss-file-edit2',
            'nss-file-excel2' => 'nss-file-excel2',
            'nss-file-exclamation2' => 'nss-file-exclamation2',
            'nss-file-export2' => 'nss-file-export2',
            'nss-file-image2' => 'nss-file-image2',
            'nss-file-import2' => 'nss-file-import2',
            'nss-file-invoice2' => 'nss-file-invoice2',
            'nss-file-invoice-dollar2' => 'nss-file-invoice-dollar2',
            'nss-file-medical2' => 'nss-file-medical2',
            'nss-file-medical-alt2' => 'nss-file-medical-alt2',
            'nss-file-minus2' => 'nss-file-minus2',
            'nss-file-pdf2' => 'nss-file-pdf2',
            'nss-file-plus2' => 'nss-file-plus2',
            'nss-file-powerpoint2' => 'nss-file-powerpoint2',
            'nss-file-prescription2' => 'nss-file-prescription2',
            'nss-file-signature2' => 'nss-file-signature2',
            'nss-files-medical2' => 'nss-files-medical2',
            'nss-file-spreadsheet2' => 'nss-file-spreadsheet2',
            'nss-file-times2' => 'nss-file-times2',
            'nss-file-upload2' => 'nss-file-upload2',
            'nss-file-user2' => 'nss-file-user2',
            'nss-file-video2' => 'nss-file-video2',
            'nss-file-word2' => 'nss-file-word2',
            'nss-fill2' => 'nss-fill2',
            'nss-fill-drip2' => 'nss-fill-drip2',
            'nss-film2' => 'nss-film2',
            'nss-film-alt2' => 'nss-film-alt2',
            'nss-filter2' => 'nss-filter2',
            'nss-fingerprint2' => 'nss-fingerprint2',
            'nss-fire2' => 'nss-fire2',
            'nss-fire-alt2' => 'nss-fire-alt2',
            'nss-fire-extinguisher2' => 'nss-fire-extinguisher2',
            'nss-fireplace2' => 'nss-fireplace2',
            'nss-fire-smoke2' => 'nss-fire-smoke2',
            'nss-first-aid2' => 'nss-first-aid2',
            'nss-fish2' => 'nss-fish2',
            'nss-fish-cooked2' => 'nss-fish-cooked2',
            'nss-fist-raised2' => 'nss-fist-raised2',
            'nss-flag2' => 'nss-flag2',
            'nss-flag-alt2' => 'nss-flag-alt2',
            'nss-flag-checkered2' => 'nss-flag-checkered2',
            'nss-flag-usa2' => 'nss-flag-usa2',
            'nss-flame2' => 'nss-flame2',
            'nss-flask2' => 'nss-flask2',
            'nss-flask-poison2' => 'nss-flask-poison2',
            'nss-flask-potion2' => 'nss-flask-potion2',
            'nss-flower2' => 'nss-flower2',
            'nss-flower-daffodil2' => 'nss-flower-daffodil2',
            'nss-flower-tulip2' => 'nss-flower-tulip2',
            'nss-flushed2' => 'nss-flushed2',
            'nss-fog2' => 'nss-fog2',
            'nss-folder2' => 'nss-folder2',
            'nss-folder-minus2' => 'nss-folder-minus2',
            'nss-folder-open2' => 'nss-folder-open2',
            'nss-folder-plus2' => 'nss-folder-plus2',
            'nss-folders2' => 'nss-folders2',
            'nss-folder-times2' => 'nss-folder-times2',
            'nss-folder-tree2' => 'nss-folder-tree2',
            'nss-font2' => 'nss-font2',
            'nss-font-awesome-logo-full2' => 'nss-font-awesome-logo-full2',
            'nss-football-ball2' => 'nss-football-ball2',
            'nss-football-helmet2' => 'nss-football-helmet2',
            'nss-forklift2' => 'nss-forklift2',
            'nss-forward2' => 'nss-forward2',
            'nss-fragile2' => 'nss-fragile2',
            'nss-french-fries2' => 'nss-french-fries2',
            'nss-frog2' => 'nss-frog2',
            'nss-frosty-head2' => 'nss-frosty-head2',
            'nss-frown2' => 'nss-frown2',
            'nss-frown-open2' => 'nss-frown-open2',
            'nss-function2' => 'nss-function2',
            'nss-funnel-dollar2' => 'nss-funnel-dollar2',
            'nss-futbol2' => 'nss-futbol2',
            'nss-gamepad2' => 'nss-gamepad2',
            'nss-gas-pump2' => 'nss-gas-pump2',
            'nss-gas-pump-slash2' => 'nss-gas-pump-slash2',
            'nss-gavel2' => 'nss-gavel2',
            'nss-gem2' => 'nss-gem2',
            'nss-genderless2' => 'nss-genderless2',
            'nss-ghost2' => 'nss-ghost2',
            'nss-gift2' => 'nss-gift2',
            'nss-gift-card2' => 'nss-gift-card2',
            'nss-gifts2' => 'nss-gifts2',
            'nss-gingerbread-man2' => 'nss-gingerbread-man2',
            'nss-glass2' => 'nss-glass2',
            'nss-glass-champagne2' => 'nss-glass-champagne2',
            'nss-glass-cheers2' => 'nss-glass-cheers2',
            'nss-glasses2' => 'nss-glasses2',
            'nss-glasses-alt2' => 'nss-glasses-alt2',
            'nss-glass-martini2' => 'nss-glass-martini2',
            'nss-glass-martini-alt2' => 'nss-glass-martini-alt2',
            'nss-glass-whiskey2' => 'nss-glass-whiskey2',
            'nss-glass-whiskey-rocks2' => 'nss-glass-whiskey-rocks2',
            'nss-globe2' => 'nss-globe2',
            'nss-globe-africa2' => 'nss-globe-africa2',
            'nss-globe-americas2' => 'nss-globe-americas2',
            'nss-globe-asia2' => 'nss-globe-asia2',
            'nss-globe-europe2' => 'nss-globe-europe2',
            'nss-globe-snow2' => 'nss-globe-snow2',
            'nss-globe-stand2' => 'nss-globe-stand2',
            'nss-golf-ball2' => 'nss-golf-ball2',
            'nss-golf-club2' => 'nss-golf-club2',
            'nss-gopuram2' => 'nss-gopuram2',
            'nss-graduation-cap2' => 'nss-graduation-cap2',
            'nss-greater-than2' => 'nss-greater-than2',
            'nss-greater-than-equal2' => 'nss-greater-than-equal2',
            'nss-grimace2' => 'nss-grimace2',
            'nss-grin2' => 'nss-grin2',
            'nss-grin-alt2' => 'nss-grin-alt2',
            'nss-grin-beam2' => 'nss-grin-beam2',
            'nss-grin-beam-sweat2' => 'nss-grin-beam-sweat2',
            'nss-grin-hearts2' => 'nss-grin-hearts2',
            'nss-grin-squint2' => 'nss-grin-squint2',
            'nss-grin-squint-tears2' => 'nss-grin-squint-tears2',
            'nss-grin-stars2' => 'nss-grin-stars2',
            'nss-grin-tears2' => 'nss-grin-tears2',
            'nss-grin-tongue2' => 'nss-grin-tongue2',
            'nss-grin-tongue-squint2' => 'nss-grin-tongue-squint2',
            'nss-grin-tongue-wink2' => 'nss-grin-tongue-wink2',
            'nss-grin-wink2' => 'nss-grin-wink2',
            'nss-grip-horizontal2' => 'nss-grip-horizontal2',
            'nss-grip-lines2' => 'nss-grip-lines2',
            'nss-grip-lines-vertical2' => 'nss-grip-lines-vertical2',
            'nss-grip-vertical2' => 'nss-grip-vertical2',
            'nss-guitar2' => 'nss-guitar2',
            'nss-h12' => 'nss-h12',
            'nss-h22' => 'nss-h22',
            'nss-h32' => 'nss-h32',
            'nss-hamburger2' => 'nss-hamburger2',
            'nss-hammer2' => 'nss-hammer2',
            'nss-hammer-war2' => 'nss-hammer-war2',
            'nss-hamsa2' => 'nss-hamsa2',
            'nss-hand-heart2' => 'nss-hand-heart2',
            'nss-hand-holding2' => 'nss-hand-holding2',
            'nss-hand-holding-box2' => 'nss-hand-holding-box2',
            'nss-hand-holding-heart2' => 'nss-hand-holding-heart2',
            'nss-hand-holding-magic2' => 'nss-hand-holding-magic2',
            'nss-hand-holding-seedling2' => 'nss-hand-holding-seedling2',
            'nss-hand-holding-usd2' => 'nss-hand-holding-usd2',
            'nss-hand-holding-water2' => 'nss-hand-holding-water2',
            'nss-hand-lizard2' => 'nss-hand-lizard2',
            'nss-hand-middle-finger2' => 'nss-hand-middle-finger2',
            'nss-hand-paper2' => 'nss-hand-paper2',
            'nss-hand-peace2' => 'nss-hand-peace2',
            'nss-hand-point-down2' => 'nss-hand-point-down2',
            'nss-hand-pointer2' => 'nss-hand-pointer2',
            'nss-hand-point-left2' => 'nss-hand-point-left2',
            'nss-hand-point-right2' => 'nss-hand-point-right2',
            'nss-hand-point-up2' => 'nss-hand-point-up2',
            'nss-hand-receiving2' => 'nss-hand-receiving2',
            'nss-hand-rock2' => 'nss-hand-rock2',
            'nss-hands2' => 'nss-hands2',
            'nss-hand-scissors2' => 'nss-hand-scissors2',
            'nss-handshake2' => 'nss-handshake2',
            'nss-handshake-alt2' => 'nss-handshake-alt2',
            'nss-hands-heart2' => 'nss-hands-heart2',
            'nss-hands-helping2' => 'nss-hands-helping2',
            'nss-hand-spock2' => 'nss-hand-spock2',
            'nss-hands-usd2' => 'nss-hands-usd2',
            'nss-hanukiah2' => 'nss-hanukiah2',
            'nss-hard-hat2' => 'nss-hard-hat2',
            'nss-hashtag2' => 'nss-hashtag2',
            'nss-hat-santa2' => 'nss-hat-santa2',
            'nss-hat-winter2' => 'nss-hat-winter2',
            'nss-hat-witch2' => 'nss-hat-witch2',
            'nss-hat-wizard2' => 'nss-hat-wizard2',
            'nss-haykal2' => 'nss-haykal2',
            'nss-hdd2' => 'nss-hdd2',
            'nss-heading2' => 'nss-heading2',
            'nss-headphones2' => 'nss-headphones2',
            'nss-headphones-alt2' => 'nss-headphones-alt2',
            'nss-headset2' => 'nss-headset2',
            'nss-head-side2' => 'nss-head-side2',
            'nss-head-side-brain2' => 'nss-head-side-brain2',
            'nss-head-side-medical2' => 'nss-head-side-medical2',
            'nss-head-vr2' => 'nss-head-vr2',
            'nss-heart2' => 'nss-heart2',
            'nss-heartbeat2' => 'nss-heartbeat2',
            'nss-heart-broken2' => 'nss-heart-broken2',
            'nss-heart-circle2' => 'nss-heart-circle2',
            'nss-heart-rate2' => 'nss-heart-rate2',
            'nss-heart-square2' => 'nss-heart-square2',
            'nss-helicopter2' => 'nss-helicopter2',
            'nss-helmet-battle2' => 'nss-helmet-battle2',
            'nss-hexagon2' => 'nss-hexagon2',
            'nss-highlighter2' => 'nss-highlighter2',
            'nss-hiking2' => 'nss-hiking2',
            'nss-hippo2' => 'nss-hippo2',
            'nss-history2' => 'nss-history2',
            'nss-hockey-mask2' => 'nss-hockey-mask2',
            'nss-hockey-puck2' => 'nss-hockey-puck2',
            'nss-hockey-sticks2' => 'nss-hockey-sticks2',
            'nss-holly-berry2' => 'nss-holly-berry2',
            'nss-home2' => 'nss-home2',
            'nss-home-alt2' => 'nss-home-alt2',
            'nss-home-heart2' => 'nss-home-heart2',
            'nss-home-lg2' => 'nss-home-lg2',
            'nss-home-lg-alt2' => 'nss-home-lg-alt2',
            'nss-hood-cloak2' => 'nss-hood-cloak2',
            'nss-horse2' => 'nss-horse2',
            'nss-horse-head2' => 'nss-horse-head2',
            'nss-hospital2' => 'nss-hospital2',
            'nss-hospital-alt2' => 'nss-hospital-alt2',
            'nss-hospitals2' => 'nss-hospitals2',
            'nss-hospital-symbol2' => 'nss-hospital-symbol2',
            'nss-hospital-user2' => 'nss-hospital-user2',
            'nss-hotdog2' => 'nss-hotdog2',
            'nss-hotel2' => 'nss-hotel2',
            'nss-hot-tub2' => 'nss-hot-tub2',
            'nss-hourglass2' => 'nss-hourglass2',
            'nss-hourglass-end2' => 'nss-hourglass-end2',
            'nss-hourglass-half2' => 'nss-hourglass-half2',
            'nss-hourglass-start2' => 'nss-hourglass-start2',
            'nss-house-damage2' => 'nss-house-damage2',
            'nss-house-flood2' => 'nss-house-flood2',
            'nss-hryvnia2' => 'nss-hryvnia2',
            'nss-h-square2' => 'nss-h-square2',
            'nss-humidity2' => 'nss-humidity2',
            'nss-hurricane2' => 'nss-hurricane2',
            'nss-ice-cream2' => 'nss-ice-cream2',
            'nss-ice-skate2' => 'nss-ice-skate2',
            'nss-icicles2' => 'nss-icicles2',
            'nss-i-cursor2' => 'nss-i-cursor2',
            'nss-id-badge2' => 'nss-id-badge2',
            'nss-id-card2' => 'nss-id-card2',
            'nss-id-card-alt2' => 'nss-id-card-alt2',
            'nss-igloo2' => 'nss-igloo2',
            'nss-image2' => 'nss-image2',
            'nss-images2' => 'nss-images2',
            'nss-inbox2' => 'nss-inbox2',
            'nss-inbox-in2' => 'nss-inbox-in2',
            'nss-inbox-out2' => 'nss-inbox-out2',
            'nss-indent2' => 'nss-indent2',
            'nss-industry2' => 'nss-industry2',
            'nss-industry-alt2' => 'nss-industry-alt2',
            'nss-infinity2' => 'nss-infinity2',
            'nss-info2' => 'nss-info2',
            'nss-info-circle2' => 'nss-info-circle2',
            'nss-info-square2' => 'nss-info-square2',
            'nss-inhaler2' => 'nss-inhaler2',
            'nss-integral2' => 'nss-integral2',
            'nss-intersection2' => 'nss-intersection2',
            'nss-inventory2' => 'nss-inventory2',
            'nss-island-tropical2' => 'nss-island-tropical2',
            'nss-italic2' => 'nss-italic2',
            'nss-jack-o-lantern2' => 'nss-jack-o-lantern2',
            'nss-jedi2' => 'nss-jedi2',
            'nss-joint2' => 'nss-joint2',
            'nss-journal-whills2' => 'nss-journal-whills2',
            'nss-kaaba2' => 'nss-kaaba2',
            'nss-key2' => 'nss-key2',
            'nss-keyboard2' => 'nss-keyboard2',
            'nss-keynote2' => 'nss-keynote2',
            'nss-key-skeleton2' => 'nss-key-skeleton2',
            'nss-khanda2' => 'nss-khanda2',
            'nss-kidneys2' => 'nss-kidneys2',
            'nss-kiss2' => 'nss-kiss2',
            'nss-kiss-beam2' => 'nss-kiss-beam2',
            'nss-kiss-wink-heart2' => 'nss-kiss-wink-heart2',
            'nss-kite2' => 'nss-kite2',
            'nss-kiwi-bird2' => 'nss-kiwi-bird2',
            'nss-knife-kitchen2' => 'nss-knife-kitchen2',
            'nss-lambda2' => 'nss-lambda2',
            'nss-lamp2' => 'nss-lamp2',
            'nss-landmark2' => 'nss-landmark2',
            'nss-landmark-alt2' => 'nss-landmark-alt2',
            'nss-language2' => 'nss-language2',
            'nss-laptop2' => 'nss-laptop2',
            'nss-laptop-code2' => 'nss-laptop-code2',
            'nss-laptop-medical2' => 'nss-laptop-medical2',
            'nss-laugh2' => 'nss-laugh2',
            'nss-laugh-beam2' => 'nss-laugh-beam2',
            'nss-laugh-squint2' => 'nss-laugh-squint2',
            'nss-laugh-wink2' => 'nss-laugh-wink2',
            'nss-layer-group2' => 'nss-layer-group2',
            'nss-layer-minus2' => 'nss-layer-minus2',
            'nss-layer-plus2' => 'nss-layer-plus2',
            'nss-leaf2' => 'nss-leaf2',
            'nss-leaf-heart2' => 'nss-leaf-heart2',
            'nss-leaf-maple2' => 'nss-leaf-maple2',
            'nss-leaf-oak2' => 'nss-leaf-oak2',
            'nss-lemon2' => 'nss-lemon2',
            'nss-less-than2' => 'nss-less-than2',
            'nss-less-than-equal2' => 'nss-less-than-equal2',
            'nss-level-down2' => 'nss-level-down2',
            'nss-level-down-alt2' => 'nss-level-down-alt2',
            'nss-level-up2' => 'nss-level-up2',
            'nss-level-up-alt2' => 'nss-level-up-alt2',
            'nss-life-ring2' => 'nss-life-ring2',
            'nss-lightbulb2' => 'nss-lightbulb2',
            'nss-lightbulb-dollar2' => 'nss-lightbulb-dollar2',
            'nss-lightbulb-exclamation2' => 'nss-lightbulb-exclamation2',
            'nss-lightbulb-on2' => 'nss-lightbulb-on2',
            'nss-lightbulb-slash2' => 'nss-lightbulb-slash2',
            'nss-lights-holiday2' => 'nss-lights-holiday2',
            'nss-link2' => 'nss-link2',
            'nss-lips2' => 'nss-lips2',
            'nss-lira-sign2' => 'nss-lira-sign2',
            'nss-list2' => 'nss-list2',
            'nss-list-alt2' => 'nss-list-alt2',
            'nss-list-ol2' => 'nss-list-ol2',
            'nss-list-ul2' => 'nss-list-ul2',
            'nss-location2' => 'nss-location2',
            'nss-location-arrow2' => 'nss-location-arrow2',
            'nss-location-circle2' => 'nss-location-circle2',
            'nss-location-slash2' => 'nss-location-slash2',
            'nss-lock2' => 'nss-lock2',
            'nss-lock-alt2' => 'nss-lock-alt2',
            'nss-lock-open2' => 'nss-lock-open2',
            'nss-lock-open-alt2' => 'nss-lock-open-alt2',
            'nss-long-arrow-alt-down2' => 'nss-long-arrow-alt-down2',
            'nss-long-arrow-alt-left2' => 'nss-long-arrow-alt-left2',
            'nss-long-arrow-alt-right2' => 'nss-long-arrow-alt-right2',
            'nss-long-arrow-alt-up2' => 'nss-long-arrow-alt-up2',
            'nss-long-arrow-down2' => 'nss-long-arrow-down2',
            'nss-long-arrow-left2' => 'nss-long-arrow-left2',
            'nss-long-arrow-right2' => 'nss-long-arrow-right2',
            'nss-long-arrow-up2' => 'nss-long-arrow-up2',
            'nss-loveseat2' => 'nss-loveseat2',
            'nss-low-vision2' => 'nss-low-vision2',
            'nss-luchador2' => 'nss-luchador2',
            'nss-luggage-cart2' => 'nss-luggage-cart2',
            'nss-lungs2' => 'nss-lungs2',
            'nss-mace2' => 'nss-mace2',
            'nss-magic2' => 'nss-magic2',
            'nss-magnet2' => 'nss-magnet2',
            'nss-mailbox2' => 'nss-mailbox2',
            'nss-mail-bulk2' => 'nss-mail-bulk2',
            'nss-male2' => 'nss-male2',
            'nss-mandolin2' => 'nss-mandolin2',
            'nss-map2' => 'nss-map2',
            'nss-map-marked2' => 'nss-map-marked2',
            'nss-map-marked-alt2' => 'nss-map-marked-alt2',
            'nss-map-marker2' => 'nss-map-marker2',
            'nss-map-marker-alt2' => 'nss-map-marker-alt2',
            'nss-map-marker-alt-slash2' => 'nss-map-marker-alt-slash2',
            'nss-map-marker-check2' => 'nss-map-marker-check2',
            'nss-map-marker-edit2' => 'nss-map-marker-edit2',
            'nss-map-marker-exclamation2' => 'nss-map-marker-exclamation2',
            'nss-map-marker-minus2' => 'nss-map-marker-minus2',
            'nss-map-marker-plus2' => 'nss-map-marker-plus2',
            'nss-map-marker-question2' => 'nss-map-marker-question2',
            'nss-map-marker-slash2' => 'nss-map-marker-slash2',
            'nss-map-marker-smile2' => 'nss-map-marker-smile2',
            'nss-map-marker-times2' => 'nss-map-marker-times2',
            'nss-map-pin2' => 'nss-map-pin2',
            'nss-map-signs2' => 'nss-map-signs2',
            'nss-marker2' => 'nss-marker2',
            'nss-mars2' => 'nss-mars2',
            'nss-mars-double2' => 'nss-mars-double2',
            'nss-mars-stroke2' => 'nss-mars-stroke2',
            'nss-mars-stroke-h2' => 'nss-mars-stroke-h2',
            'nss-mars-stroke-v2' => 'nss-mars-stroke-v2',
            'nss-mask2' => 'nss-mask2',
            'nss-meat2' => 'nss-meat2',
            'nss-medal2' => 'nss-medal2',
            'nss-medkit2' => 'nss-medkit2',
            'nss-megaphone2' => 'nss-megaphone2',
            'nss-meh2' => 'nss-meh2',
            'nss-meh-blank2' => 'nss-meh-blank2',
            'nss-meh-rolling-eyes2' => 'nss-meh-rolling-eyes2',
            'nss-memory2' => 'nss-memory2',
            'nss-menorah2' => 'nss-menorah2',
            'nss-mercury2' => 'nss-mercury2',
            'nss-meteor2' => 'nss-meteor2',
            'nss-microchip2' => 'nss-microchip2',
            'nss-microphone2' => 'nss-microphone2',
            'nss-microphone-alt2' => 'nss-microphone-alt2',
            'nss-microphone-alt-slash2' => 'nss-microphone-alt-slash2',
            'nss-microphone-slash2' => 'nss-microphone-slash2',
            'nss-microscope2' => 'nss-microscope2',
            'nss-mind-share2' => 'nss-mind-share2',
            'nss-minus2' => 'nss-minus2',
            'nss-minus-circle2' => 'nss-minus-circle2',
            'nss-minus-hexagon2' => 'nss-minus-hexagon2',
            'nss-minus-octagon2' => 'nss-minus-octagon2',
            'nss-minus-square2' => 'nss-minus-square2',
            'nss-mistletoe2' => 'nss-mistletoe2',
            'nss-mitten2' => 'nss-mitten2',
            'nss-mobile2' => 'nss-mobile2',
            'nss-mobile-alt2' => 'nss-mobile-alt2',
            'nss-mobile-android2' => 'nss-mobile-android2',
            'nss-mobile-android-alt2' => 'nss-mobile-android-alt2',
            'nss-money-bill2' => 'nss-money-bill2',
            'nss-money-bill-alt2' => 'nss-money-bill-alt2',
            'nss-money-bill-wave2' => 'nss-money-bill-wave2',
            'nss-money-bill-wave-alt2' => 'nss-money-bill-wave-alt2',
            'nss-money-check2' => 'nss-money-check2',
            'nss-money-check-alt2' => 'nss-money-check-alt2',
            'nss-monitor-heart-rate2' => 'nss-monitor-heart-rate2',
            'nss-monkey2' => 'nss-monkey2',
            'nss-monument2' => 'nss-monument2',
            'nss-moon2' => 'nss-moon2',
            'nss-moon-cloud2' => 'nss-moon-cloud2',
            'nss-moon-stars2' => 'nss-moon-stars2',
            'nss-mortar-pestle2' => 'nss-mortar-pestle2',
            'nss-mosque2' => 'nss-mosque2',
            'nss-motorcycle2' => 'nss-motorcycle2',
            'nss-mountain2' => 'nss-mountain2',
            'nss-mountains2' => 'nss-mountains2',
            'nss-mouse-pointer2' => 'nss-mouse-pointer2',
            'nss-mug-hot2' => 'nss-mug-hot2',
            'nss-mug-marshmallows2' => 'nss-mug-marshmallows2',
            'nss-music2' => 'nss-music2',
            'nss-narwhal2' => 'nss-narwhal2',
            'nss-network-wired2' => 'nss-network-wired2',
            'nss-neuter2' => 'nss-neuter2',
            'nss-newspaper2' => 'nss-newspaper2',
            'nss-not-equal2' => 'nss-not-equal2',
            'nss-notes-medical2' => 'nss-notes-medical2',
            'nss-object-group2' => 'nss-object-group2',
            'nss-object-ungroup2' => 'nss-object-ungroup2',
            'nss-octagon2' => 'nss-octagon2',
            'nss-oil-can2' => 'nss-oil-can2',
            'nss-oil-temp2' => 'nss-oil-temp2',
            'nss-om2' => 'nss-om2',
            'nss-omega2' => 'nss-omega2',
            'nss-ornament2' => 'nss-ornament2',
            'nss-otter2' => 'nss-otter2',
            'nss-outdent2' => 'nss-outdent2',
            'nss-pager2' => 'nss-pager2',
            'nss-paint-brush2' => 'nss-paint-brush2',
            'nss-paint-brush-alt2' => 'nss-paint-brush-alt2',
            'nss-paint-roller2' => 'nss-paint-roller2',
            'nss-palette2' => 'nss-palette2',
            'nss-pallet2' => 'nss-pallet2',
            'nss-pallet-alt2' => 'nss-pallet-alt2',
            'nss-paperclip2' => 'nss-paperclip2',
            'nss-paper-plane2' => 'nss-paper-plane2',
            'nss-parachute-box2' => 'nss-parachute-box2',
            'nss-paragraph2' => 'nss-paragraph2',
            'nss-parking2' => 'nss-parking2',
            'nss-parking-circle2' => 'nss-parking-circle2',
            'nss-parking-circle-slash2' => 'nss-parking-circle-slash2',
            'nss-parking-slash2' => 'nss-parking-slash2',
            'nss-passport2' => 'nss-passport2',
            'nss-pastafarianism2' => 'nss-pastafarianism2',
            'nss-paste2' => 'nss-paste2',
            'nss-pause2' => 'nss-pause2',
            'nss-pause-circle2' => 'nss-pause-circle2',
            'nss-paw2' => 'nss-paw2',
            'nss-paw-alt2' => 'nss-paw-alt2',
            'nss-paw-claws2' => 'nss-paw-claws2',
            'nss-peace2' => 'nss-peace2',
            'nss-pegasus2' => 'nss-pegasus2',
            'nss-pen2' => 'nss-pen2',
            'nss-pen-alt2' => 'nss-pen-alt2',
            'nss-pencil2' => 'nss-pencil2',
            'nss-pencil-alt2' => 'nss-pencil-alt2',
            'nss-pencil-paintbrush2' => 'nss-pencil-paintbrush2',
            'nss-pencil-ruler2' => 'nss-pencil-ruler2',
            'nss-pen-fancy2' => 'nss-pen-fancy2',
            'nss-pennant2' => 'nss-pennant2',
            'nss-pen-nib2' => 'nss-pen-nib2',
            'nss-pen-square2' => 'nss-pen-square2',
            'nss-people-carry2' => 'nss-people-carry2',
            'nss-pepper-hot2' => 'nss-pepper-hot2',
            'nss-percent2' => 'nss-percent2',
            'nss-percentage2' => 'nss-percentage2',
            'nss-person-booth2' => 'nss-person-booth2',
            'nss-person-carry2' => 'nss-person-carry2',
            'nss-person-dolly2' => 'nss-person-dolly2',
            'nss-person-dolly-empty2' => 'nss-person-dolly-empty2',
            'nss-person-sign2' => 'nss-person-sign2',
            'nss-phone2' => 'nss-phone2',
            'nss-phone-office2' => 'nss-phone-office2',
            'nss-phone-plus2' => 'nss-phone-plus2',
            'nss-phone-slash2' => 'nss-phone-slash2',
            'nss-phone-square2' => 'nss-phone-square2',
            'nss-phone-volume2' => 'nss-phone-volume2',
            'nss-pi2' => 'nss-pi2',
            'nss-pie2' => 'nss-pie2',
            'nss-pig2' => 'nss-pig2',
            'nss-piggy-bank2' => 'nss-piggy-bank2',
            'nss-pills2' => 'nss-pills2',
            'nss-pizza2' => 'nss-pizza2',
            'nss-pizza-slice2' => 'nss-pizza-slice2',
            'nss-place-of-worship2' => 'nss-place-of-worship2',
            'nss-plane2' => 'nss-plane2',
            'nss-plane-alt2' => 'nss-plane-alt2',
            'nss-plane-arrival2' => 'nss-plane-arrival2',
            'nss-plane-departure2' => 'nss-plane-departure2',
            'nss-play2' => 'nss-play2',
            'nss-play-circle2' => 'nss-play-circle2',
            'nss-plug2' => 'nss-plug2',
            'nss-plus2' => 'nss-plus2',
            'nss-plus-circle2' => 'nss-plus-circle2',
            'nss-plus-hexagon2' => 'nss-plus-hexagon2',
            'nss-plus-octagon2' => 'nss-plus-octagon2',
            'nss-plus-square2' => 'nss-plus-square2',
            'nss-podcast2' => 'nss-podcast2',
            'nss-podium2' => 'nss-podium2',
            'nss-podium-star2' => 'nss-podium-star2',
            'nss-poll2' => 'nss-poll2',
            'nss-poll-h2' => 'nss-poll-h2',
            'nss-poll-people2' => 'nss-poll-people2',
            'nss-poo2' => 'nss-poo2',
            'nss-poop2' => 'nss-poop2',
            'nss-poo-storm2' => 'nss-poo-storm2',
            'nss-popcorn2' => 'nss-popcorn2',
            'nss-portrait2' => 'nss-portrait2',
            'nss-pound-sign2' => 'nss-pound-sign2',
            'nss-power-off2' => 'nss-power-off2',
            'nss-pray2' => 'nss-pray2',
            'nss-praying-hands2' => 'nss-praying-hands2',
            'nss-prescription2' => 'nss-prescription2',
            'nss-prescription-bottle2' => 'nss-prescription-bottle2',
            'nss-prescription-bottle-alt2' => 'nss-prescription-bottle-alt2',
            'nss-presentation2' => 'nss-presentation2',
            'nss-print2' => 'nss-print2',
            'nss-print-search2' => 'nss-print-search2',
            'nss-print-slash2' => 'nss-print-slash2',
            'nss-procedures2' => 'nss-procedures2',
            'nss-project-diagram2' => 'nss-project-diagram2',
            'nss-pumpkin2' => 'nss-pumpkin2',
            'nss-puzzle-piece2' => 'nss-puzzle-piece2',
            'nss-qrcode2' => 'nss-qrcode2',
            'nss-question2' => 'nss-question2',
            'nss-question-circle2' => 'nss-question-circle2',
            'nss-question-square2' => 'nss-question-square2',
            'nss-quidditch2' => 'nss-quidditch2',
            'nss-quote-left2' => 'nss-quote-left2',
            'nss-quote-right2' => 'nss-quote-right2',
            'nss-quran2' => 'nss-quran2',
            'nss-rabbit2' => 'nss-rabbit2',
            'nss-rabbit-fast2' => 'nss-rabbit-fast2',
            'nss-racquet2' => 'nss-racquet2',
            'nss-radiation2' => 'nss-radiation2',
            'nss-radiation-alt2' => 'nss-radiation-alt2',
            'nss-rainbow2' => 'nss-rainbow2',
            'nss-raindrops2' => 'nss-raindrops2',
            'nss-ram2' => 'nss-ram2',
            'nss-ramp-loading2' => 'nss-ramp-loading2',
            'nss-random2' => 'nss-random2',
            'nss-receipt2' => 'nss-receipt2',
            'nss-rectangle-landscape2' => 'nss-rectangle-landscape2',
            'nss-rectangle-portrait2' => 'nss-rectangle-portrait2',
            'nss-rectangle-wide2' => 'nss-rectangle-wide2',
            'nss-recycle2' => 'nss-recycle2',
            'nss-redo2' => 'nss-redo2',
            'nss-redo-alt2' => 'nss-redo-alt2',
            'nss-registered2' => 'nss-registered2',
            'nss-repeat2' => 'nss-repeat2',
            'nss-repeat-12' => 'nss-repeat-12',
            'nss-repeat-1-alt2' => 'nss-repeat-1-alt2',
            'nss-repeat-alt2' => 'nss-repeat-alt2',
            'nss-reply2' => 'nss-reply2',
            'nss-reply-all2' => 'nss-reply-all2',
            'nss-republican2' => 'nss-republican2',
            'nss-restroom2' => 'nss-restroom2',
            'nss-retweet2' => 'nss-retweet2',
            'nss-retweet-alt2' => 'nss-retweet-alt2',
            'nss-ribbon2' => 'nss-ribbon2',
            'nss-ring2' => 'nss-ring2',
            'nss-rings-wedding2' => 'nss-rings-wedding2',
            'nss-road2' => 'nss-road2',
            'nss-robot2' => 'nss-robot2',
            'nss-rocket2' => 'nss-rocket2',
            'nss-route2' => 'nss-route2',
            'nss-route-highway2' => 'nss-route-highway2',
            'nss-route-interstate2' => 'nss-route-interstate2',
            'nss-rss2' => 'nss-rss2',
            'nss-rss-square2' => 'nss-rss-square2',
            'nss-ruble-sign2' => 'nss-ruble-sign2',
            'nss-ruler2' => 'nss-ruler2',
            'nss-ruler-combined2' => 'nss-ruler-combined2',
            'nss-ruler-horizontal2' => 'nss-ruler-horizontal2',
            'nss-ruler-triangle2' => 'nss-ruler-triangle2',
            'nss-ruler-vertical2' => 'nss-ruler-vertical2',
            'nss-running2' => 'nss-running2',
            'nss-rupee-sign2' => 'nss-rupee-sign2',
            'nss-rv2' => 'nss-rv2',
            'nss-sack2' => 'nss-sack2',
            'nss-sack-dollar2' => 'nss-sack-dollar2',
            'nss-sad-cry2' => 'nss-sad-cry2',
            'nss-sad-tear2' => 'nss-sad-tear2',
            'nss-salad2' => 'nss-salad2',
            'nss-sandwich2' => 'nss-sandwich2',
            'nss-satellite2' => 'nss-satellite2',
            'nss-satellite-dish2' => 'nss-satellite-dish2',
            'nss-sausage2' => 'nss-sausage2',
            'nss-save2' => 'nss-save2',
            'nss-scalpel2' => 'nss-scalpel2',
            'nss-scalpel-path2' => 'nss-scalpel-path2',
            'nss-scanner2' => 'nss-scanner2',
            'nss-scanner-keyboard2' => 'nss-scanner-keyboard2',
            'nss-scanner-touchscreen2' => 'nss-scanner-touchscreen2',
            'nss-scarecrow2' => 'nss-scarecrow2',
            'nss-scarf2' => 'nss-scarf2',
            'nss-school2' => 'nss-school2',
            'nss-screwdriver2' => 'nss-screwdriver2',
            'nss-scroll2' => 'nss-scroll2',
            'nss-scroll-old2' => 'nss-scroll-old2',
            'nss-scrubber2' => 'nss-scrubber2',
            'nss-scythe2' => 'nss-scythe2',
            'nss-sd-card2' => 'nss-sd-card2',
            'nss-search2' => 'nss-search2',
            'nss-search-dollar2' => 'nss-search-dollar2',
            'nss-search-location2' => 'nss-search-location2',
            'nss-search-minus2' => 'nss-search-minus2',
            'nss-search-plus2' => 'nss-search-plus2',
            'nss-seedling2' => 'nss-seedling2',
            'nss-server2' => 'nss-server2',
            'nss-shapes2' => 'nss-shapes2',
            'nss-share2' => 'nss-share2',
            'nss-share-all2' => 'nss-share-all2',
            'nss-share-alt2' => 'nss-share-alt2',
            'nss-share-alt-square2' => 'nss-share-alt-square2',
            'nss-share-square2' => 'nss-share-square2',
            'nss-sheep2' => 'nss-sheep2',
            'nss-shekel-sign2' => 'nss-shekel-sign2',
            'nss-shield2' => 'nss-shield2',
            'nss-shield-alt2' => 'nss-shield-alt2',
            'nss-shield-check2' => 'nss-shield-check2',
            'nss-shield-cross2' => 'nss-shield-cross2',
            'nss-ship2' => 'nss-ship2',
            'nss-shipping-fast2' => 'nss-shipping-fast2',
            'nss-shipping-timed2' => 'nss-shipping-timed2',
            'nss-shish-kebab2' => 'nss-shish-kebab2',
            'nss-shoe-prints2' => 'nss-shoe-prints2',
            'nss-shopping-bag2' => 'nss-shopping-bag2',
            'nss-shopping-basket2' => 'nss-shopping-basket2',
            'nss-shopping-cart2' => 'nss-shopping-cart2',
            'nss-shovel2' => 'nss-shovel2',
            'nss-shovel-snow2' => 'nss-shovel-snow2',
            'nss-shower2' => 'nss-shower2',
            'nss-shredder2' => 'nss-shredder2',
            'nss-shuttlecock2' => 'nss-shuttlecock2',
            'nss-shuttle-van2' => 'nss-shuttle-van2',
            'nss-sickle2' => 'nss-sickle2',
            'nss-sigma2' => 'nss-sigma2',
            'nss-sign2' => 'nss-sign2',
            'nss-signal2' => 'nss-signal2',
            'nss-signal-12' => 'nss-signal-12',
            'nss-signal-22' => 'nss-signal-22',
            'nss-signal-32' => 'nss-signal-32',
            'nss-signal-42' => 'nss-signal-42',
            'nss-signal-alt2' => 'nss-signal-alt2',
            'nss-signal-alt-12' => 'nss-signal-alt-12',
            'nss-signal-alt-22' => 'nss-signal-alt-22',
            'nss-signal-alt-32' => 'nss-signal-alt-32',
            'nss-signal-alt-slash2' => 'nss-signal-alt-slash2',
            'nss-signal-slash2' => 'nss-signal-slash2',
            'nss-signature2' => 'nss-signature2',
            'nss-sign-in2' => 'nss-sign-in2',
            'nss-sign-in-alt2' => 'nss-sign-in-alt2',
            'nss-sign-language2' => 'nss-sign-language2',
            'nss-sign-out2' => 'nss-sign-out2',
            'nss-sign-out-alt2' => 'nss-sign-out-alt2',
            'nss-sim-card2' => 'nss-sim-card2',
            'nss-sitemap2' => 'nss-sitemap2',
            'nss-skating2' => 'nss-skating2',
            'nss-skeleton2' => 'nss-skeleton2',
            'nss-skiing2' => 'nss-skiing2',
            'nss-skiing-nordic2' => 'nss-skiing-nordic2',
            'nss-ski-jump2' => 'nss-ski-jump2',
            'nss-ski-lift2' => 'nss-ski-lift2',
            'nss-skull2' => 'nss-skull2',
            'nss-skull-crossbones2' => 'nss-skull-crossbones2',
            'nss-slash2' => 'nss-slash2',
            'nss-sledding2' => 'nss-sledding2',
            'nss-sleigh2' => 'nss-sleigh2',
            'nss-sliders-h2' => 'nss-sliders-h2',
            'nss-sliders-h-square2' => 'nss-sliders-h-square2',
            'nss-sliders-v2' => 'nss-sliders-v2',
            'nss-sliders-v-square2' => 'nss-sliders-v-square2',
            'nss-smile2' => 'nss-smile2',
            'nss-smile-beam2' => 'nss-smile-beam2',
            'nss-smile-plus2' => 'nss-smile-plus2',
            'nss-smile-wink2' => 'nss-smile-wink2',
            'nss-smog2' => 'nss-smog2',
            'nss-smoke2' => 'nss-smoke2',
            'nss-smoking2' => 'nss-smoking2',
            'nss-smoking-ban2' => 'nss-smoking-ban2',
            'nss-sms2' => 'nss-sms2',
            'nss-snake2' => 'nss-snake2',
            'nss-snow-blowing2' => 'nss-snow-blowing2',
            'nss-snowboarding2' => 'nss-snowboarding2',
            'nss-snowflake2' => 'nss-snowflake2',
            'nss-snowflakes2' => 'nss-snowflakes2',
            'nss-snowman2' => 'nss-snowman2',
            'nss-snowmobile2' => 'nss-snowmobile2',
            'nss-snowplow2' => 'nss-snowplow2',
            'nss-socks2' => 'nss-socks2',
            'nss-solar-panel2' => 'nss-solar-panel2',
            'nss-sort2' => 'nss-sort2',
            'nss-sort-alpha-down2' => 'nss-sort-alpha-down2',
            'nss-sort-alpha-up2' => 'nss-sort-alpha-up2',
            'nss-sort-amount-down2' => 'nss-sort-amount-down2',
            'nss-sort-amount-up2' => 'nss-sort-amount-up2',
            'nss-sort-down2' => 'nss-sort-down2',
            'nss-sort-numeric-down2' => 'nss-sort-numeric-down2',
            'nss-sort-numeric-up2' => 'nss-sort-numeric-up2',
            'nss-sort-up2' => 'nss-sort-up2',
            'nss-soup2' => 'nss-soup2',
            'nss-spa2' => 'nss-spa2',
            'nss-space-shuttle2' => 'nss-space-shuttle2',
            'nss-spade2' => 'nss-spade2',
            'nss-spider2' => 'nss-spider2',
            'nss-spider-black-widow2' => 'nss-spider-black-widow2',
            'nss-spider-web2' => 'nss-spider-web2',
            'nss-spinner2' => 'nss-spinner2',
            'nss-spinner-third2' => 'nss-spinner-third2',
            'nss-splotch2' => 'nss-splotch2',
            'nss-spray-can2' => 'nss-spray-can2',
            'nss-square2' => 'nss-square2',
            'nss-square-full2' => 'nss-square-full2',
            'nss-square-root2' => 'nss-square-root2',
            'nss-square-root-alt2' => 'nss-square-root-alt2',
            'nss-squirrel2' => 'nss-squirrel2',
            'nss-staff2' => 'nss-staff2',
            'nss-stamp2' => 'nss-stamp2',
            'nss-star2' => 'nss-star2',
            'nss-star-and-crescent2' => 'nss-star-and-crescent2',
            'nss-star-christmas2' => 'nss-star-christmas2',
            'nss-star-exclamation2' => 'nss-star-exclamation2',
            'nss-star-half2' => 'nss-star-half2',
            'nss-star-half-alt2' => 'nss-star-half-alt2',
            'nss-star-of-david2' => 'nss-star-of-david2',
            'nss-star-of-life2' => 'nss-star-of-life2',
            'nss-stars2' => 'nss-stars2',
            'nss-steak2' => 'nss-steak2',
            'nss-steering-wheel2' => 'nss-steering-wheel2',
            'nss-step-backward2' => 'nss-step-backward2',
            'nss-step-forward2' => 'nss-step-forward2',
            'nss-stethoscope2' => 'nss-stethoscope2',
            'nss-sticky-note2' => 'nss-sticky-note2',
            'nss-stocking2' => 'nss-stocking2',
            'nss-stomach2' => 'nss-stomach2',
            'nss-stop2' => 'nss-stop2',
            'nss-stop-circle2' => 'nss-stop-circle2',
            'nss-stopwatch2' => 'nss-stopwatch2',
            'nss-store2' => 'nss-store2',
            'nss-store-alt2' => 'nss-store-alt2',
            'nss-stream2' => 'nss-stream2',
            'nss-street-view2' => 'nss-street-view2',
            'nss-stretcher2' => 'nss-stretcher2',
            'nss-strikethrough2' => 'nss-strikethrough2',
            'nss-stroopwafel2' => 'nss-stroopwafel2',
            'nss-subscript2' => 'nss-subscript2',
            'nss-subway2' => 'nss-subway2',
            'nss-suitcase2' => 'nss-suitcase2',
            'nss-suitcase-rolling2' => 'nss-suitcase-rolling2',
            'nss-sun2' => 'nss-sun2',
            'nss-sun-cloud2' => 'nss-sun-cloud2',
            'nss-sun-dust2' => 'nss-sun-dust2',
            'nss-sun-haze2' => 'nss-sun-haze2',
            'nss-sunrise2' => 'nss-sunrise2',
            'nss-sunset2' => 'nss-sunset2',
            'nss-superscript2' => 'nss-superscript2',
            'nss-surprise2' => 'nss-surprise2',
            'nss-swatchbook2' => 'nss-swatchbook2',
            'nss-swimmer2' => 'nss-swimmer2',
            'nss-swimming-pool2' => 'nss-swimming-pool2',
            'nss-sword2' => 'nss-sword2',
            'nss-swords2' => 'nss-swords2',
            'nss-synagogue2' => 'nss-synagogue2',
            'nss-sync2' => 'nss-sync2',
            'nss-sync-alt2' => 'nss-sync-alt2',
            'nss-syringe2' => 'nss-syringe2',
            'nss-table2' => 'nss-table2',
            'nss-tablet2' => 'nss-tablet2',
            'nss-tablet-alt2' => 'nss-tablet-alt2',
            'nss-tablet-android2' => 'nss-tablet-android2',
            'nss-tablet-android-alt2' => 'nss-tablet-android-alt2',
            'nss-table-tennis2' => 'nss-table-tennis2',
            'nss-tablet-rugged2' => 'nss-tablet-rugged2',
            'nss-tablets2' => 'nss-tablets2',
            'nss-tachometer2' => 'nss-tachometer2',
            'nss-tachometer-alt2' => 'nss-tachometer-alt2',
            'nss-tachometer-alt-average2' => 'nss-tachometer-alt-average2',
            'nss-tachometer-alt-fast2' => 'nss-tachometer-alt-fast2',
            'nss-tachometer-alt-fastest2' => 'nss-tachometer-alt-fastest2',
            'nss-tachometer-alt-slow2' => 'nss-tachometer-alt-slow2',
            'nss-tachometer-alt-slowest2' => 'nss-tachometer-alt-slowest2',
            'nss-tachometer-average2' => 'nss-tachometer-average2',
            'nss-tachometer-fast2' => 'nss-tachometer-fast2',
            'nss-tachometer-fastest2' => 'nss-tachometer-fastest2',
            'nss-tachometer-slow2' => 'nss-tachometer-slow2',
            'nss-tachometer-slowest2' => 'nss-tachometer-slowest2',
            'nss-taco2' => 'nss-taco2',
            'nss-tag2' => 'nss-tag2',
            'nss-tags2' => 'nss-tags2',
            'nss-tally2' => 'nss-tally2',
            'nss-tanakh2' => 'nss-tanakh2',
            'nss-tape2' => 'nss-tape2',
            'nss-tasks2' => 'nss-tasks2',
            'nss-tasks-alt2' => 'nss-tasks-alt2',
            'nss-taxi2' => 'nss-taxi2',
            'nss-teeth2' => 'nss-teeth2',
            'nss-teeth-open2' => 'nss-teeth-open2',
            'nss-temperature-frigid2' => 'nss-temperature-frigid2',
            'nss-temperature-high2' => 'nss-temperature-high2',
            'nss-temperature-hot2' => 'nss-temperature-hot2',
            'nss-temperature-low2' => 'nss-temperature-low2',
            'nss-tenge2' => 'nss-tenge2',
            'nss-tennis-ball2' => 'nss-tennis-ball2',
            'nss-terminal2' => 'nss-terminal2',
            'nss-text-height2' => 'nss-text-height2',
            'nss-text-width2' => 'nss-text-width2',
            'nss-th2' => 'nss-th2',
            'nss-theater-masks2' => 'nss-theater-masks2',
            'nss-thermometer2' => 'nss-thermometer2',
            'nss-thermometer-empty2' => 'nss-thermometer-empty2',
            'nss-thermometer-full2' => 'nss-thermometer-full2',
            'nss-thermometer-half2' => 'nss-thermometer-half2',
            'nss-thermometer-quarter2' => 'nss-thermometer-quarter2',
            'nss-thermometer-three-quarters2' => 'nss-thermometer-three-quarters2',
            'nss-theta2' => 'nss-theta2',
            'nss-th-large2' => 'nss-th-large2',
            'nss-th-list2' => 'nss-th-list2',
            'nss-thumbs-down2' => 'nss-thumbs-down2',
            'nss-thumbs-up2' => 'nss-thumbs-up2',
            'nss-thumbtack2' => 'nss-thumbtack2',
            'nss-thunderstorm2' => 'nss-thunderstorm2',
            'nss-thunderstorm-moon2' => 'nss-thunderstorm-moon2',
            'nss-thunderstorm-sun2' => 'nss-thunderstorm-sun2',
            'nss-ticket2' => 'nss-ticket2',
            'nss-ticket-alt2' => 'nss-ticket-alt2',
            'nss-tilde2' => 'nss-tilde2',
            'nss-times2' => 'nss-times2',
            'nss-times-circle2' => 'nss-times-circle2',
            'nss-times-hexagon2' => 'nss-times-hexagon2',
            'nss-times-octagon2' => 'nss-times-octagon2',
            'nss-times-square2' => 'nss-times-square2',
            'nss-tint2' => 'nss-tint2',
            'nss-tint-slash2' => 'nss-tint-slash2',
            'nss-tire2' => 'nss-tire2',
            'nss-tired2' => 'nss-tired2',
            'nss-tire-flat2' => 'nss-tire-flat2',
            'nss-tire-pressure-warning2' => 'nss-tire-pressure-warning2',
            'nss-tire-rugged2' => 'nss-tire-rugged2',
            'nss-toggle-off2' => 'nss-toggle-off2',
            'nss-toggle-on2' => 'nss-toggle-on2',
            'nss-toilet2' => 'nss-toilet2',
            'nss-toilet-paper2' => 'nss-toilet-paper2',
            'nss-toilet-paper-alt2' => 'nss-toilet-paper-alt2',
            'nss-tombstone2' => 'nss-tombstone2',
            'nss-tombstone-alt2' => 'nss-tombstone-alt2',
            'nss-toolbox2' => 'nss-toolbox2',
            'nss-tools2' => 'nss-tools2',
            'nss-tooth2' => 'nss-tooth2',
            'nss-toothbrush2' => 'nss-toothbrush2',
            'nss-torah2' => 'nss-torah2',
            'nss-torii-gate2' => 'nss-torii-gate2',
            'nss-tornado2' => 'nss-tornado2',
            'nss-tractor2' => 'nss-tractor2',
            'nss-trademark2' => 'nss-trademark2',
            'nss-traffic-cone2' => 'nss-traffic-cone2',
            'nss-traffic-light2' => 'nss-traffic-light2',
            'nss-traffic-light-go2' => 'nss-traffic-light-go2',
            'nss-traffic-light-slow2' => 'nss-traffic-light-slow2',
            'nss-traffic-light-stop2' => 'nss-traffic-light-stop2',
            'nss-train2' => 'nss-train2',
            'nss-tram2' => 'nss-tram2',
            'nss-transgender2' => 'nss-transgender2',
            'nss-transgender-alt2' => 'nss-transgender-alt2',
            'nss-trash2' => 'nss-trash2',
            'nss-trash-alt2' => 'nss-trash-alt2',
            'nss-trash-restore2' => 'nss-trash-restore2',
            'nss-trash-restore-alt2' => 'nss-trash-restore-alt2',
            'nss-treasure-chest2' => 'nss-treasure-chest2',
            'nss-tree2' => 'nss-tree2',
            'nss-tree-alt2' => 'nss-tree-alt2',
            'nss-tree-christmas2' => 'nss-tree-christmas2',
            'nss-tree-decorated2' => 'nss-tree-decorated2',
            'nss-tree-large2' => 'nss-tree-large2',
            'nss-tree-palm2' => 'nss-tree-palm2',
            'nss-trees2' => 'nss-trees2',
            'nss-triangle2' => 'nss-triangle2',
            'nss-trophy2' => 'nss-trophy2',
            'nss-trophy-alt2' => 'nss-trophy-alt2',
            'nss-truck2' => 'nss-truck2',
            'nss-truck-container2' => 'nss-truck-container2',
            'nss-truck-couch2' => 'nss-truck-couch2',
            'nss-truck-loading2' => 'nss-truck-loading2',
            'nss-truck-monster2' => 'nss-truck-monster2',
            'nss-truck-moving2' => 'nss-truck-moving2',
            'nss-truck-pickup2' => 'nss-truck-pickup2',
            'nss-truck-plow2' => 'nss-truck-plow2',
            'nss-truck-ramp2' => 'nss-truck-ramp2',
            'nss-tshirt2' => 'nss-tshirt2',
            'nss-tty2' => 'nss-tty2',
            'nss-turkey2' => 'nss-turkey2',
            'nss-turtle2' => 'nss-turtle2',
            'nss-tv2' => 'nss-tv2',
            'nss-tv-retro2' => 'nss-tv-retro2',
            'nss-umbrella2' => 'nss-umbrella2',
            'nss-umbrella-beach2' => 'nss-umbrella-beach2',
            'nss-underline2' => 'nss-underline2',
            'nss-undo2' => 'nss-undo2',
            'nss-undo-alt2' => 'nss-undo-alt2',
            'nss-unicorn2' => 'nss-unicorn2',
            'nss-union2' => 'nss-union2',
            'nss-universal-access2' => 'nss-universal-access2',
            'nss-university2' => 'nss-university2',
            'nss-unlink2' => 'nss-unlink2',
            'nss-unlock2' => 'nss-unlock2',
            'nss-unlock-alt2' => 'nss-unlock-alt2',
            'nss-upload2' => 'nss-upload2',
            'nss-usd-circle2' => 'nss-usd-circle2',
            'nss-usd-square2' => 'nss-usd-square2',
            'nss-user2' => 'nss-user2',
            'nss-user-alt2' => 'nss-user-alt2',
            'nss-user-alt-slash2' => 'nss-user-alt-slash2',
            'nss-user-astronaut2' => 'nss-user-astronaut2',
            'nss-user-chart2' => 'nss-user-chart2',
            'nss-user-check2' => 'nss-user-check2',
            'nss-user-circle2' => 'nss-user-circle2',
            'nss-user-clock2' => 'nss-user-clock2',
            'nss-user-cog2' => 'nss-user-cog2',
            'nss-user-crown2' => 'nss-user-crown2',
            'nss-user-edit2' => 'nss-user-edit2',
            'nss-user-friends2' => 'nss-user-friends2',
            'nss-user-graduate2' => 'nss-user-graduate2',
            'nss-user-hard-hat2' => 'nss-user-hard-hat2',
            'nss-user-headset2' => 'nss-user-headset2',
            'nss-user-injured2' => 'nss-user-injured2',
            'nss-user-lock2' => 'nss-user-lock2',
            'nss-user-md2' => 'nss-user-md2',
            'nss-user-md-chat2' => 'nss-user-md-chat2',
            'nss-user-minus2' => 'nss-user-minus2',
            'nss-user-ninja2' => 'nss-user-ninja2',
            'nss-user-nurse2' => 'nss-user-nurse2',
            'nss-user-plus2' => 'nss-user-plus2',
            'nss-users2' => 'nss-users2',
            'nss-users-class2' => 'nss-users-class2',
            'nss-users-cog2' => 'nss-users-cog2',
            'nss-users-crown2' => 'nss-users-crown2',
            'nss-user-secret2' => 'nss-user-secret2',
            'nss-user-shield2' => 'nss-user-shield2',
            'nss-user-slash2' => 'nss-user-slash2',
            'nss-users-medical2' => 'nss-users-medical2',
            'nss-user-tag2' => 'nss-user-tag2',
            'nss-user-tie2' => 'nss-user-tie2',
            'nss-user-times2' => 'nss-user-times2',
            'nss-utensil-fork2' => 'nss-utensil-fork2',
            'nss-utensil-knife2' => 'nss-utensil-knife2',
            'nss-utensils2' => 'nss-utensils2',
            'nss-utensils-alt2' => 'nss-utensils-alt2',
            'nss-utensil-spoon2' => 'nss-utensil-spoon2',
            'nss-value-absolute2' => 'nss-value-absolute2',
            'nss-vector-square2' => 'nss-vector-square2',
            'nss-venus2' => 'nss-venus2',
            'nss-venus-double2' => 'nss-venus-double2',
            'nss-venus-mars2' => 'nss-venus-mars2',
            'nss-vial2' => 'nss-vial2',
            'nss-vials2' => 'nss-vials2',
            'nss-video2' => 'nss-video2',
            'nss-video-plus2' => 'nss-video-plus2',
            'nss-video-slash2' => 'nss-video-slash2',
            'nss-vihara2' => 'nss-vihara2',
            'nss-volcano2' => 'nss-volcano2',
            'nss-volleyball-ball2' => 'nss-volleyball-ball2',
            'nss-volume2' => 'nss-volume2',
            'nss-volume-down2' => 'nss-volume-down2',
            'nss-volume-mute2' => 'nss-volume-mute2',
            'nss-volume-off2' => 'nss-volume-off2',
            'nss-volume-slash2' => 'nss-volume-slash2',
            'nss-volume-up2' => 'nss-volume-up2',
            'nss-vote-nay2' => 'nss-vote-nay2',
            'nss-vote-yea2' => 'nss-vote-yea2',
            'nss-vr-cardboard2' => 'nss-vr-cardboard2',
            'nss-walker2' => 'nss-walker2',
            'nss-walking2' => 'nss-walking2',
            'nss-wallet2' => 'nss-wallet2',
            'nss-wand2' => 'nss-wand2',
            'nss-wand-magic2' => 'nss-wand-magic2',
            'nss-warehouse2' => 'nss-warehouse2',
            'nss-warehouse-alt2' => 'nss-warehouse-alt2',
            'nss-watch2' => 'nss-watch2',
            'nss-watch-fitness2' => 'nss-watch-fitness2',
            'nss-water2' => 'nss-water2',
            'nss-water-lower2' => 'nss-water-lower2',
            'nss-water-rise2' => 'nss-water-rise2',
            'nss-wave-square2' => 'nss-wave-square2',
            'nss-webcam2' => 'nss-webcam2',
            'nss-webcam-slash2' => 'nss-webcam-slash2',
            'nss-weight2' => 'nss-weight2',
            'nss-weight-hanging2' => 'nss-weight-hanging2',
            'nss-whale2' => 'nss-whale2',
            'nss-wheat2' => 'nss-wheat2',
            'nss-wheelchair2' => 'nss-wheelchair2',
            'nss-whistle2' => 'nss-whistle2',
            'nss-wifi2' => 'nss-wifi2',
            'nss-wifi-12' => 'nss-wifi-12',
            'nss-wifi-22' => 'nss-wifi-22',
            'nss-wifi-slash2' => 'nss-wifi-slash2',
            'nss-wind2' => 'nss-wind2',
            'nss-window2' => 'nss-window2',
            'nss-window-alt2' => 'nss-window-alt2',
            'nss-window-close2' => 'nss-window-close2',
            'nss-window-maximize2' => 'nss-window-maximize2',
            'nss-window-minimize2' => 'nss-window-minimize2',
            'nss-window-restore2' => 'nss-window-restore2',
            'nss-windsock2' => 'nss-windsock2',
            'nss-wind-warning2' => 'nss-wind-warning2',
            'nss-wine-bottle2' => 'nss-wine-bottle2',
            'nss-wine-glass2' => 'nss-wine-glass2',
            'nss-wine-glass-alt2' => 'nss-wine-glass-alt2',
            'nss-won-sign2' => 'nss-won-sign2',
            'nss-wreath2' => 'nss-wreath2',
            'nss-wrench2' => 'nss-wrench2',
            'nss-x-ray2' => 'nss-x-ray2',
            'nss-yen-sign2' => 'nss-yen-sign2',
            'nss-yin-yang2' => 'nss-yin-yang2',
            'nss-px' => 'nss-px',
            'nss-accessible-icon' => 'nss-accessible-icon',
            'nss-accusoft' => 'nss-accusoft',
            'nss-acquisitions-incorporated' => 'nss-acquisitions-incorporated',
            'nss-adn' => 'nss-adn',
            'nss-adobe' => 'nss-adobe',
            'nss-adversal' => 'nss-adversal',
            'nss-affiliatetheme' => 'nss-affiliatetheme',
            'nss-airbnb' => 'nss-airbnb',
            'nss-algolia' => 'nss-algolia',
            'nss-alipay' => 'nss-alipay',
            'nss-amazon' => 'nss-amazon',
            'nss-amazon-pay' => 'nss-amazon-pay',
            'nss-amilia' => 'nss-amilia',
            'nss-android' => 'nss-android',
            'nss-angellist' => 'nss-angellist',
            'nss-angrycreative' => 'nss-angrycreative',
            'nss-angular' => 'nss-angular',
            'nss-apper' => 'nss-apper',
            'nss-apple' => 'nss-apple',
            'nss-apple-pay' => 'nss-apple-pay',
            'nss-app-store' => 'nss-app-store',
            'nss-app-store-ios' => 'nss-app-store-ios',
            'nss-artstation' => 'nss-artstation',
            'nss-asymmetrik' => 'nss-asymmetrik',
            'nss-atlassian' => 'nss-atlassian',
            'nss-audible' => 'nss-audible',
            'nss-autoprefixer' => 'nss-autoprefixer',
            'nss-avianex' => 'nss-avianex',
            'nss-aviato' => 'nss-aviato',
            'nss-aws' => 'nss-aws',
            'nss-bandcamp' => 'nss-bandcamp',
            'nss-battle-net' => 'nss-battle-net',
            'nss-behance' => 'nss-behance',
            'nss-behance-square' => 'nss-behance-square',
            'nss-bimobject' => 'nss-bimobject',
            'nss-bitbucket' => 'nss-bitbucket',
            'nss-bitcoin' => 'nss-bitcoin',
            'nss-bity' => 'nss-bity',
            'nss-blackberry' => 'nss-blackberry',
            'nss-black-tie' => 'nss-black-tie',
            'nss-blogger' => 'nss-blogger',
            'nss-blogger-b' => 'nss-blogger-b',
            'nss-bluetooth' => 'nss-bluetooth',
            'nss-bluetooth-b' => 'nss-bluetooth-b',
            'nss-bootstrap' => 'nss-bootstrap',
            'nss-btc' => 'nss-btc',
            'nss-buffer' => 'nss-buffer',
            'nss-buromobelexperte' => 'nss-buromobelexperte',
            'nss-buysellads' => 'nss-buysellads',
            'nss-canadian-maple-leaf' => 'nss-canadian-maple-leaf',
            'nss-cc-amazon-pay' => 'nss-cc-amazon-pay',
            'nss-cc-amex' => 'nss-cc-amex',
            'nss-cc-apple-pay' => 'nss-cc-apple-pay',
            'nss-cc-diners-club' => 'nss-cc-diners-club',
            'nss-cc-discover' => 'nss-cc-discover',
            'nss-cc-jcb' => 'nss-cc-jcb',
            'nss-cc-mastercard' => 'nss-cc-mastercard',
            'nss-cc-paypal' => 'nss-cc-paypal',
            'nss-cc-stripe' => 'nss-cc-stripe',
            'nss-cc-visa' => 'nss-cc-visa',
            'nss-centercode' => 'nss-centercode',
            'nss-centos' => 'nss-centos',
            'nss-chrome' => 'nss-chrome',
            'nss-chromecast' => 'nss-chromecast',
            'nss-cloudscale' => 'nss-cloudscale',
            'nss-cloudsmith' => 'nss-cloudsmith',
            'nss-cloudversify' => 'nss-cloudversify',
            'nss-codepen' => 'nss-codepen',
            'nss-codiepie' => 'nss-codiepie',
            'nss-confluence' => 'nss-confluence',
            'nss-connectdevelop' => 'nss-connectdevelop',
            'nss-contao' => 'nss-contao',
            'nss-cpanel' => 'nss-cpanel',
            'nss-creative-commons' => 'nss-creative-commons',
            'nss-creative-commons-by' => 'nss-creative-commons-by',
            'nss-creative-commons-nc' => 'nss-creative-commons-nc',
            'nss-creative-commons-nc-eu' => 'nss-creative-commons-nc-eu',
            'nss-creative-commons-nc-jp' => 'nss-creative-commons-nc-jp',
            'nss-creative-commons-nd' => 'nss-creative-commons-nd',
            'nss-creative-commons-pd' => 'nss-creative-commons-pd',
            'nss-creative-commons-pd-alt' => 'nss-creative-commons-pd-alt',
            'nss-creative-commons-remix' => 'nss-creative-commons-remix',
            'nss-creative-commons-sa' => 'nss-creative-commons-sa',
            'nss-creative-commons-sampling' => 'nss-creative-commons-sampling',
            'nss-creative-commons-sampling-plus' => 'nss-creative-commons-sampling-plus',
            'nss-creative-commons-share' => 'nss-creative-commons-share',
            'nss-creative-commons-zero' => 'nss-creative-commons-zero',
            'nss-critical-role' => 'nss-critical-role',
            'nss-css3' => 'nss-css3',
            'nss-css3-alt' => 'nss-css3-alt',
            'nss-cuttlefish' => 'nss-cuttlefish',
            'nss-d-and-d' => 'nss-d-and-d',
            'nss-d-and-d-beyond' => 'nss-d-and-d-beyond',
            'nss-dashcube' => 'nss-dashcube',
            'nss-delicious' => 'nss-delicious',
            'nss-deploydog' => 'nss-deploydog',
            'nss-deskpro' => 'nss-deskpro',
            'nss-dev' => 'nss-dev',
            'nss-deviantart' => 'nss-deviantart',
            'nss-dhl' => 'nss-dhl',
            'nss-diaspora' => 'nss-diaspora',
            'nss-digg' => 'nss-digg',
            'nss-digital-ocean' => 'nss-digital-ocean',
            'nss-discord' => 'nss-discord',
            'nss-discourse' => 'nss-discourse',
            'nss-dochub' => 'nss-dochub',
            'nss-docker' => 'nss-docker',
            'nss-draft2digital' => 'nss-draft2digital',
            'nss-dribbble' => 'nss-dribbble',
            'nss-dribbble-square' => 'nss-dribbble-square',
            'nss-dropbox' => 'nss-dropbox',
            'nss-drupal' => 'nss-drupal',
            'nss-dyalog' => 'nss-dyalog',
            'nss-earlybirds' => 'nss-earlybirds',
            'nss-ebay' => 'nss-ebay',
            'nss-edge' => 'nss-edge',
            'nss-elementor' => 'nss-elementor',
            'nss-ello' => 'nss-ello',
            'nss-ember' => 'nss-ember',
            'nss-empire' => 'nss-empire',
            'nss-envira' => 'nss-envira',
            'nss-erlang' => 'nss-erlang',
            'nss-ethereum' => 'nss-ethereum',
            'nss-etsy' => 'nss-etsy',
            'nss-evernote' => 'nss-evernote',
            'nss-expeditedssl' => 'nss-expeditedssl',
            'nss-facebook' => 'nss-facebook',
            'nss-facebook-f' => 'nss-facebook-f',
            'nss-facebook-messenger' => 'nss-facebook-messenger',
            'nss-facebook-square' => 'nss-facebook-square',
            'nss-twitter' => 'nss-twitter',
            'nss-twitter-square' => 'nss-twitter-square',
            'nss-fantasy-flight-games' => 'nss-fantasy-flight-games',
            'nss-fedex' => 'nss-fedex',
            'nss-fedora' => 'nss-fedora',
            'nss-figma' => 'nss-figma',
            'nss-firefox' => 'nss-firefox',
            'nss-firstdraft' => 'nss-firstdraft',
            'nss-first-order' => 'nss-first-order',
            'nss-first-order-alt' => 'nss-first-order-alt',
            'nss-flickr' => 'nss-flickr',
            'nss-flipboard' => 'nss-flipboard',
            'nss-fly' => 'nss-fly',
            'nss-font-awesome' => 'nss-font-awesome',
            'nss-font-awesome-alt' => 'nss-font-awesome-alt',
            'nss-font-awesome-flag' => 'nss-font-awesome-flag',
            'nss-font-awesome-logo-full3' => 'nss-font-awesome-logo-full3',
            'nss-fonticons' => 'nss-fonticons',
            'nss-fonticons-fi' => 'nss-fonticons-fi',
            'nss-fort-awesome' => 'nss-fort-awesome',
            'nss-fort-awesome-alt' => 'nss-fort-awesome-alt',
            'nss-forumbee' => 'nss-forumbee',
            'nss-foursquare' => 'nss-foursquare',
            'nss-freebsd' => 'nss-freebsd',
            'nss-free-code-camp' => 'nss-free-code-camp',
            'nss-fulcrum' => 'nss-fulcrum',
            'nss-galactic-republic' => 'nss-galactic-republic',
            'nss-galactic-senate' => 'nss-galactic-senate',
            'nss-get-pocket' => 'nss-get-pocket',
            'nss-gg' => 'nss-gg',
            'nss-gg-circle' => 'nss-gg-circle',
            'nss-git' => 'nss-git',
            'nss-github' => 'nss-github',
            'nss-github-alt' => 'nss-github-alt',
            'nss-github-square' => 'nss-github-square',
            'nss-gitkraken' => 'nss-gitkraken',
            'nss-gitlab' => 'nss-gitlab',
            'nss-git-square' => 'nss-git-square',
            'nss-gitter' => 'nss-gitter',
            'nss-glide' => 'nss-glide',
            'nss-glide-g' => 'nss-glide-g',
            'nss-gofore' => 'nss-gofore',
            'nss-goodreads' => 'nss-goodreads',
            'nss-goodreads-g' => 'nss-goodreads-g',
            'nss-google' => 'nss-google',
            'nss-google-drive' => 'nss-google-drive',
            'nss-google-play' => 'nss-google-play',
            'nss-google-plus' => 'nss-google-plus',
            'nss-google-plus-g' => 'nss-google-plus-g',
            'nss-google-plus-square' => 'nss-google-plus-square',
            'nss-google-wallet' => 'nss-google-wallet',
            'nss-gratipay' => 'nss-gratipay',
            'nss-grav' => 'nss-grav',
            'nss-gripfire' => 'nss-gripfire',
            'nss-grunt' => 'nss-grunt',
            'nss-gulp' => 'nss-gulp',
            'nss-hacker-news' => 'nss-hacker-news',
            'nss-hacker-news-square' => 'nss-hacker-news-square',
            'nss-hackerrank' => 'nss-hackerrank',
            'nss-hips' => 'nss-hips',
            'nss-hire-a-helper' => 'nss-hire-a-helper',
            'nss-hooli' => 'nss-hooli',
            'nss-hornbill' => 'nss-hornbill',
            'nss-hotjar' => 'nss-hotjar',
            'nss-houzz' => 'nss-houzz',
            'nss-html5' => 'nss-html5',
            'nss-hubspot' => 'nss-hubspot',
            'nss-imdb' => 'nss-imdb',
            'nss-instagram' => 'nss-instagram',
            'nss-intercom' => 'nss-intercom',
            'nss-internet-explorer' => 'nss-internet-explorer',
            'nss-invision' => 'nss-invision',
            'nss-ioxhost' => 'nss-ioxhost',
            'nss-itch-io' => 'nss-itch-io',
            'nss-itunes' => 'nss-itunes',
            'nss-itunes-note' => 'nss-itunes-note',
            'nss-java' => 'nss-java',
            'nss-jedi-order' => 'nss-jedi-order',
            'nss-jenkins' => 'nss-jenkins',
            'nss-jira' => 'nss-jira',
            'nss-joget' => 'nss-joget',
            'nss-joomla' => 'nss-joomla',
            'nss-js' => 'nss-js',
            'nss-jsfiddle' => 'nss-jsfiddle',
            'nss-js-square' => 'nss-js-square',
            'nss-kaggle' => 'nss-kaggle',
            'nss-keybase' => 'nss-keybase',
            'nss-keycdn' => 'nss-keycdn',
            'nss-kickstarter' => 'nss-kickstarter',
            'nss-kickstarter-k' => 'nss-kickstarter-k',
            'nss-korvue' => 'nss-korvue',
            'nss-laravel' => 'nss-laravel',
            'nss-lastfm' => 'nss-lastfm',
            'nss-lastfm-square' => 'nss-lastfm-square',
            'nss-leanpub' => 'nss-leanpub',
            'nss-less' => 'nss-less',
            'nss-line' => 'nss-line',
            'nss-linkedin' => 'nss-linkedin',
            'nss-linkedin-in' => 'nss-linkedin-in',
            'nss-linode' => 'nss-linode',
            'nss-linux' => 'nss-linux',
            'nss-lyft' => 'nss-lyft',
            'nss-magento' => 'nss-magento',
            'nss-mailchimp' => 'nss-mailchimp',
            'nss-mandalorian' => 'nss-mandalorian',
            'nss-markdown' => 'nss-markdown',
            'nss-mastodon' => 'nss-mastodon',
            'nss-maxcdn' => 'nss-maxcdn',
            'nss-medapps' => 'nss-medapps',
            'nss-medium' => 'nss-medium',
            'nss-medium-m' => 'nss-medium-m',
            'nss-medrt' => 'nss-medrt',
            'nss-meetup' => 'nss-meetup',
            'nss-megaport' => 'nss-megaport',
            'nss-mendeley' => 'nss-mendeley',
            'nss-microsoft' => 'nss-microsoft',
            'nss-mix' => 'nss-mix',
            'nss-mixcloud' => 'nss-mixcloud',
            'nss-mizuni' => 'nss-mizuni',
            'nss-modx' => 'nss-modx',
            'nss-monero' => 'nss-monero',
            'nss-napster' => 'nss-napster',
            'nss-neos' => 'nss-neos',
            'nss-nimblr' => 'nss-nimblr',
            'nss-nintendo-switch' => 'nss-nintendo-switch',
            'nss-node' => 'nss-node',
            'nss-node-js' => 'nss-node-js',
            'nss-npm' => 'nss-npm',
            'nss-ns8' => 'nss-ns8',
            'nss-nutritionix' => 'nss-nutritionix',
            'nss-odnoklassniki' => 'nss-odnoklassniki',
            'nss-odnoklassniki-square' => 'nss-odnoklassniki-square',
            'nss-old-republic' => 'nss-old-republic',
            'nss-opencart' => 'nss-opencart',
            'nss-openid' => 'nss-openid',
            'nss-opera' => 'nss-opera',
            'nss-optin-monster' => 'nss-optin-monster',
            'nss-osi' => 'nss-osi',
            'nss-page4' => 'nss-page4',
            'nss-pagelines' => 'nss-pagelines',
            'nss-palfed' => 'nss-palfed',
            'nss-patreon' => 'nss-patreon',
            'nss-paypal' => 'nss-paypal',
            'nss-penny-arcade' => 'nss-penny-arcade',
            'nss-periscope' => 'nss-periscope',
            'nss-phabricator' => 'nss-phabricator',
            'nss-phoenix-framework' => 'nss-phoenix-framework',
            'nss-phoenix-squadron' => 'nss-phoenix-squadron',
            'nss-php' => 'nss-php',
            'nss-pied-piper' => 'nss-pied-piper',
            'nss-pied-piper-alt' => 'nss-pied-piper-alt',
            'nss-pied-piper-hat' => 'nss-pied-piper-hat',
            'nss-pied-piper-pp' => 'nss-pied-piper-pp',
            'nss-pinterest' => 'nss-pinterest',
            'nss-pinterest-p' => 'nss-pinterest-p',
            'nss-pinterest-square' => 'nss-pinterest-square',
            'nss-playstation' => 'nss-playstation',
            'nss-product-hunt' => 'nss-product-hunt',
            'nss-pushed' => 'nss-pushed',
            'nss-python' => 'nss-python',
            'nss-qq' => 'nss-qq',
            'nss-quinscape' => 'nss-quinscape',
            'nss-quora' => 'nss-quora',
            'nss-raspberry-pi' => 'nss-raspberry-pi',
            'nss-ravelry' => 'nss-ravelry',
            'nss-react' => 'nss-react',
            'nss-reacteurope' => 'nss-reacteurope',
            'nss-readme' => 'nss-readme',
            'nss-rebel' => 'nss-rebel',
            'nss-reddit' => 'nss-reddit',
            'nss-reddit-alien' => 'nss-reddit-alien',
            'nss-reddit-square' => 'nss-reddit-square',
            'nss-redhat' => 'nss-redhat',
            'nss-red-river' => 'nss-red-river',
            'nss-renren' => 'nss-renren',
            'nss-replyd' => 'nss-replyd',
            'nss-researchgate' => 'nss-researchgate',
            'nss-resolving' => 'nss-resolving',
            'nss-rev' => 'nss-rev',
            'nss-rocketchat' => 'nss-rocketchat',
            'nss-rockrms' => 'nss-rockrms',
            'nss-r-project' => 'nss-r-project',
            'nss-safari' => 'nss-safari',
            'nss-salesforce' => 'nss-salesforce',
            'nss-sass' => 'nss-sass',
            'nss-schlix' => 'nss-schlix',
            'nss-scribd' => 'nss-scribd',
            'nss-searchengin' => 'nss-searchengin',
            'nss-sellcast' => 'nss-sellcast',
            'nss-sellsy' => 'nss-sellsy',
            'nss-servicestack' => 'nss-servicestack',
            'nss-shirtsinbulk' => 'nss-shirtsinbulk',
            'nss-shopware' => 'nss-shopware',
            'nss-simplybuilt' => 'nss-simplybuilt',
            'nss-sistrix' => 'nss-sistrix',
            'nss-sith' => 'nss-sith',
            'nss-sketch' => 'nss-sketch',
            'nss-skyatlas' => 'nss-skyatlas',
            'nss-skype' => 'nss-skype',
            'nss-slack' => 'nss-slack',
            'nss-slack-hash' => 'nss-slack-hash',
            'nss-slideshare' => 'nss-slideshare',
            'nss-snapchat' => 'nss-snapchat',
            'nss-snapchat-ghost' => 'nss-snapchat-ghost',
            'nss-snapchat-square' => 'nss-snapchat-square',
            'nss-soundcloud' => 'nss-soundcloud',
            'nss-sourcetree' => 'nss-sourcetree',
            'nss-speakap' => 'nss-speakap',
            'nss-speaker-deck' => 'nss-speaker-deck',
            'nss-spotify' => 'nss-spotify',
            'nss-squarespace' => 'nss-squarespace',
            'nss-stack-exchange' => 'nss-stack-exchange',
            'nss-stack-overflow' => 'nss-stack-overflow',
            'nss-staylinked' => 'nss-staylinked',
            'nss-steam' => 'nss-steam',
            'nss-steam-square' => 'nss-steam-square',
            'nss-steam-symbol' => 'nss-steam-symbol',
            'nss-sticker-mule' => 'nss-sticker-mule',
            'nss-strava' => 'nss-strava',
            'nss-stripe' => 'nss-stripe',
            'nss-stripe-s' => 'nss-stripe-s',
            'nss-studiovinari' => 'nss-studiovinari',
            'nss-stumbleupon' => 'nss-stumbleupon',
            'nss-stumbleupon-circle' => 'nss-stumbleupon-circle',
            'nss-superpowers' => 'nss-superpowers',
            'nss-supple' => 'nss-supple',
            'nss-suse' => 'nss-suse',
            'nss-symfony' => 'nss-symfony',
            'nss-teamspeak' => 'nss-teamspeak',
            'nss-telegram' => 'nss-telegram',
            'nss-telegram-plane' => 'nss-telegram-plane',
            'nss-tencent-weibo' => 'nss-tencent-weibo',
            'nss-themeco' => 'nss-themeco',
            'nss-themeisle' => 'nss-themeisle',
            'nss-the-red-yeti' => 'nss-the-red-yeti',
            'nss-think-peaks' => 'nss-think-peaks',
            'nss-trade-federation' => 'nss-trade-federation',
            'nss-trello' => 'nss-trello',
            'nss-tripadvisor' => 'nss-tripadvisor',
            'nss-tumblr' => 'nss-tumblr',
            'nss-tumblr-square' => 'nss-tumblr-square',
            'nss-nsstch' => 'nss-nsstch',
            'nss-nsstter' => 'nss-nsstter',
            'nss-nsstter-square' => 'nss-nsstter-square',
            'nss-typo3' => 'nss-typo3',
            'nss-uber' => 'nss-uber',
            'nss-ubuntu' => 'nss-ubuntu',
            'nss-uikit' => 'nss-uikit',
            'nss-uniregistry' => 'nss-uniregistry',
            'nss-untappd' => 'nss-untappd',
            'nss-ups' => 'nss-ups',
            'nss-usb' => 'nss-usb',
            'nss-usps' => 'nss-usps',
            'nss-ussunnah' => 'nss-ussunnah',
            'nss-vaadin' => 'nss-vaadin',
            'nss-viacoin' => 'nss-viacoin',
            'nss-viadeo' => 'nss-viadeo',
            'nss-viadeo-square' => 'nss-viadeo-square',
            'nss-viber' => 'nss-viber',
            'nss-vimeo' => 'nss-vimeo',
            'nss-vimeo-square' => 'nss-vimeo-square',
            'nss-vimeo-v' => 'nss-vimeo-v',
            'nss-vine' => 'nss-vine',
            'nss-vk' => 'nss-vk',
            'nss-vnv' => 'nss-vnv',
            'nss-vuejs' => 'nss-vuejs',
            'nss-waze' => 'nss-waze',
            'nss-weebly' => 'nss-weebly',
            'nss-weibo' => 'nss-weibo',
            'nss-weixin' => 'nss-weixin',
            'nss-whatsapp' => 'nss-whatsapp',
            'nss-whatsapp-square' => 'nss-whatsapp-square',
            'nss-whmcs' => 'nss-whmcs',
            'nss-wikipedia-w' => 'nss-wikipedia-w',
            'nss-windows' => 'nss-windows',
            'nss-wix' => 'nss-wix',
            'nss-wizards-of-the-coast' => 'nss-wizards-of-the-coast',
            'nss-wolf-pack-battalion' => 'nss-wolf-pack-battalion',
            'nss-wordpress' => 'nss-wordpress',
            'nss-wordpress-simple' => 'nss-wordpress-simple',
            'nss-wpbeginner' => 'nss-wpbeginner',
            'nss-wpexplorer' => 'nss-wpexplorer',
            'nss-wpforms' => 'nss-wpforms',
            'nss-wpressr' => 'nss-wpressr',
            'nss-xbox' => 'nss-xbox',
            'nss-xing' => 'nss-xing',
            'nss-xing-square' => 'nss-xing-square',
            'nss-yahoo' => 'nss-yahoo',
            'nss-yammer' => 'nss-yammer',
            'nss-yandex' => 'nss-yandex',
            'nss-yandex-international' => 'nss-yandex-international',
            'nss-yarn' => 'nss-yarn',
            'nss-y-combinator' => 'nss-y-combinator',
            'nss-yelp' => 'nss-yelp',
            'nss-yoast' => 'nss-yoast',
            'nss-youtube' => 'nss-youtube',
            'nss-youtube-square' => 'nss-youtube-square',
            'nss-zhihu' => 'nss-zhihu',
            'nss-amilia1' => 'nss-amilia1',
            'nss-android1' => 'nss-android1',
            'nss-angellist1' => 'nss-angellist1',
            'nss-angrycreative1' => 'nss-angrycreative1',
            'nss-angular1' => 'nss-angular1',
            'nss-apper1' => 'nss-apper1',
            'nss-apple1' => 'nss-apple1',
            'nss-apple-pay1' => 'nss-apple-pay1',
            'nss-app-store1' => 'nss-app-store1',
            'nss-app-store-ios1' => 'nss-app-store-ios1',
            'nss-artstation1' => 'nss-artstation1',
            'nss-asymmetrik1' => 'nss-asymmetrik1',
            'nss-atlassian1' => 'nss-atlassian1',
            'nss-audible1' => 'nss-audible1',
            'nss-autoprefixer1' => 'nss-autoprefixer1',
            'nss-avianex1' => 'nss-avianex1',
            'nss-aviato1' => 'nss-aviato1',
            'nss-aws1' => 'nss-aws1',
            'nss-bandcamp1' => 'nss-bandcamp1',
            'nss-battle-net1' => 'nss-battle-net1',
            'nss-behance1' => 'nss-behance1',
            'nss-behance-square1' => 'nss-behance-square1',
            'nss-bimobject1' => 'nss-bimobject1',
            'nss-bitbucket1' => 'nss-bitbucket1',
            'nss-bitcoin1' => 'nss-bitcoin1',
            'nss-bity1' => 'nss-bity1',
            'nss-blackberry1' => 'nss-blackberry1',
            'nss-black-tie1' => 'nss-black-tie1',
            'nss-blogger1' => 'nss-blogger1',
            'nss-blogger-b1' => 'nss-blogger-b1',
            'nss-bluetooth1' => 'nss-bluetooth1',
            'nss-bluetooth-b1' => 'nss-bluetooth-b1',
            'nss-bootstrap1' => 'nss-bootstrap1',
            'nss-btc1' => 'nss-btc1',
            'nss-buffer1' => 'nss-buffer1',
            'nss-buromobelexperte1' => 'nss-buromobelexperte1',
            'nss-buysellads1' => 'nss-buysellads1',
            'nss-canadian-maple-leaf1' => 'nss-canadian-maple-leaf1',
            'nss-cc-amazon-pay1' => 'nss-cc-amazon-pay1',
            'nss-cc-amex1' => 'nss-cc-amex1',
            'nss-cc-apple-pay1' => 'nss-cc-apple-pay1',
            'nss-cc-diners-club1' => 'nss-cc-diners-club1',
            'nss-cc-discover1' => 'nss-cc-discover1',
            'nss-cc-jcb1' => 'nss-cc-jcb1',
            'nss-cc-mastercard1' => 'nss-cc-mastercard1',
            'nss-cc-paypal1' => 'nss-cc-paypal1',
            'nss-cc-stripe1' => 'nss-cc-stripe1',
            'nss-cc-visa1' => 'nss-cc-visa1',
            'nss-centercode1' => 'nss-centercode1',
            'nss-centos1' => 'nss-centos1',
            'nss-chrome1' => 'nss-chrome1',
            'nss-chromecast1' => 'nss-chromecast1',
            'nss-cloudscale1' => 'nss-cloudscale1',
            'nss-cloudsmith1' => 'nss-cloudsmith1',
            'nss-cloudversify1' => 'nss-cloudversify1',
            'nss-codepen1' => 'nss-codepen1',
            'nss-codiepie1' => 'nss-codiepie1',
            'nss-confluence1' => 'nss-confluence1',
            'nss-connectdevelop1' => 'nss-connectdevelop1',
            'nss-contao1' => 'nss-contao1',
            'nss-cpanel1' => 'nss-cpanel1',
            'nss-creative-commons1' => 'nss-creative-commons1',
            'nss-creative-commons-by1' => 'nss-creative-commons-by1',
            'nss-creative-commons-nc1' => 'nss-creative-commons-nc1',
            'nss-creative-commons-nc-eu1' => 'nss-creative-commons-nc-eu1',
            'nss-creative-commons-nc-jp1' => 'nss-creative-commons-nc-jp1',
            'nss-creative-commons-nd1' => 'nss-creative-commons-nd1',
            'nss-creative-commons-pd1' => 'nss-creative-commons-pd1',
            'nss-creative-commons-pd-alt1' => 'nss-creative-commons-pd-alt1',
            'nss-creative-commons-remix1' => 'nss-creative-commons-remix1',
            'nss-creative-commons-sa1' => 'nss-creative-commons-sa1',
            'nss-creative-commons-sampling1' => 'nss-creative-commons-sampling1',
            'nss-creative-commons-sampling-plus1' => 'nss-creative-commons-sampling-plus1',
            'nss-creative-commons-share1' => 'nss-creative-commons-share1',
            'nss-creative-commons-zero1' => 'nss-creative-commons-zero1',
            'nss-critical-role1' => 'nss-critical-role1',
            'nss-css31' => 'nss-css31',
            'nss-css3-alt1' => 'nss-css3-alt1',
            'nss-cuttlefish1' => 'nss-cuttlefish1',
            'nss-d-and-d1' => 'nss-d-and-d1',
            'nss-d-and-d-beyond1' => 'nss-d-and-d-beyond1',
            'nss-dashcube1' => 'nss-dashcube1',
            'nss-delicious1' => 'nss-delicious1',
            'nss-deploydog1' => 'nss-deploydog1',
            'nss-deskpro1' => 'nss-deskpro1',
            'nss-dev1' => 'nss-dev1',
            'nss-deviantart1' => 'nss-deviantart1',
            'nss-dhl1' => 'nss-dhl1',
            'nss-diaspora1' => 'nss-diaspora1',
            'nss-digg1' => 'nss-digg1',
            'nss-digital-ocean1' => 'nss-digital-ocean1',
            'nss-discord1' => 'nss-discord1',
            'nss-discourse1' => 'nss-discourse1',
            'nss-dochub1' => 'nss-dochub1',
            'nss-docker1' => 'nss-docker1',
            'nss-draft2digital1' => 'nss-draft2digital1',
            'nss-dribbble1' => 'nss-dribbble1',
            'nss-dribbble-square1' => 'nss-dribbble-square1',
            'nss-dropbox1' => 'nss-dropbox1',
            'nss-drupal1' => 'nss-drupal1',
            'nss-dyalog1' => 'nss-dyalog1',
            'nss-earlybirds1' => 'nss-earlybirds1',
            'nss-ebay1' => 'nss-ebay1',
            'nss-edge1' => 'nss-edge1',
            'nss-elementor1' => 'nss-elementor1',
            'nss-ello1' => 'nss-ello1',
            'nss-ember1' => 'nss-ember1',
            'nss-empire1' => 'nss-empire1',
            'nss-envira1' => 'nss-envira1',
            'nss-erlang1' => 'nss-erlang1',
            'nss-ethereum1' => 'nss-ethereum1',
            'nss-etsy1' => 'nss-etsy1',
            'nss-evernote1' => 'nss-evernote1',
            'nss-expeditedssl1' => 'nss-expeditedssl1',
            'nss-facebook1' => 'nss-facebook1',
            'nss-facebook-f1' => 'nss-facebook-f1',
            'nss-facebook-messenger1' => 'nss-facebook-messenger1',
            'nss-facebook-square1' => 'nss-facebook-square1',
            'nss-fantasy-flight-games1' => 'nss-fantasy-flight-games1',
            'nss-fedex1' => 'nss-fedex1',
            'nss-fedora1' => 'nss-fedora1',
            'nss-figma1' => 'nss-figma1',
            'nss-firefox1' => 'nss-firefox1',
            'nss-firstdraft1' => 'nss-firstdraft1',
            'nss-first-order1' => 'nss-first-order1',
            'nss-first-order-alt1' => 'nss-first-order-alt1',
            'nss-flickr1' => 'nss-flickr1',
            'nss-flipboard1' => 'nss-flipboard1',
            'nss-fly1' => 'nss-fly1',
            'nss-font-awesome1' => 'nss-font-awesome1',
            'nss-font-awesome-alt1' => 'nss-font-awesome-alt1',
            'nss-font-awesome-flag1' => 'nss-font-awesome-flag1',
            'nss-font-awesome-logo-full4' => 'nss-font-awesome-logo-full4',
            'nss-fonticons1' => 'nss-fonticons1',
            'nss-fonticons-fi1' => 'nss-fonticons-fi1',
            'nss-fort-awesome1' => 'nss-fort-awesome1',
            'nss-fort-awesome-alt1' => 'nss-fort-awesome-alt1',
            'nss-forumbee1' => 'nss-forumbee1',
            'nss-foursquare1' => 'nss-foursquare1',
            'nss-freebsd1' => 'nss-freebsd1',
            'nss-free-code-camp1' => 'nss-free-code-camp1',
            'nss-fulcrum1' => 'nss-fulcrum1',
            'nss-galactic-republic1' => 'nss-galactic-republic1',
            'nss-galactic-senate1' => 'nss-galactic-senate1',
            'nss-get-pocket1' => 'nss-get-pocket1',
            'nss-gg1' => 'nss-gg1',
            'nss-gg-circle1' => 'nss-gg-circle1',
            'nss-git1' => 'nss-git1',
            'nss-github1' => 'nss-github1',
            'nss-github-alt1' => 'nss-github-alt1',
            'nss-github-square1' => 'nss-github-square1',
            'nss-gitkraken1' => 'nss-gitkraken1',
            'nss-gitlab1' => 'nss-gitlab1',
            'nss-git-square1' => 'nss-git-square1',
            'nss-gitter1' => 'nss-gitter1',
            'nss-glide1' => 'nss-glide1',
            'nss-glide-g1' => 'nss-glide-g1',
            'nss-gofore1' => 'nss-gofore1',
            'nss-goodreads1' => 'nss-goodreads1',
            'nss-goodreads-g1' => 'nss-goodreads-g1',
            'nss-google1' => 'nss-google1',
            'nss-google-drive1' => 'nss-google-drive1',
            'nss-google-play1' => 'nss-google-play1',
            'nss-google-plus1' => 'nss-google-plus1',
            'nss-google-plus-g1' => 'nss-google-plus-g1',
            'nss-google-plus-square1' => 'nss-google-plus-square1',
            'nss-google-wallet1' => 'nss-google-wallet1',
            'nss-gratipay1' => 'nss-gratipay1',
            'nss-grav1' => 'nss-grav1',
            'nss-gripfire1' => 'nss-gripfire1',
            'nss-grunt1' => 'nss-grunt1',
            'nss-gulp1' => 'nss-gulp1',
            'nss-hacker-news1' => 'nss-hacker-news1',
            'nss-hacker-news-square1' => 'nss-hacker-news-square1',
            'nss-hackerrank1' => 'nss-hackerrank1',
            'nss-hips1' => 'nss-hips1',
            'nss-hire-a-helper1' => 'nss-hire-a-helper1',
            'nss-hooli1' => 'nss-hooli1',
            'nss-hornbill1' => 'nss-hornbill1',
            'nss-hotjar1' => 'nss-hotjar1',
            'nss-houzz1' => 'nss-houzz1',
            'nss-html51' => 'nss-html51',
            'nss-hubspot1' => 'nss-hubspot1',
            'nss-imdb1' => 'nss-imdb1',
            'nss-instagram1' => 'nss-instagram1',
            'nss-intercom1' => 'nss-intercom1',
            'nss-internet-explorer1' => 'nss-internet-explorer1',
            'nss-invision1' => 'nss-invision1',
            'nss-ioxhost1' => 'nss-ioxhost1',
            'nss-itch-io1' => 'nss-itch-io1',
            'nss-itunes1' => 'nss-itunes1',
            'nss-itunes-note1' => 'nss-itunes-note1',
            'nss-java1' => 'nss-java1',
            'nss-jedi-order1' => 'nss-jedi-order1',
            'nss-jenkins1' => 'nss-jenkins1',
            'nss-jira1' => 'nss-jira1',
            'nss-joget1' => 'nss-joget1',
            'nss-joomla1' => 'nss-joomla1',
            'nss-js1' => 'nss-js1',
            'nss-jsfiddle1' => 'nss-jsfiddle1',
            'nss-js-square1' => 'nss-js-square1',
            'nss-kaggle1' => 'nss-kaggle1',
            'nss-keybase1' => 'nss-keybase1',
            'nss-keycdn1' => 'nss-keycdn1',
            'nss-kickstarter1' => 'nss-kickstarter1',
            'nss-kickstarter-k1' => 'nss-kickstarter-k1',
            'nss-korvue1' => 'nss-korvue1',
            'nss-laravel1' => 'nss-laravel1',
            'nss-lastfm1' => 'nss-lastfm1',
            'nss-lastfm-square1' => 'nss-lastfm-square1',
            'nss-leanpub1' => 'nss-leanpub1',
            'nss-less1' => 'nss-less1',
            'nss-line1' => 'nss-line1',
            'nss-linkedin1' => 'nss-linkedin1',
            'nss-linkedin-in1' => 'nss-linkedin-in1',
            'nss-linode1' => 'nss-linode1',
            'nss-linux1' => 'nss-linux1',
            'nss-lyft1' => 'nss-lyft1',
            'nss-magento1' => 'nss-magento1',
            'nss-mailchimp1' => 'nss-mailchimp1',
            'nss-mandalorian1' => 'nss-mandalorian1',
            'nss-markdown1' => 'nss-markdown1',
            'nss-mastodon1' => 'nss-mastodon1',
            'nss-maxcdn1' => 'nss-maxcdn1',
            'nss-medapps1' => 'nss-medapps1',
            'nss-medium1' => 'nss-medium1',
            'nss-medium-m1' => 'nss-medium-m1',
            'nss-medrt1' => 'nss-medrt1',
            'nss-meetup1' => 'nss-meetup1',
            'nss-megaport1' => 'nss-megaport1',
            'nss-mendeley1' => 'nss-mendeley1',
            'nss-microsoft1' => 'nss-microsoft1',
            'nss-mix1' => 'nss-mix1',
            'nss-mixcloud1' => 'nss-mixcloud1',
            'nss-mizuni1' => 'nss-mizuni1',
            'nss-modx1' => 'nss-modx1',
            'nss-monero1' => 'nss-monero1',
            'nss-napster1' => 'nss-napster1',
            'nss-neos1' => 'nss-neos1',
            'nss-nimblr1' => 'nss-nimblr1',
            'nss-nintendo-switch1' => 'nss-nintendo-switch1',
            'nss-node1' => 'nss-node1',
            'nss-node-js1' => 'nss-node-js1',
            'nss-npm1' => 'nss-npm1',
            'nss-ns81' => 'nss-ns81',
            'nss-nutritionix1' => 'nss-nutritionix1',
            'nss-odnoklassniki1' => 'nss-odnoklassniki1',
            'nss-odnoklassniki-square1' => 'nss-odnoklassniki-square1',
            'nss-old-republic1' => 'nss-old-republic1',
            'nss-opencart1' => 'nss-opencart1',
            'nss-openid1' => 'nss-openid1',
            'nss-opera1' => 'nss-opera1',
            'nss-optin-monster1' => 'nss-optin-monster1',
            'nss-osi1' => 'nss-osi1',
            'nss-page41' => 'nss-page41',
            'nss-pagelines1' => 'nss-pagelines1',
            'nss-palfed1' => 'nss-palfed1',
            'nss-patreon1' => 'nss-patreon1',
            'nss-paypal1' => 'nss-paypal1',
            'nss-penny-arcade1' => 'nss-penny-arcade1',
            'nss-periscope1' => 'nss-periscope1',
            'nss-phabricator1' => 'nss-phabricator1',
            'nss-phoenix-framework1' => 'nss-phoenix-framework1',
            'nss-phoenix-squadron1' => 'nss-phoenix-squadron1',
            'nss-php1' => 'nss-php1',
            'nss-pied-piper1' => 'nss-pied-piper1',
            'nss-pied-piper-alt1' => 'nss-pied-piper-alt1',
            'nss-pied-piper-hat1' => 'nss-pied-piper-hat1',
            'nss-pied-piper-pp1' => 'nss-pied-piper-pp1',
            'nss-pinterest1' => 'nss-pinterest1',
            'nss-pinterest-p1' => 'nss-pinterest-p1',
            'nss-pinterest-square1' => 'nss-pinterest-square1',
            'nss-playstation1' => 'nss-playstation1',
            'nss-product-hunt1' => 'nss-product-hunt1',
            'nss-pushed1' => 'nss-pushed1',
            'nss-python1' => 'nss-python1',
            'nss-qq1' => 'nss-qq1',
            'nss-quinscape1' => 'nss-quinscape1',
            'nss-quora1' => 'nss-quora1',
            'nss-raspberry-pi1' => 'nss-raspberry-pi1',
            'nss-ravelry1' => 'nss-ravelry1',
            'nss-react1' => 'nss-react1',
            'nss-reacteurope1' => 'nss-reacteurope1',
            'nss-readme1' => 'nss-readme1',
            'nss-rebel1' => 'nss-rebel1',
            'nss-reddit1' => 'nss-reddit1',
            'nss-reddit-alien1' => 'nss-reddit-alien1',
            'nss-reddit-square1' => 'nss-reddit-square1',
            'nss-redhat1' => 'nss-redhat1',
            'nss-red-river1' => 'nss-red-river1',
            'nss-renren1' => 'nss-renren1',
            'nss-replyd1' => 'nss-replyd1',
            'nss-researchgate1' => 'nss-researchgate1',
            'nss-resolving1' => 'nss-resolving1',
            'nss-rev1' => 'nss-rev1',
            'nss-rocketchat1' => 'nss-rocketchat1',
            'nss-rockrms1' => 'nss-rockrms1',
            'nss-r-project1' => 'nss-r-project1',
            'nss-safari1' => 'nss-safari1',
            'nss-salesforce1' => 'nss-salesforce1',
            'nss-sass1' => 'nss-sass1',
            'nss-schlix1' => 'nss-schlix1',
            'nss-scribd1' => 'nss-scribd1',
            'nss-searchengin1' => 'nss-searchengin1',
            'nss-sellcast1' => 'nss-sellcast1',
            'nss-sellsy1' => 'nss-sellsy1',
            'nss-servicestack1' => 'nss-servicestack1',
            'nss-shirtsinbulk1' => 'nss-shirtsinbulk1',
            'nss-shopware1' => 'nss-shopware1',
            'nss-simplybuilt1' => 'nss-simplybuilt1',
            'nss-sistrix1' => 'nss-sistrix1',
            'nss-sith1' => 'nss-sith1',
            'nss-sketch1' => 'nss-sketch1',
            'nss-skyatlas1' => 'nss-skyatlas1',
            'nss-skype1' => 'nss-skype1',
            'nss-slack1' => 'nss-slack1',
            'nss-slack-hash1' => 'nss-slack-hash1',
            'nss-slideshare1' => 'nss-slideshare1',
            'nss-snapchat1' => 'nss-snapchat1',
            'nss-snapchat-ghost1' => 'nss-snapchat-ghost1',
            'nss-snapchat-square1' => 'nss-snapchat-square1',
            'nss-soundcloud1' => 'nss-soundcloud1',
            'nss-sourcetree1' => 'nss-sourcetree1',
            'nss-speakap1' => 'nss-speakap1',
            'nss-speaker-deck1' => 'nss-speaker-deck1',
            'nss-spotify1' => 'nss-spotify1',
            'nss-squarespace1' => 'nss-squarespace1',
            'nss-stack-exchange1' => 'nss-stack-exchange1',
            'nss-stack-overflow1' => 'nss-stack-overflow1',
            'nss-staylinked1' => 'nss-staylinked1',
            'nss-steam1' => 'nss-steam1',
            'nss-steam-square1' => 'nss-steam-square1',
            'nss-steam-symbol1' => 'nss-steam-symbol1',
            'nss-sticker-mule1' => 'nss-sticker-mule1',
            'nss-strava1' => 'nss-strava1',
            'nss-stripe1' => 'nss-stripe1',
            'nss-stripe-s1' => 'nss-stripe-s1',
            'nss-studiovinari1' => 'nss-studiovinari1',
            'nss-stumbleupon1' => 'nss-stumbleupon1',
            'nss-stumbleupon-circle1' => 'nss-stumbleupon-circle1',
            'nss-superpowers1' => 'nss-superpowers1',
            'nss-supple1' => 'nss-supple1',
            'nss-suse1' => 'nss-suse1',
            'nss-symfony1' => 'nss-symfony1',
            'nss-teamspeak1' => 'nss-teamspeak1',
            'nss-telegram1' => 'nss-telegram1',
            'nss-telegram-plane1' => 'nss-telegram-plane1',
            'nss-tencent-weibo1' => 'nss-tencent-weibo1',
            'nss-themeco1' => 'nss-themeco1',
            'nss-themeisle1' => 'nss-themeisle1',
            'nss-the-red-yeti1' => 'nss-the-red-yeti1',
            'nss-think-peaks1' => 'nss-think-peaks1',
            'nss-trade-federation1' => 'nss-trade-federation1',
            'nss-trello1' => 'nss-trello1',
            'nss-tripadvisor1' => 'nss-tripadvisor1',
            'nss-tumblr1' => 'nss-tumblr1',
            'nss-tumblr-square1' => 'nss-tumblr-square1',
            'nss-nsstch1' => 'nss-nsstch1',
            'nss-nsstter1' => 'nss-nsstter1',
            'nss-nsstter-square1' => 'nss-nsstter-square1',
            'nss-typo31' => 'nss-typo31',
            'nss-uber1' => 'nss-uber1',
            'nss-ubuntu1' => 'nss-ubuntu1',
            'nss-uikit1' => 'nss-uikit1',
            'nss-uniregistry1' => 'nss-uniregistry1',
            'nss-untappd1' => 'nss-untappd1',
            'nss-ups1' => 'nss-ups1',
            'nss-usb1' => 'nss-usb1',
            'nss-usps1' => 'nss-usps1',
            'nss-ussunnah1' => 'nss-ussunnah1',
            'nss-vaadin1' => 'nss-vaadin1',
            'nss-viacoin1' => 'nss-viacoin1',
            'nss-viadeo1' => 'nss-viadeo1',
            'nss-viadeo-square1' => 'nss-viadeo-square1',
            'nss-viber1' => 'nss-viber1',
            'nss-vimeo1' => 'nss-vimeo1',
            'nss-vimeo-square1' => 'nss-vimeo-square1',
            'nss-vimeo-v1' => 'nss-vimeo-v1',
            'nss-vine1' => 'nss-vine1',
            'nss-vk1' => 'nss-vk1',
            'nss-vnv1' => 'nss-vnv1',
            'nss-vuejs1' => 'nss-vuejs1',
            'nss-waze1' => 'nss-waze1',
            'nss-weebly1' => 'nss-weebly1',
            'nss-weibo1' => 'nss-weibo1',
            'nss-weixin1' => 'nss-weixin1',
            'nss-whatsapp1' => 'nss-whatsapp1',
            'nss-whatsapp-square1' => 'nss-whatsapp-square1',
            'nss-whmcs1' => 'nss-whmcs1',
            'nss-wikipedia-w1' => 'nss-wikipedia-w1',
            'nss-windows1' => 'nss-windows1',
            'nss-wix1' => 'nss-wix1',
            'nss-wizards-of-the-coast1' => 'nss-wizards-of-the-coast1',
            'nss-wolf-pack-battalion1' => 'nss-wolf-pack-battalion1',
            'nss-wordpress1' => 'nss-wordpress1',
            'nss-wordpress-simple1' => 'nss-wordpress-simple1',
            'nss-wpbeginner1' => 'nss-wpbeginner1',
            'nss-wpexplorer1' => 'nss-wpexplorer1',
            'nss-wpforms1' => 'nss-wpforms1',
            'nss-wpressr1' => 'nss-wpressr1',
            'nss-xbox1' => 'nss-xbox1',
            'nss-xing1' => 'nss-xing1',
            'nss-xing-square1' => 'nss-xing-square1',
            'nss-yahoo1' => 'nss-yahoo1',
            'nss-yammer1' => 'nss-yammer1',
            'nss-yandex1' => 'nss-yandex1',
            'nss-yandex-international1' => 'nss-yandex-international1',
            'nss-yarn1' => 'nss-yarn1',
            'nss-y-combinator1' => 'nss-y-combinator1',
            'nss-yelp1' => 'nss-yelp1',
            'nss-yoast1' => 'nss-yoast1',
            'nss-youtube1' => 'nss-youtube1',
            'nss-youtube-square1' => 'nss-youtube-square1',
            'nss-zhihu1' => 'nss-zhihu1',
            'nss-px1' => 'nss-px1',
            'nss-accessible-icon1' => 'nss-accessible-icon1',
            'nss-accusoft1' => 'nss-accusoft1',
            'nss-acquisitions-incorporated1' => 'nss-acquisitions-incorporated1',
            'nss-adn1' => 'nss-adn1',
            'nss-adobe1' => 'nss-adobe1',
            'nss-adversal1' => 'nss-adversal1',
            'nss-affiliatetheme1' => 'nss-affiliatetheme1',
            'nss-airbnb1' => 'nss-airbnb1',
            'nss-algolia1' => 'nss-algolia1',
            'nss-alipay1' => 'nss-alipay1',
            'nss-amazon1' => 'nss-amazon1',
            'nss-amazon-pay1' => 'nss-amazon-pay1',
            
        );

        return $icons;
    }

    /**
     * Retrieve icons control default settings.
     *
     * Get the default settings of the icons control. Used to return the default
     * settings while initializing the icons control.
     *
     * @since 1.0.0
     * @access protected
     *
     * @return array Control default settings.
     */
    protected function get_default_settings() {
        return [
            'options' => self::get_icons(),
        ];
    }

    /**
     * Render icons control output in the editor.
     *
     * Used to generate the control HTML in the editor using Underscore JS
     * template. The variables for the class are available using `data` JS
     * object.
     *
     * @since 1.0.0
     * @access public
     */
    public function content_template() {
        ?>
        <div class="elementor-control-field">
            <label class="elementor-control-title">{{{ data.label }}}</label>
            <div class="elementor-control-input-wrapper">
                <select class="elementor-control-icon" data-setting="{{ data.name }}" data-placeholder="<?php _e('Select Icon', 'nss-theme'); ?>">
                    <option value=""><?php _e('Select Icon', 'nss-theme'); ?></option>
                    <# _.each( data.options, function( option_title, option_value ) { #>
                    <option value="{{ option_value }}">{{{ option_title }}}</option>
                    <# } ); #>
                </select>
            </div>
        </div>
        <# if ( data.description ) { #>
        <div class="elementor-control-field-description">{{ data.description }}</div>
        <# } #>
        <?php
    }

}
